using System;
using gdio.common.objects;
using gdio.unity_api.v2;

namespace VRDemo_Tests
{
    public class Recording
    {
        public void Replay(ApiClient api)
        {
            api.LoggedMessage += (s, e) =>
            {
                Console.WriteLine(e.Message);
            };
            api.IntegerInputEvent("GDIOHMD/TrackingState", 63, 1);
            api.IntegerInputEvent("GDIOLeftHand/TrackingState", 63, 1);
            api.IntegerInputEvent("GDIORightHand/TrackingState", 63, 1);

            api.Vector3InputEvent("GDIOHMD/DevicePosition", new Vector3(-0.01658276f, 1.601557f, 0.0357914f), 1);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.33198f, 0.07141795f, 0.004610834f, -0.9405677f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceVelocity", new Vector3(-0.01062317f, -0.1371296f, 0.05537036f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(0.8486812f, -0.08377223f, 0.05424447f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(0.05758153f, -0.1551885f, -0.09762596f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(2.124999f, -0.1347429f, 0.6353732f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyePosition", new Vector3(-0.05018627f, 1.603462f, 0.03133409f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.33198f, 0.07141795f, 0.004610834f, -0.9405677f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeVelocity", new Vector3(-0.01062317f, -0.1371296f, 0.05537036f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(0.8486812f, -0.08377223f, 0.05424447f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(0.05758153f, -0.1551885f, -0.09762596f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(2.124999f, -0.1347429f, 0.6353732f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyePosition", new Vector3(0.01702076f, 1.599653f, 0.04024871f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.33198f, 0.07141795f, 0.004610834f, -0.9405677f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeVelocity", new Vector3(-0.01062317f, -0.1371296f, 0.05537036f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(0.8486812f, -0.08377223f, 0.05424447f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(0.05758153f, -0.1551885f, -0.09762596f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(2.124999f, -0.1347429f, 0.6353732f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyePosition", new Vector3(-0.01658276f, 1.601557f, 0.0357914f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.33198f, 0.07141795f, 0.004610834f, -0.9405677f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeVelocity", new Vector3(-0.01062317f, -0.1371296f, 0.05537036f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(0.8486812f, -0.08377223f, 0.05424447f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(0.05758153f, -0.1551885f, -0.09762596f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(2.124999f, -0.1347429f, 0.6353732f), 1);
            api.ButtonPress("GDIOLeftHand/Grip", (ulong)(api.GetLastFPS() * 3), 0f); // Originally recorded as "GripPressed" but may vary depending on the app
            api.ButtonPress("GDIOLeftHand/IndexTouch", (ulong)(api.GetLastFPS() * 6.3879909), 0f);
            api.ButtonPress("GDIOLeftHand/ThumbTouch", (ulong)(api.GetLastFPS() * 0.2152641), 1f);
            api.ButtonPress("GDIOLeftHand/IsTracked", (ulong)(api.GetLastFPS() * 10.1065067), 1f);
            api.Vector3InputEvent("GDIOLeftHand/DevicePosition", new Vector3(-0.1968744f, 1.01095f, 0.2196648f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(0.226621f, 0.03598242f, 0.3748341f, 0.8982469f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceVelocity", new Vector3(-0.05420257f, 0.2519269f, 0.02644269f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(-0.6393654f, -0.02449619f, 0.7424809f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(0.8313084f, -0.0488969f, -0.2244421f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(0.50389f, 10.66841f, -18.54416f), 1);
            api.Vector3InputEvent("GDIORightHand/DevicePosition", new Vector3(0.162745f, 1.020421f, 0.2093408f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.2142892f, -0.1563346f, -0.350345f, 0.8982751f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceVelocity", new Vector3(-0.04110253f, 0.1740282f, 0.03070724f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(-0.4913194f, -0.4383359f, -0.01078995f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(-0.4933233f, -0.8719597f, 0.2590094f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(3.123185f, -4.297975f, 18.43984f), 1);
            api.Wait(184);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.3877587f, 0.07115611f, 0.006865184f, -0.9189847f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceVelocity", new Vector3(0.02576534f, -0.0006919936f, 0.02097488f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(0.02731965f, 0.08810754f, -0.02514072f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(0.1547734f, 0.7071512f, -0.3299177f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(-4.303593f, -0.09718528f, -0.5552714f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.3877587f, 0.07115611f, 0.006865184f, -0.9189847f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeVelocity", new Vector3(0.02576534f, -0.0006919936f, 0.02097488f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(0.02731965f, 0.08810754f, -0.02514072f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(0.1547734f, 0.7071512f, -0.3299177f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(-4.303593f, -0.09718528f, -0.5552714f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.3877587f, 0.07115611f, 0.006865184f, -0.9189847f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeVelocity", new Vector3(0.02576534f, -0.0006919936f, 0.02097488f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(0.02731965f, 0.08810754f, -0.02514072f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(0.1547734f, 0.7071512f, -0.3299177f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(-4.303593f, -0.09718528f, -0.5552714f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.3877587f, 0.07115611f, 0.006865184f, -0.9189847f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeVelocity", new Vector3(0.02576534f, -0.0006919936f, 0.02097488f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(0.02731965f, 0.08810754f, -0.02514072f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(0.1547734f, 0.7071512f, -0.3299177f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(-4.303593f, -0.09718528f, -0.5552714f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(0.1351584f, 0.08104036f, 0.3612038f, 0.9190737f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceVelocity", new Vector3(0.02610759f, 0.194987f, -0.03333408f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(-0.6208943f, 0.07590935f, -0.0757603f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(0.2222494f, -2.551743f, 0.2287283f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(6.784104f, -2.484726f, 4.543875f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.1542354f, -0.1971901f, -0.3193594f, 0.9139678f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(-0.4105963f, -0.09207463f, -0.1618961f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(-0.147434f, -1.844381f, 0.1981494f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(2.445855f, -3.228093f, 5.533396f), 1);
            api.Wait(66);
            api.Vector3InputEvent("GDIORightHand/DeviceVelocity", new Vector3(-0.01685779f, 0.06288212f, 0.02716037f), 1);
            api.Wait(62);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.384204f, 0.06746446f, 0.01071662f, -0.9207177f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(-0.09393699f, -0.3263817f, -0.05849435f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(1.346145f, 0.1791263f, -0.09765299f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.384204f, 0.06746446f, 0.01071662f, -0.9207177f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(-0.09393699f, -0.3263817f, -0.05849435f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(1.346145f, 0.1791263f, -0.09765299f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.384204f, 0.06746446f, 0.01071662f, -0.9207177f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(-0.09393699f, -0.3263817f, -0.05849435f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(1.346145f, 0.1791263f, -0.09765299f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.384204f, 0.06746446f, 0.01071662f, -0.9207177f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(-0.09393699f, -0.3263817f, -0.05849435f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(1.346145f, 0.1791263f, -0.09765299f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(0.1341926f, 0.07932354f, 0.3504689f, 0.9235106f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceVelocity", new Vector3(0.02820872f, 0.01562548f, -0.005672113f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(-0.05203022f, -0.03867681f, -0.2070056f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(-0.3716879f, -0.6960328f, 0.1164737f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(1.615988f, -6.450998f, -6.744895f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.1501571f, -0.1984844f, -0.2867135f, 0.9251229f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(-0.1738395f, -0.07931624f, 0.413053f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(0.6978357f, -0.223486f, 0.1861455f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(6.725267f, 1.924433f, -8.091978f), 1);
            api.Wait(101);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(-0.07000601f, 0.05273833f, -0.03076795f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(-0.07000601f, 0.05273833f, -0.03076795f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(-0.07000601f, 0.05273833f, -0.03076795f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(-0.07000601f, 0.05273833f, -0.03076795f), 1);
            api.Wait(17);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.3807126f, 0.0651795f, 0.01359901f, -0.9222931f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(-0.07811284f, 0.5717127f, -0.1344165f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(-2.380443f, -0.4456694f, -0.6794621f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.3807126f, 0.0651795f, 0.01359901f, -0.9222931f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(-0.07811284f, 0.5717127f, -0.1344165f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(-2.380443f, -0.4456694f, -0.6794621f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.3807126f, 0.0651795f, 0.01359901f, -0.9222931f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(-0.07811284f, 0.5717127f, -0.1344165f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(-2.380443f, -0.4456694f, -0.6794621f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.3807126f, 0.0651795f, 0.01359901f, -0.9222931f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(-0.07811284f, 0.5717127f, -0.1344165f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(-2.380443f, -0.4456694f, -0.6794621f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(0.1323141f, 0.06686085f, 0.3468429f, 0.9261332f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(-0.0734834f, -0.1319141f, -0.3607427f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(-0.3927858f, 0.9362607f, -0.06915399f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(-3.132637f, 0.4165975f, -9.464716f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.1488997f, -0.1923754f, -0.2910553f, 0.9252607f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(-0.05721439f, 0.0246974f, 0.225324f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(-0.2611087f, -0.1683829f, -0.256406f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(1.345385f, -2.100289f, 3.97649f), 1);
            api.Wait(118);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(-0.3543302f, -0.06922203f, -0.09023096f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(-0.3543302f, -0.06922203f, -0.09023096f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(-0.3543302f, -0.06922203f, -0.09023096f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(-0.3543302f, -0.06922203f, -0.09023096f), 1);
            api.Wait(15);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.3564766f, 0.07131435f, 0.01643324f, -0.9314336f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(-0.2856489f, 0.3655993f, 0.07290054f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(-3.085859f, -0.8390565f, -1.085051f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.3564766f, 0.07131435f, 0.01643324f, -0.9314336f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(-0.2856489f, 0.3655993f, 0.07290054f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(-3.085859f, -0.8390565f, -1.085051f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.3564766f, 0.07131435f, 0.01643324f, -0.9314336f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(-0.2856489f, 0.3655993f, 0.07290054f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(-3.085859f, -0.8390565f, -1.085051f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.3564766f, 0.07131435f, 0.01643324f, -0.9314336f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(-0.2856489f, 0.3655993f, 0.07290054f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(-3.085859f, -0.8390565f, -1.085051f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(0.1199434f, 0.05417232f, 0.3426493f, 0.9301991f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceVelocity", new Vector3(-0.009902304f, 0.1213842f, 0.009815292f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(-0.205171f, -0.2196137f, -0.4615574f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(0.06345042f, 1.293214f, 0.1090533f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(-1.505266f, -2.631773f, -5.945682f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.1425864f, -0.1974531f, -0.2860434f, 0.9267473f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(-0.2133399f, -0.03522975f, 0.1252869f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(-0.1759491f, 1.002107f, 0.2092147f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(-4.027476f, -0.001737744f, 4.275539f), 1);
            api.Wait(69);
            api.Vector3InputEvent("GDIOHMD/DeviceVelocity", new Vector3(-0.02266003f, 0.08571303f, -0.009311379f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeVelocity", new Vector3(-0.02266003f, 0.08571303f, -0.009311379f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeVelocity", new Vector3(-0.02266003f, 0.08571303f, -0.009311379f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeVelocity", new Vector3(-0.02266003f, 0.08571303f, -0.009311379f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceVelocity", new Vector3(-0.006525558f, 0.1656224f, 0.01144563f), 1);
            api.Wait(14);
            api.Vector3InputEvent("GDIOLeftHand/DevicePosition", new Vector3(-0.2008477f, 1.119977f, 0.2173761f), 1);
            api.Wait(34);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(-0.7699471f, -0.1815643f, -0.2530319f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(-0.7699469f, -0.1815643f, -0.2530319f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(-0.7699469f, -0.1815643f, -0.2530319f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(-0.7699471f, -0.1815643f, -0.2530319f), 1);
            api.Wait(16);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.309607f, 0.0895493f, 0.02284945f, -0.9463627f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(0.1931274f, 0.2143284f, -0.4912082f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(0.1096742f, 1.005687f, 0.7795544f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.309607f, 0.08954931f, 0.02284945f, -0.9463627f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(0.1931274f, 0.2143284f, -0.4912082f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(0.1096742f, 1.005687f, 0.7795542f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.309607f, 0.08954931f, 0.02284945f, -0.9463627f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(0.1931274f, 0.2143284f, -0.4912082f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(0.1096742f, 1.005687f, 0.7795542f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.309607f, 0.0895493f, 0.02284945f, -0.9463627f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(0.1931274f, 0.2143284f, -0.4912082f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(0.1096742f, 1.005687f, 0.7795544f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(0.05221262f, 0.01424593f, 0.2062579f, 0.9769998f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceVelocity", new Vector3(0.02258291f, 0.3409213f, 0.04454318f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(-0.9602119f, -0.8251218f, -2.623194f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(1.209935f, 0.9756094f, 0.5702832f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(-5.349916f, -9.296156f, -25.95948f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.09318846f, -0.1594477f, -0.2312747f, 0.9551986f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(-1.011567f, 1.082657f, 1.629299f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(-0.681957f, 1.945463f, 0.4142742f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(-14.95852f, 16.68352f, 44.86493f), 1);
            api.Wait(17);
            api.Vector3InputEvent("GDIORightHand/DevicePosition", new Vector3(0.1493287f, 1.124862f, 0.2197518f), 1);
            api.Wait(18);
            api.ButtonPress("GDIOLeftHand/ThumbTouch", (ulong)(api.GetLastFPS() * 0.8650245), 1f);
            api.Wait(16);
            api.Vector3InputEvent("GDIORightHand/DeviceVelocity", new Vector3(-0.08514508f, 0.323857f, 0.1001714f), 1);
            api.Wait(66);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(-0.6105696f, 0.03012112f, -0.01668582f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(-0.6105694f, 0.03012111f, -0.01668583f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(-0.6105694f, 0.03012111f, -0.01668583f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(-0.6105696f, 0.03012112f, -0.01668582f), 1);
            api.Wait(17);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.2678466f, 0.08891922f, 0.02078374f, -0.9591244f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(0.302656f, 0.1406477f, -0.1572208f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(-0.9015032f, 2.173259f, 1.352765f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.2678466f, 0.08891922f, 0.02078374f, -0.9591244f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(0.302656f, 0.1406477f, -0.1572208f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(-0.9015032f, 2.173259f, 1.352765f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.2678466f, 0.08891922f, 0.02078374f, -0.9591244f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(0.302656f, 0.1406477f, -0.1572208f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(-0.9015032f, 2.173259f, 1.352765f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.2678466f, 0.08891922f, 0.02078374f, -0.9591244f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(0.302656f, 0.1406477f, -0.1572208f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(-0.9015032f, 2.173259f, 1.352765f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(-0.04066984f, -0.1413744f, -0.2436769f, 0.9586349f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceVelocity", new Vector3(0.02089217f, 0.1882011f, 0.1674192f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(-1.22037f, -2.45693f, -6.196889f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(-1.833772f, 0.4762229f, -0.0669564f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(-10.34187f, -13.5428f, 32.2435f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(-0.05464385f, 0.05166389f, 0.280764f, 0.9568263f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(-2.403018f, 2.525006f, 5.788805f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(0.6770642f, 2.457886f, -1.700498f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(6.848308f, -28.49515f, -78.55215f), 1);
            api.Wait(118);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(-0.6197727f, 0.1988349f, 0.02476583f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(-0.6197726f, 0.1988348f, 0.02476582f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(-0.6197726f, 0.1988348f, 0.02476582f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(-0.6197727f, 0.1988349f, 0.02476583f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceVelocity", new Vector3(-0.05889295f, 0.1987436f, 0.1154801f), 1);
            api.Wait(17);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.225296f, 0.07577591f, 0.01869251f, -0.9711593f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(-0.0185619f, -0.4253297f, -0.06667058f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(4.214747f, 0.03493213f, -0.4912822f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.225296f, 0.07577591f, 0.01869251f, -0.9711593f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(-0.0185619f, -0.4253297f, -0.06667058f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(4.214747f, 0.03493213f, -0.4912822f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.225296f, 0.07577591f, 0.01869251f, -0.9711593f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(-0.0185619f, -0.4253297f, -0.06667058f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(4.214747f, 0.03493213f, -0.4912822f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.225296f, 0.07577591f, 0.01869251f, -0.9711593f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(-0.0185619f, -0.4253297f, -0.06667058f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(4.214747f, 0.03493213f, -0.4912822f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(-0.1552532f, -0.1991399f, -0.4587152f, 0.8519508f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(-1.052102f, -0.8682014f, -2.910231f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(-1.298916f, 1.533221f, -0.3751126f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(33.50085f, 37.83566f, 144.2564f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(-0.1774201f, 0.1192084f, 0.477239f, 0.8523816f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(-1.927924f, 1.05718f, 3.523993f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(1.116454f, 0.8956624f, -0.6048612f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(10.658f, -22.76474f, -65.5536f), 1);
            api.Wait(49);
            api.Vector3InputEvent("GDIOLeftHand/DeviceVelocity", new Vector3(-0.02573841f, 0.1280164f, 0.1004534f), 1);
            api.Wait(51);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(-0.2871323f, 0.1684902f, 0.03408946f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(-0.2871323f, 0.1684902f, 0.03408946f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(-0.2871323f, 0.1684902f, 0.03408946f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(-0.2871323f, 0.1684902f, 0.03408946f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceVelocity", new Vector3(-0.03390082f, 0.0730281f, 0.08414255f), 1);
            api.Wait(36);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.2114032f, 0.06631321f, 0.01840703f, -0.974973f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(-0.1436418f, -0.6170177f, 0.2130258f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(3.939923f, -0.7554394f, -0.1072646f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.2114032f, 0.06631321f, 0.01840703f, -0.9749731f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(-0.1436418f, -0.6170177f, 0.2130258f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(3.939922f, -0.7554392f, -0.1072646f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.2114032f, 0.06631321f, 0.01840703f, -0.9749731f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(-0.1436418f, -0.6170177f, 0.2130258f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(3.939922f, -0.7554392f, -0.1072646f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.2114032f, 0.06631321f, 0.01840703f, -0.974973f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(-0.1436418f, -0.6170177f, 0.2130258f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(3.939923f, -0.7554394f, -0.1072646f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(-0.1738671f, -0.20551f, -0.4989999f, 0.8237324f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(0.002908513f, -0.2371218f, -0.9993371f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(-1.001917f, 0.5326294f, 0.2161423f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(35.66555f, -1.145624f, 75.65018f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(-0.1839962f, 0.1350656f, 0.4919443f, 0.8401747f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(-0.3572683f, 0.09635827f, 0.803464f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(0.3547181f, -0.6715617f, -0.386141f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(12.42926f, -19.42768f, -41.21449f), 1);
            api.Wait(64);
            api.Vector3InputEvent("GDIOLeftHand/DeviceVelocity", new Vector3(0.03186296f, 0.08902755f, 0.01213876f), 1);
            api.Wait(26);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(-0.08284207f, 0.04453655f, 0.05524277f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(-0.08284207f, 0.04453655f, 0.05524277f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(-0.08284207f, 0.04453655f, 0.05524277f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(-0.08284207f, 0.04453655f, 0.05524277f), 1);
            api.Wait(7);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.2078414f, 0.06261308f, 0.01569597f, -0.9760303f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(0.04758872f, 0.1933106f, 0.2192588f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(-2.703074f, 0.5105475f, -0.9359168f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.2078414f, 0.06261308f, 0.01569597f, -0.9760303f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(0.04758872f, 0.1933106f, 0.2192588f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(-2.703074f, 0.5105475f, -0.9359168f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.2078414f, 0.06261308f, 0.01569597f, -0.9760303f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(0.04758872f, 0.1933106f, 0.2192588f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(-2.703074f, 0.5105475f, -0.9359168f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.2078414f, 0.06261308f, 0.01569597f, -0.9760303f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(0.04758872f, 0.1933106f, 0.2192588f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(-2.703074f, 0.5105475f, -0.9359168f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(-0.1965306f, -0.2056228f, -0.5182661f, 0.8065329f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(-0.1673888f, 0.1489586f, -0.6783209f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(0.5501463f, -0.7364874f, -0.3017119f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(17.1895f, 7.326761f, 12.28737f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(-0.2015584f, 0.1502436f, 0.5240592f, 0.813734f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(-0.4978427f, 0.2229537f, 0.4520628f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(0.3003662f, 0.5076672f, -0.4612975f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(-10.85622f, 5.881661f, -15.12194f), 1);
            api.Wait(53);
            api.Vector3InputEvent("GDIOLeftHand/DevicePosition", new Vector3(-0.1796981f, 1.206949f, 0.2648376f), 1);
            api.Wait(15);
            api.Vector3InputEvent("GDIORightHand/DeviceVelocity", new Vector3(-0.02781549f, -0.0002948131f, 0.01142912f), 1);
            api.Wait(9);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(-0.6358197f, 0.144774f, 0.0102945f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(-0.6358197f, 0.144774f, 0.0102945f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(-0.6358197f, 0.144774f, 0.0102945f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(-0.6358197f, 0.144774f, 0.0102945f), 1);
            api.Wait(8);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.1771912f, 0.0560701f, 0.01527548f, -0.9824592f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(0.2991232f, 1.51323f, -0.4579077f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(-10.70668f, 2.50917f, -1.399831f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.1771912f, 0.0560701f, 0.01527548f, -0.9824592f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(0.2991232f, 1.51323f, -0.4579077f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(-10.70668f, 2.50917f, -1.399831f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.1771912f, 0.0560701f, 0.01527548f, -0.9824592f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(0.2991232f, 1.51323f, -0.4579077f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(-10.70668f, 2.50917f, -1.399831f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.1771912f, 0.0560701f, 0.01527548f, -0.9824592f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(0.2991232f, 1.51323f, -0.4579077f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(-10.70668f, 2.50917f, -1.399831f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(-0.1954769f, -0.2046469f, -0.5020316f, 0.8172348f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(-0.04967373f, 0.1126266f, 0.3348663f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(-0.0679777f, -1.075909f, -0.1187338f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(5.115217f, -1.550686f, 14.94439f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(-0.2018748f, 0.1451939f, 0.5282145f, 0.8118834f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(-0.02364717f, -0.03012654f, 0.2442779f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(-0.04066421f, -0.4627357f, -0.2967752f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(2.527523f, -3.268537f, -1.370979f), 1);
            api.Wait(25);
            api.Vector3InputEvent("GDIOLeftHand/DeviceVelocity", new Vector3(0.03573059f, -0.006431102f, -0.01787148f), 1);
            api.Wait(17);
            api.Vector3InputEvent("GDIOHMD/DeviceVelocity", new Vector3(0.03628934f, 0.1670482f, -0.06243718f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeVelocity", new Vector3(0.03628934f, 0.1670482f, -0.06243718f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeVelocity", new Vector3(0.03628934f, 0.1670482f, -0.06243718f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeVelocity", new Vector3(0.03628934f, 0.1670482f, -0.06243718f), 1);
            api.Wait(8);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(-1.305642f, 0.3034496f, -0.1167838f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(-1.305642f, 0.3034495f, -0.1167837f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(-1.305642f, 0.3034495f, -0.1167837f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(-1.305642f, 0.3034496f, -0.1167838f), 1);
            api.Wait(8);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.1303517f, 0.04680784f, 0.01945359f, -0.9901712f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(0.3994515f, 1.204122f, -0.5513557f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(-11.14342f, 2.816183f, -1.361149f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.1303517f, 0.04680784f, 0.01945359f, -0.9901712f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(0.3994515f, 1.204122f, -0.5513557f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(-11.14342f, 2.816183f, -1.361149f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.1303517f, 0.04680784f, 0.01945359f, -0.9901712f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(0.3994515f, 1.204122f, -0.5513557f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(-11.14342f, 2.816183f, -1.361149f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.1303517f, 0.04680784f, 0.01945359f, -0.9901712f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(0.3994515f, 1.204122f, -0.5513557f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(-11.14342f, 2.816183f, -1.361149f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(-0.1799112f, -0.1840481f, -0.4857034f, 0.8353744f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(0.5801399f, 0.4445431f, 0.6327604f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(0.453172f, -1.331913f, -0.3174689f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(13.10724f, 9.47208f, 9.549381f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(-0.1938927f, 0.1373352f, 0.5129067f, 0.8249069f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(0.2977943f, -0.2193804f, -0.3977507f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(-0.5103685f, -0.7262622f, -0.4958161f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(8.699656f, -6.922791f, -11.58328f), 1);
            api.Wait(52);
            api.Vector3InputEvent("GDIORightHand/DeviceVelocity", new Vector3(-0.07069975f, -0.0962033f, -0.02316309f), 1);
            api.Wait(31);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(-1.305522f, 0.2242784f, -0.2035368f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(-1.305522f, 0.2242784f, -0.2035368f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(-1.305522f, 0.2242784f, -0.2035368f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(-1.305522f, 0.2242784f, -0.2035368f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceVelocity", new Vector3(0.04595026f, -0.1076707f, -0.03140147f), 1);
            api.Wait(9);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.07042464f, 0.03928693f, 0.02776825f, -0.9963562f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(-0.632489f, -1.549929f, 0.39588f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(9.069744f, -6.94471f, -0.789181f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.07042464f, 0.03928693f, 0.02776825f, -0.9963562f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(-0.632489f, -1.549929f, 0.39588f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(9.069741f, -6.944707f, -0.7891808f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.07042464f, 0.03928693f, 0.02776825f, -0.9963562f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(-0.632489f, -1.549929f, 0.39588f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(9.069741f, -6.944707f, -0.7891808f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.07042464f, 0.03928693f, 0.02776825f, -0.9963562f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(-0.632489f, -1.549929f, 0.39588f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(9.069744f, -6.94471f, -0.789181f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(-0.1359763f, -0.1738413f, -0.4246123f, 0.8780627f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(0.6044937f, 0.1765241f, 1.032359f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(0.6195449f, -0.5739499f, -0.3720336f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(-9.658936f, -0.608912f, -31.45786f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(-0.1840121f, 0.1125528f, 0.5134513f, 0.8305656f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(0.4137533f, -0.329368f, -0.1551645f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(-0.2319382f, 0.328438f, -0.3769884f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(-4.524097f, -0.8692001f, -10.4599f), 1);
            api.Wait(50);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(-0.7742046f, -0.1592455f, -0.1401986f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(-0.7742046f, -0.1592455f, -0.1401986f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(-0.7742046f, -0.1592455f, -0.1401986f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(-0.7742046f, -0.1592455f, -0.1401986f), 1);
            api.Wait(8);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.05396478f, 0.05036271f, 0.02943023f, -0.9968376f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(-0.958379f, -0.8761166f, 0.8226806f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(2.974867f, -7.370437f, 1.319479f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.05396478f, 0.05036271f, 0.02943023f, -0.9968376f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(-0.958379f, -0.8761166f, 0.8226806f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(2.974867f, -7.370437f, 1.319479f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.05396478f, 0.05036271f, 0.02943023f, -0.9968376f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(-0.958379f, -0.8761166f, 0.8226806f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(2.974867f, -7.370437f, 1.319479f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.05396478f, 0.05036271f, 0.02943023f, -0.9968376f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(-0.958379f, -0.8761166f, 0.8226806f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(2.974867f, -7.370437f, 1.319479f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(-0.1004043f, -0.1653964f, -0.3619348f, 0.9119025f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(0.9359337f, 0.2153121f, 2.545118f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(-2.610835f, 1.79209f, 0.2536234f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(10.03774f, 0.490186f, 61.97078f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(-0.1639678f, 0.09025355f, 0.4734875f, 0.8606849f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(0.8444908f, -0.5748214f, -1.214132f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(-0.4424856f, 0.1952516f, -0.7054691f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(6.916998f, -3.915999f, -16.50133f), 1);
            api.Wait(8);
            api.Vector3InputEvent("GDIOHMD/DeviceVelocity", new Vector3(-0.02066327f, 0.07920941f, -0.05960886f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeVelocity", new Vector3(-0.02066327f, 0.07920941f, -0.05960886f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeVelocity", new Vector3(-0.02066327f, 0.07920941f, -0.05960886f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeVelocity", new Vector3(-0.02066327f, 0.07920941f, -0.05960886f), 1);
            api.Wait(9);
            api.Vector3InputEvent("GDIOLeftHand/DeviceVelocity", new Vector3(-0.04909828f, -0.0513627f, -0.02742695f), 1);
            api.Wait(50);
            api.Vector3InputEvent("GDIORightHand/DeviceVelocity", new Vector3(-0.1562038f, -0.07037686f, -0.1252987f), 1);
            api.Wait(18);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(-0.1374765f, -1.028797f, -0.04918312f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(-0.1374765f, -1.028796f, -0.04918311f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(-0.1374765f, -1.028796f, -0.04918311f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(-0.1374765f, -1.028797f, -0.04918312f), 1);
            api.Wait(7);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.05204726f, 0.101036f, 0.02879652f, -0.9931031f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(-0.8011312f, -1.132886f, 0.4151124f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(10.17406f, -9.45333f, 1.985256f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.05204726f, 0.101036f, 0.02879652f, -0.993103f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(-0.8011312f, -1.132886f, 0.4151124f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(10.17406f, -9.453328f, 1.985255f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.05204726f, 0.101036f, 0.02879652f, -0.993103f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(-0.8011312f, -1.132886f, 0.4151124f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(10.17406f, -9.453328f, 1.985255f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.05204726f, 0.101036f, 0.02879652f, -0.9931031f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(-0.8011312f, -1.132886f, 0.4151124f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(10.17406f, -9.45333f, 1.985256f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(0.02497507f, -0.170077f, -0.05679699f, 0.9834756f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(1.507164f, 0.002229296f, 7.150969f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(-2.162216f, -0.1450755f, -0.6861812f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(3.654819f, 2.156847f, 64.27541f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(-0.058128f, -0.01768373f, 0.2567676f, 0.9645615f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(3.424385f, -2.110077f, -5.793351f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(1.569094f, 1.887369f, -0.6822222f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(60.86809f, -39.11605f, -111.1512f), 1);
            api.Wait(10);
            api.Vector3InputEvent("GDIOHMD/DeviceVelocity", new Vector3(-0.1093922f, -0.006593f, -0.01217773f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeVelocity", new Vector3(-0.1093922f, -0.006593f, -0.01217773f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeVelocity", new Vector3(-0.1093922f, -0.006593f, -0.01217773f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeVelocity", new Vector3(-0.1093922f, -0.006593f, -0.01217773f), 1);
            api.Wait(7);
            api.Vector3InputEvent("GDIOLeftHand/DeviceVelocity", new Vector3(-0.2409504f, -0.0241461f, -0.04518081f), 1);
            api.Wait(33);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(0.5619788f, -1.38255f, 0.06761548f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(0.5619788f, -1.38255f, 0.06761548f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(0.5619788f, -1.38255f, 0.06761548f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(0.5619788f, -1.38255f, 0.06761548f), 1);
            api.Wait(7);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.07871504f, 0.1428505f, 0.02536093f, -0.9862832f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(-0.135529f, -1.374887f, 0.6196498f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(12.07716f, -1.847689f, 2.045512f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.07871504f, 0.1428505f, 0.02536093f, -0.9862832f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(-0.135529f, -1.374887f, 0.6196498f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(12.07716f, -1.847689f, 2.045512f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.07871504f, 0.1428505f, 0.02536093f, -0.9862832f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(-0.135529f, -1.374887f, 0.6196498f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(12.07716f, -1.847689f, 2.045512f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.07871504f, 0.1428505f, 0.02536093f, -0.9862832f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(-0.135529f, -1.374887f, 0.6196498f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(12.07716f, -1.847689f, 2.045512f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(0.07142669f, -0.1674459f, 0.1008488f, 0.9781051f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(0.8578039f, -0.1462943f, 5.568792f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(0.9856415f, -0.05576714f, -0.6248635f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(-9.237043f, -10.52088f, -67.10925f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.02168093f, -0.09204414f, 0.05429387f, 0.9940372f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(3.341736f, -2.128289f, -6.205498f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(0.4874443f, -1.307271f, 0.2290509f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(-16.79037f, 7.580405f, 27.13703f), 1);
            api.Wait(17);
            api.Vector3InputEvent("GDIOHMD/DeviceVelocity", new Vector3(-0.1338081f, -0.1003441f, 0.02284683f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeVelocity", new Vector3(-0.1338081f, -0.1003441f, 0.02284683f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeVelocity", new Vector3(-0.1338081f, -0.1003441f, 0.02284683f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeVelocity", new Vector3(-0.1338081f, -0.1003441f, 0.02284683f), 1);
            api.Wait(60);
            api.Vector3InputEvent("GDIOLeftHand/DeviceVelocity", new Vector3(-0.1611512f, -0.009980057f, -0.104449f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceVelocity", new Vector3(-0.05685303f, -0.06098165f, -0.1616145f), 1);
            api.Wait(7);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(1.287863f, -1.177481f, 0.1906768f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(1.287863f, -1.177481f, 0.1906768f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(1.287863f, -1.177481f, 0.1906768f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(1.287863f, -1.177481f, 0.1906768f), 1);
            api.Wait(9);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.141484f, 0.1920232f, 0.02081365f, -0.9709151f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(0.4007913f, 0.5358712f, 0.3465379f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(-3.738593f, 4.830833f, 0.4892616f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.141484f, 0.1920232f, 0.02081365f, -0.9709151f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(0.4007913f, 0.5358712f, 0.3465379f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(-3.738592f, 4.830832f, 0.4892614f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.141484f, 0.1920232f, 0.02081365f, -0.9709151f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(0.4007913f, 0.5358712f, 0.3465379f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(-3.738592f, 4.830832f, 0.4892614f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.141484f, 0.1920232f, 0.02081365f, -0.9709151f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(0.4007913f, 0.5358712f, 0.3465379f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(-3.738593f, 4.830833f, 0.4892616f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(0.07798888f, -0.1574426f, 0.1920825f, 0.9655226f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(-0.1828879f, 0.2764271f, 2.931459f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(-0.3821046f, 0.8761795f, -0.3705732f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(-21.24499f, 10.01822f, 10.74128f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.1452938f, -0.2153049f, -0.2859977f, 0.9223551f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(3.6263f, -2.569721f, -7.76153f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(1.954317f, -0.6111644f, 0.1907956f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(-13.15768f, 14.93365f, -14.90849f), 1);
            api.Wait(50);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(0.8976771f, -0.8765576f, 0.170365f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(0.8976771f, -0.8765576f, 0.170365f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(0.8976771f, -0.8765576f, 0.170365f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(0.8976771f, -0.8765576f, 0.170365f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceVelocity", new Vector3(-0.1968884f, 0.09170973f, -0.1400525f), 1);
            api.Wait(9);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.1636897f, 0.2123308f, 0.01653558f, -0.9632486f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(0.5123034f, 0.1645133f, -0.1990326f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(-3.100755f, 2.611255f, 2.106729f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.1636897f, 0.2123308f, 0.01653558f, -0.9632487f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(0.5123034f, 0.1645133f, -0.1990326f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(-3.100754f, 2.611254f, 2.106729f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.1636897f, 0.2123308f, 0.01653558f, -0.9632487f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(0.5123034f, 0.1645133f, -0.1990326f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(-3.100754f, 2.611254f, 2.106729f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.1636897f, 0.2123308f, 0.01653558f, -0.9632486f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(0.5123034f, 0.1645133f, -0.1990326f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(-3.100755f, 2.611255f, 2.106729f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(0.06453178f, -0.1509099f, 0.2518724f, 0.9537412f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(-0.6045579f, -0.04216478f, 2.395073f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(-1.528475f, 2.254415f, -0.894772f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(-4.466854f, -10.69968f, 5.866467f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.1270153f, -0.240178f, -0.2837253f, 0.9196095f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(0.4945469f, -1.270333f, -2.232165f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(0.8242657f, 1.978693f, 0.3990725f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(-40.60997f, 24.36454f, 69.51521f), 1);
            api.Wait(32);
            api.Vector3InputEvent("GDIORightHand/DeviceVelocity", new Vector3(0.02060771f, 0.004042937f, -0.1226243f), 1);
            api.Wait(51);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(0.4754305f, -0.5608345f, 0.07778157f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(0.4754305f, -0.5608345f, 0.07778157f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(0.4754305f, -0.5608345f, 0.07778157f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(0.4754305f, -0.5608345f, 0.07778157f), 1);
            api.Wait(8);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.1854803f, 0.2348972f, 0.01329161f, -0.9540669f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceVelocity", new Vector3(-0.04131023f, -0.0564557f, 0.04900643f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(0.4476606f, 0.4105858f, -0.1100776f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(-4.273175f, 3.235411f, -1.861462f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.1854803f, 0.2348972f, 0.01329161f, -0.9540669f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeVelocity", new Vector3(-0.04131023f, -0.0564557f, 0.04900643f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(0.4476606f, 0.4105858f, -0.1100776f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(-4.273175f, 3.235411f, -1.861462f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.1854803f, 0.2348972f, 0.01329161f, -0.9540669f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeVelocity", new Vector3(-0.04131023f, -0.0564557f, 0.04900643f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(0.4476606f, 0.4105858f, -0.1100776f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(-4.273175f, 3.235411f, -1.861462f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.1854803f, 0.2348972f, 0.01329161f, -0.9540669f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeVelocity", new Vector3(-0.04131023f, -0.0564557f, 0.04900643f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(0.4476606f, 0.4105858f, -0.1100776f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(-4.273175f, 3.235411f, -1.861462f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(0.02157554f, -0.1592016f, 0.3020506f, 0.9396567f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(-0.787328f, -0.7821594f, 0.2362244f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(1.03714f, 0.1417141f, 0.4182967f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(6.812255f, -18.4556f, -38.84732f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.1166531f, -0.2558357f, -0.3451273f, 0.8954481f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(0.1194007f, -0.1157813f, -1.022481f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(-0.3736465f, 0.2085564f, 1.257387f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(-10.41755f, 19.47213f, 47.85862f), 1);
            api.Wait(49);
            api.Vector3InputEvent("GDIOLeftHand/DevicePosition", new Vector3(-0.2648092f, 1.218055f, 0.211444f), 1);
            api.Wait(8);
            api.Vector3InputEvent("GDIORightHand/DeviceVelocity", new Vector3(0.04147349f, 0.0338624f, 0.03125955f), 1);
            api.Wait(8);
            api.Vector3InputEvent("GDIOLeftHand/DeviceVelocity", new Vector3(-0.1342178f, 0.1692735f, -0.1055367f), 1);
            api.Wait(8);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(0.543756f, -0.2420663f, 0.1055654f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(0.543756f, -0.2420663f, 0.1055654f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(0.543756f, -0.2420663f, 0.1055654f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(0.543756f, -0.2420663f, 0.1055654f), 1);
            api.Wait(8);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.2099006f, 0.2418622f, 0.01207742f, -0.9472584f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(0.7596533f, 0.2018895f, 0.1069824f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(-0.6410556f, 4.965029f, 2.311065f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.2099006f, 0.2418622f, 0.01207742f, -0.9472584f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(0.7596533f, 0.2018895f, 0.1069824f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(-0.6410555f, 4.965028f, 2.311065f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.2099006f, 0.2418622f, 0.01207742f, -0.9472584f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(0.7596533f, 0.2018895f, 0.1069824f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(-0.6410555f, 4.965028f, 2.311065f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.2099006f, 0.2418622f, 0.01207742f, -0.9472584f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(0.7596533f, 0.2018895f, 0.1069824f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(-0.6410556f, 4.965029f, 2.311065f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(-0.01828329f, -0.1720444f, 0.2437761f, 0.9542744f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(-0.5640844f, -0.4455304f, -1.34374f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(1.072821f, -0.9780926f, 0.9199053f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(2.047586f, 0.6499554f, -21.52082f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.09641766f, -0.2499919f, -0.2948972f, 0.9171932f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(-0.5971884f, 0.1499472f, 0.7097751f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(-1.095517f, -0.702744f, 0.2957859f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(-10.57256f, 2.216768f, 16.38179f), 1);
            api.Wait(75);
            api.Vector3InputEvent("GDIOHMD/DeviceVelocity", new Vector3(0.06444254f, -0.03704061f, 0.04705649f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeVelocity", new Vector3(0.06444254f, -0.03704061f, 0.04705649f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeVelocity", new Vector3(0.06444254f, -0.03704061f, 0.04705649f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeVelocity", new Vector3(0.06444254f, -0.03704061f, 0.04705649f), 1);
            api.Wait(9);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(0.2325741f, 0.2536294f, 0.0325877f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(0.2325741f, 0.2536294f, 0.0325877f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(0.2325741f, 0.2536294f, 0.0325877f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(0.2325741f, 0.2536294f, 0.0325877f), 1);
            api.Wait(8);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.2150462f, 0.2270209f, 0.01574454f, -0.9497204f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(0.9215846f, 0.8025935f, 0.09153065f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(-5.220947f, 7.167902f, -1.551556f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.2150462f, 0.2270209f, 0.01574454f, -0.9497204f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(0.9215846f, 0.8025935f, 0.09153065f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(-5.220947f, 7.167902f, -1.551556f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.2150462f, 0.2270209f, 0.01574454f, -0.9497204f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(0.9215846f, 0.8025935f, 0.09153065f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(-5.220947f, 7.167902f, -1.551556f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.2150462f, 0.2270209f, 0.01574454f, -0.9497204f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(0.9215846f, 0.8025935f, 0.09153065f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(-5.220947f, 7.167902f, -1.551556f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(-0.03857954f, -0.2154228f, 0.180603f, 0.958899f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(-0.2650332f, -0.8691895f, -1.209162f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(1.254182f, -0.2478265f, -0.1357915f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(-3.634083f, 6.478822f, 9.74739f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.0731069f, -0.2177477f, -0.1777066f, 0.9569021f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(-0.9271322f, 0.6002318f, 1.974533f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(-0.3214824f, 0.6414649f, -1.032209f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(7.297813f, -11.26401f, -24.54519f), 1);
            api.Wait(9);
            api.Vector3InputEvent("GDIOLeftHand/DeviceVelocity", new Vector3(-0.05834012f, 0.1051129f, -0.06904985f), 1);
            api.Wait(8);
            api.Vector3InputEvent("GDIORightHand/DeviceVelocity", new Vector3(-0.05864172f, 0.007293487f, 0.0216165f), 1);
            api.Wait(42);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(0.01201287f, 0.6930379f, -0.0522229f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(0.01201287f, 0.6930379f, -0.0522229f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(0.01201287f, 0.6930379f, -0.0522229f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(0.01201287f, 0.6930379f, -0.0522229f), 1);
            api.Wait(8);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.212596f, 0.1997115f, 0.02463584f, -0.9561963f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(1.714433f, 0.09659813f, -0.1238649f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(1.460037f, 10.44844f, -2.460422f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.212596f, 0.1997115f, 0.02463584f, -0.9561963f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(1.714433f, 0.09659813f, -0.1238649f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(1.460037f, 10.44844f, -2.460422f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.212596f, 0.1997115f, 0.02463584f, -0.9561963f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(1.714433f, 0.09659813f, -0.1238649f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(1.460037f, 10.44844f, -2.460422f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.212596f, 0.1997115f, 0.02463584f, -0.9561963f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(1.714433f, 0.09659813f, -0.1238649f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(1.460037f, 10.44844f, -2.460422f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(-0.04840513f, -0.2184498f, 0.1652621f, 0.9605337f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(-0.1461934f, -0.3172242f, -0.6497565f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(0.8397819f, -1.529823f, 0.6599398f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(6.405461f, 5.450116f, 7.343016f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.08380636f, -0.2414105f, -0.1574494f, 0.9538906f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(-0.2633514f, -0.3469565f, 1.090514f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(-0.2690675f, -0.519069f, -0.08417463f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(4.715772f, 1.349039f, 6.196496f), 1);
            api.Wait(8);
            api.Vector3InputEvent("GDIOHMD/DeviceVelocity", new Vector3(0.1651678f, 0.00435156f, 0.04308311f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeVelocity", new Vector3(0.1651678f, 0.00435156f, 0.04308311f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeVelocity", new Vector3(0.1651678f, 0.00435156f, 0.04308311f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeVelocity", new Vector3(0.1651678f, 0.00435156f, 0.04308311f), 1);
            api.Wait(43);
            api.Vector3InputEvent("GDIOLeftHand/DeviceVelocity", new Vector3(0.01638568f, -0.0160126f, -0.02717202f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceVelocity", new Vector3(-0.1171049f, -0.05765029f, -0.03344448f), 1);
            api.Wait(32);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(-0.4037779f, 1.96987f, -0.04015737f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(-0.4037778f, 1.96987f, -0.04015737f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(-0.4037778f, 1.96987f, -0.04015737f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(-0.4037779f, 1.96987f, -0.04015737f), 1);
            api.Wait(8);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.1894849f, 0.1053541f, 0.04413337f, -0.975217f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(1.14301f, 0.4795085f, -0.6415392f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(-5.801055f, 7.330631f, -0.8130761f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.1894849f, 0.1053541f, 0.04413337f, -0.975217f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(1.14301f, 0.4795085f, -0.6415392f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(-5.801055f, 7.330631f, -0.8130761f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.1894849f, 0.1053541f, 0.04413337f, -0.975217f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(1.14301f, 0.4795085f, -0.6415392f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(-5.801055f, 7.330631f, -0.8130761f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.1894849f, 0.1053541f, 0.04413337f, -0.975217f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(1.14301f, 0.4795085f, -0.6415392f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(-5.801055f, 7.330631f, -0.8130761f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(-0.03685529f, -0.2256361f, 0.1725891f, 0.9580934f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(0.09493765f, -0.2078869f, 0.1311682f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(-0.2106639f, -0.9484308f, -0.1079775f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(-4.771272f, 1.472304f, 7.017563f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.09146963f, -0.2560726f, -0.1205083f, 0.9547449f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(0.02768058f, -0.5828326f, 0.7557204f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(-0.307228f, -1.354716f, -0.1760206f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(7.67691f, -10.18138f, -5.850329f), 1);
            api.Wait(7);
            api.Vector3InputEvent("GDIOHMD/DeviceVelocity", new Vector3(0.3303448f, 0.06436881f, 0.01950187f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeVelocity", new Vector3(0.3303448f, 0.06436881f, 0.01950187f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeVelocity", new Vector3(0.3303448f, 0.06436881f, 0.01950187f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeVelocity", new Vector3(0.3303448f, 0.06436881f, 0.01950187f), 1);
            api.Wait(44);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(-0.6494071f, 2.201879f, -0.1532247f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(-0.6494069f, 2.201878f, -0.1532246f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(-0.6494069f, 2.201878f, -0.1532246f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(-0.6494071f, 2.201879f, -0.1532247f), 1);
            api.Wait(7);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.1635332f, 0.04173865f, 0.06022061f, -0.9838131f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(0.5726954f, 0.8080895f, -0.5573856f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(-4.724079f, 4.158304f, -1.823248f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.1635332f, 0.04173865f, 0.06022061f, -0.9838131f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(0.5726954f, 0.8080895f, -0.5573856f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(-4.724079f, 4.158304f, -1.823248f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.1635332f, 0.04173865f, 0.06022061f, -0.9838131f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(0.5726954f, 0.8080895f, -0.5573856f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(-4.724079f, 4.158304f, -1.823248f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.1635332f, 0.04173865f, 0.06022061f, -0.9838131f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(0.5726954f, 0.8080895f, -0.5573856f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(-4.724079f, 4.158304f, -1.823248f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(-0.02364493f, -0.2376121f, 0.1833546f, 0.953605f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(0.338527f, -0.3302717f, 0.3772752f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(0.01961082f, -0.385101f, 0.3043296f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(4.467014f, -4.907584f, 2.435747f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.09559409f, -0.2525608f, -0.1004191f, 0.9575964f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(-0.02584274f, -0.1167501f, 0.7161945f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(0.1249602f, 0.1300022f, -0.5772017f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(-0.980521f, 4.42036f, 0.3218996f), 1);
            api.Wait(8);
            api.Vector3InputEvent("GDIORightHand/DevicePosition", new Vector3(0.05693292f, 1.159749f, 0.2010346f), 1);
            api.Wait(54);
            api.Vector3InputEvent("GDIOHMD/DeviceVelocity", new Vector3(0.3671888f, 0.1485697f, -0.04597382f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeVelocity", new Vector3(0.3671888f, 0.1485697f, -0.04597382f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeVelocity", new Vector3(0.3671888f, 0.1485697f, -0.04597382f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeVelocity", new Vector3(0.3671888f, 0.1485697f, -0.04597382f), 1);
            api.Wait(21);
            api.Vector3InputEvent("GDIOHMD/DevicePosition", new Vector3(0.0604742f, 1.66563f, 0.01051295f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyePosition", new Vector3(0.02694863f, 1.670645f, 0.0124048f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyePosition", new Vector3(0.09399977f, 1.660616f, 0.008621104f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyePosition", new Vector3(0.0604742f, 1.66563f, 0.01051295f), 1);
            api.Wait(9);
            api.Vector3InputEvent("GDIOLeftHand/DeviceVelocity", new Vector3(0.09882003f, -0.06170098f, 0.01205862f), 1);
            api.Wait(16);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(-2.44316f, 1.783453f, -0.4291098f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(-2.44316f, 1.783453f, -0.4291098f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(-2.44316f, 1.783453f, -0.4291098f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(-2.44316f, 1.783453f, -0.4291098f), 1);
            api.Wait(8);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.01481855f, -0.05916197f, 0.09647877f, -0.9934647f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(-1.039349f, 0.6537352f, -1.642942f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(-11.22674f, -10.50259f, -2.579752f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.01481855f, -0.05916197f, 0.09647877f, -0.9934647f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(-1.039349f, 0.6537352f, -1.642942f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(-11.22674f, -10.50259f, -2.579752f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.01481855f, -0.05916197f, 0.09647877f, -0.9934647f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(-1.039349f, 0.6537352f, -1.642942f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(-11.22674f, -10.50259f, -2.579752f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.01481855f, -0.05916197f, 0.09647877f, -0.9934647f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(-1.039349f, 0.6537352f, -1.642942f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(-11.22674f, -10.50259f, -2.579752f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(-0.0002246409f, -0.2286125f, 0.1494832f, 0.9619725f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(0.5358368f, 0.2629593f, -0.6316928f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(0.6585716f, 0.4009758f, 0.2723012f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(0.2114545f, 5.114931f, -13.19753f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.09488447f, -0.2767026f, -0.08462418f, 0.952508f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(-0.1561203f, -0.3041541f, 0.2284862f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(0.7573525f, 0.05074476f, 0.3138669f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(-4.705663f, 4.462794f, 1.768409f), 1);
            api.Wait(16);
            api.Vector3InputEvent("GDIOHMD/DeviceVelocity", new Vector3(0.3125628f, 0.279581f, -0.1372544f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeVelocity", new Vector3(0.3125628f, 0.279581f, -0.1372544f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeVelocity", new Vector3(0.3125628f, 0.279581f, -0.1372544f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeVelocity", new Vector3(0.3125628f, 0.279581f, -0.1372544f), 1);
            api.Wait(8);
            api.Vector3InputEvent("GDIORightHand/DeviceVelocity", new Vector3(-0.05378425f, -0.08497255f, -0.1061005f), 1);
            api.Wait(26);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(-2.496583f, 1.119087f, -0.4814069f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(-2.496583f, 1.119087f, -0.4814069f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(-2.496583f, 1.119087f, -0.4814069f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(-2.496583f, 1.119087f, -0.4814069f), 1);
            api.Wait(43);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(0.03752458f, -0.06593738f, 0.1100513f, -0.9910262f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(-0.7386212f, -1.898013f, 0.1310262f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(14.29043f, -7.20058f, 2.022883f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(0.03752458f, -0.06593738f, 0.1100513f, -0.9910262f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(-0.7386212f, -1.898013f, 0.1310262f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(14.29043f, -7.20058f, 2.022883f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(0.03752458f, -0.06593738f, 0.1100513f, -0.9910262f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(-0.7386212f, -1.898013f, 0.1310262f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(14.29043f, -7.20058f, 2.022883f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(0.03752458f, -0.06593738f, 0.1100513f, -0.9910262f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(-0.7386212f, -1.898013f, 0.1310262f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(14.29043f, -7.20058f, 2.022883f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(0.0113081f, -0.2250326f, 0.1591156f, 0.9612048f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(0.5070902f, 0.2968176f, 0.3632014f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(-0.08470554f, 1.050017f, 1.066989f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(4.65477f, -0.2192303f, 8.1692f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.1044055f, -0.2792576f, -0.09126864f, 0.9501498f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(0.381148f, -0.1519623f, -0.1256281f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(0.7277527f, 0.5961402f, 0.5007595f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(3.80968f, 1.950283f, -3.580325f), 1);
            api.Wait(13);
            api.Vector3InputEvent("GDIOLeftHand/DeviceVelocity", new Vector3(0.1253231f, -0.01589803f, 0.1107836f), 1);
            api.Wait(8);
            api.Vector3InputEvent("GDIOHMD/DeviceVelocity", new Vector3(0.2048713f, 0.149851f, -0.172397f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeVelocity", new Vector3(0.2048713f, 0.149851f, -0.172397f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeVelocity", new Vector3(0.2048713f, 0.149851f, -0.172397f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeVelocity", new Vector3(0.2048713f, 0.149851f, -0.172397f), 1);
            api.Wait(17);
            api.Vector3InputEvent("GDIORightHand/DeviceVelocity", new Vector3(0.02161808f, -0.05180104f, -0.04148945f), 1);
            api.Wait(16);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(-1.23371f, 0.3577859f, -0.1660349f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(-1.23371f, 0.3577859f, -0.1660348f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(-1.23371f, 0.3577859f, -0.1660348f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(-1.23371f, 0.3577859f, -0.1660349f), 1);
            api.Wait(9);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(0.1005703f, -0.07719369f, 0.1222038f, -0.9843744f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(-1.171957f, -1.523228f, 0.8801163f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(12.31129f, -8.839209f, 2.218839f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(0.1005703f, -0.0771937f, 0.1222038f, -0.9843745f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(-1.171957f, -1.523228f, 0.8801163f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(12.31129f, -8.839206f, 2.218839f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(0.1005703f, -0.0771937f, 0.1222038f, -0.9843745f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(-1.171957f, -1.523228f, 0.8801163f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(12.31129f, -8.839206f, 2.218839f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(0.1005703f, -0.07719369f, 0.1222038f, -0.9843744f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(-1.171957f, -1.523228f, 0.8801163f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(12.31129f, -8.839209f, 2.218839f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(0.03230204f, -0.2147675f, 0.1725473f, 0.9607595f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(0.2864265f, 0.2184958f, 0.2803075f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(0.01463853f, 1.339036f, 0.4965081f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(1.379836f, -3.445029f, -4.779633f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.1053455f, -0.2845082f, -0.09447628f, 0.9481728f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(-0.02895456f, -0.1218995f, -0.06822978f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(0.5559909f, 0.8892376f, 0.390536f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(-3.086698f, -0.6590406f, 0.1586573f), 1);
            api.Wait(17);
            api.Vector3InputEvent("GDIOHMD/DeviceVelocity", new Vector3(0.1410621f, 0.06856567f, -0.1225947f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeVelocity", new Vector3(0.1410621f, 0.06856567f, -0.1225947f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeVelocity", new Vector3(0.1410621f, 0.06856567f, -0.1225947f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeVelocity", new Vector3(0.1410621f, 0.06856567f, -0.1225947f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceVelocity", new Vector3(0.1261554f, 0.08106165f, 0.1451329f), 1);
            api.Wait(33);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(-0.4436363f, -0.007438092f, -0.03465872f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(-0.4436362f, -0.007438086f, -0.0346587f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(-0.4436362f, -0.007438086f, -0.0346587f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(-0.4436363f, -0.007438092f, -0.03465872f), 1);
            api.Wait(67);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(0.09819593f, -0.07085346f, 0.121723f, -0.9851502f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(-0.1448746f, -0.3014409f, 0.5847501f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(3.437164f, -0.7969658f, 0.04223152f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(0.09819593f, -0.07085346f, 0.121723f, -0.9851502f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(-0.1448746f, -0.3014409f, 0.5847501f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(3.437164f, -0.7969658f, 0.04223152f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(0.09819593f, -0.07085346f, 0.121723f, -0.9851502f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(-0.1448746f, -0.3014409f, 0.5847501f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(3.437164f, -0.7969658f, 0.04223152f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(0.09819593f, -0.07085346f, 0.121723f, -0.9851502f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(-0.1448746f, -0.3014409f, 0.5847501f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(3.437164f, -0.7969658f, 0.04223152f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(0.01796849f, -0.2062984f, 0.1824871f, 0.9611537f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(-0.4268839f, 0.1020407f, 0.07545889f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(1.023285f, -0.1729338f, 0.1639556f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(5.655756f, -5.209597f, -15.24251f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.09954052f, -0.2828818f, -0.09369162f, 0.9493637f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceVelocity", new Vector3(0.1111578f, 0.03368177f, -0.006649818f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(-0.1052972f, 0.1295404f, -0.07474267f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(0.5396573f, 0.2938623f, 0.004214309f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(2.742097f, 0.2309112f, -3.639617f), 1);
            api.Wait(16);
            api.Vector3InputEvent("GDIOHMD/DeviceVelocity", new Vector3(0.08828276f, -0.02098818f, -0.03235145f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeVelocity", new Vector3(0.08828276f, -0.02098818f, -0.03235145f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeVelocity", new Vector3(0.08828276f, -0.02098818f, -0.03235145f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeVelocity", new Vector3(0.08828276f, -0.02098818f, -0.03235145f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceVelocity", new Vector3(0.1732728f, 0.1685762f, 0.1134789f), 1);
            api.Wait(33);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(0.207084f, -0.2583932f, 0.04693558f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(0.207084f, -0.2583931f, 0.04693557f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(0.207084f, -0.2583931f, 0.04693557f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(0.207084f, -0.2583932f, 0.04693558f), 1);
            api.Wait(9);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(0.0876224f, -0.05807868f, 0.1201926f, -0.9871691f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(-0.3392974f, 0.2017659f, 0.1256917f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(0.1178786f, -3.956991f, 0.3872113f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(0.0876224f, -0.05807868f, 0.1201926f, -0.9871691f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(-0.3392974f, 0.2017659f, 0.1256917f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(0.1178786f, -3.956991f, 0.3872113f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(0.0876224f, -0.05807868f, 0.1201926f, -0.9871691f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(-0.3392974f, 0.2017659f, 0.1256917f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(0.1178786f, -3.956991f, 0.3872113f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(0.0876224f, -0.05807868f, 0.1201926f, -0.9871691f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(-0.3392974f, 0.2017659f, 0.1256917f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(0.1178786f, -3.956991f, 0.3872113f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(0.0009164286f, -0.1887438f, 0.1582431f, 0.9691925f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(-0.3184972f, 0.3506007f, -0.7171945f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(0.8349535f, -0.3469801f, -0.9938547f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(-10.09191f, 1.769665f, -14.52877f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.09125033f, -0.278806f, -0.09636766f, 0.951133f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(0.1702712f, -0.2782367f, -0.06331261f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(-1.498407f, -0.7465048f, 2.937346f), 1);
            api.Wait(16);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(-0.1542973f, 0.07329509f, 0.03672101f), 1);
            api.Wait(67);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(0.1827315f, -0.4162949f, 0.1046518f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(0.1827315f, -0.4162949f, 0.1046518f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(0.1827315f, -0.4162949f, 0.1046518f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(0.1827315f, -0.4162949f, 0.1046518f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceVelocity", new Vector3(0.2087639f, 0.0891343f, 0.06004374f), 1);
            api.Wait(7);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(0.07747917f, -0.03972068f, 0.1156893f, -0.9894621f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(-0.07660857f, 0.04849647f, 0.1236287f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(0.5685051f, 2.496549f, 0.8978551f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(0.07747917f, -0.03972068f, 0.1156893f, -0.9894621f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(-0.07660857f, 0.04849647f, 0.1236287f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(0.5685051f, 2.496549f, 0.8978551f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(0.07747917f, -0.03972068f, 0.1156893f, -0.9894621f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(-0.07660857f, 0.04849647f, 0.1236287f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(0.5685051f, 2.496549f, 0.8978551f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(0.07747917f, -0.03972068f, 0.1156893f, -0.9894621f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(-0.07660857f, 0.04849647f, 0.1236287f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(0.5685051f, 2.496549f, 0.8978551f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(0.005852417f, -0.1855113f, 0.1218036f, 0.9750463f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(0.1877762f, 0.2386219f, -0.4950449f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(-0.9395003f, -0.5251674f, -1.09307f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(-2.339422f, 5.207293f, 18.63779f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.08865838f, -0.27133f, -0.0922185f, 0.9539473f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(0.1579464f, -0.3509862f, 0.3422844f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(6.245903f, 2.360347f, -5.601926f), 1);
            api.Wait(17);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(0.06611887f, 0.1988601f, -0.05936304f), 1);
            api.Wait(42);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(0.06787042f, -0.02516049f, 0.1110579f, -0.9911744f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(0.2579605f, -0.4875543f, 0.1590409f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(-0.3528444f, -0.256565f, 0.2670387f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(1.810278f, -2.869184f, -0.9541755f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(0.06787042f, -0.02516049f, 0.1110579f, -0.9911744f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(0.2579605f, -0.4875543f, 0.1590409f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(-0.3528444f, -0.256565f, 0.2670387f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(1.810278f, -2.869184f, -0.9541755f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(0.06787042f, -0.02516049f, 0.1110579f, -0.9911744f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(0.2579605f, -0.4875543f, 0.1590409f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(-0.3528444f, -0.256565f, 0.2670387f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(1.810278f, -2.869184f, -0.9541755f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(0.06787042f, -0.02516049f, 0.1110579f, -0.9911744f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(0.2579605f, -0.4875543f, 0.1590409f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(-0.3528444f, -0.256565f, 0.2670387f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(1.810278f, -2.869184f, -0.9541755f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DevicePosition", new Vector3(-0.1766013f, 1.256981f, 0.2393331f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(0.004768991f, -0.174119f, 0.1333459f, 0.9756427f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(-0.01058838f, 0.3037704f, -0.008572927f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(-0.4026675f, -0.2806511f, -0.5195796f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(4.028546f, -3.729672f, -7.472943f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.08965363f, -0.2663351f, -0.09077996f, 0.9553989f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(-0.3075068f, 0.04881424f, -0.232862f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(-2.588642f, -1.838462f, 4.492167f), 1);
            api.Wait(17);
            api.Vector3InputEvent("GDIOLeftHand/DeviceVelocity", new Vector3(0.1462561f, 0.0440817f, -0.007722225f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(-0.06593256f, 0.1382283f, 0.1307767f), 1);
            api.Wait(67);
            api.Vector3InputEvent("GDIOHMD/DeviceVelocity", new Vector3(-0.02173505f, -0.04574149f, 0.0355807f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeVelocity", new Vector3(-0.02173505f, -0.04574149f, 0.0355807f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeVelocity", new Vector3(-0.02173505f, -0.04574149f, 0.0355807f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeVelocity", new Vector3(-0.02173505f, -0.04574149f, 0.0355807f), 1);
            api.Wait(25);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(0.03342433f, 0.01619323f, 0.09672533f, -0.9946179f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(0.6403742f, -0.9466571f, 0.3482804f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(-0.7813364f, -0.8289088f, 0.2468229f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(6.023948f, -6.851799f, 1.848682f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(0.03342433f, 0.01619323f, 0.09672533f, -0.9946179f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(0.6403742f, -0.9466571f, 0.3482804f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(-0.7813364f, -0.8289088f, 0.2468229f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(6.023948f, -6.851799f, 1.848682f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(0.03342433f, 0.01619323f, 0.09672533f, -0.9946179f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(0.6403742f, -0.9466571f, 0.3482804f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(-0.7813364f, -0.8289088f, 0.2468229f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(6.023948f, -6.851799f, 1.848682f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(0.03342433f, 0.01619323f, 0.09672533f, -0.9946179f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(0.6403742f, -0.9466571f, 0.3482804f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(-0.7813364f, -0.8289088f, 0.2468229f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(6.023948f, -6.851799f, 1.848682f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(-0.002503534f, -0.1700766f, 0.1382934f, 0.9756755f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(-0.1321914f, -0.09424844f, 0.1803367f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(-1.620041f, 0.3163233f, -0.3686566f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(-3.283752f, -13.5635f, -3.162608f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(-0.3287657f, 0.1671248f, -0.2464455f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(0.417886f, -3.301494f, -0.8215351f), 1);
            api.Wait(15);
            api.Vector3InputEvent("GDIOLeftHand/DeviceVelocity", new Vector3(0.002559043f, 0.04571069f, -0.02977056f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(0.00762897f, -0.03993258f, -0.04970659f), 1);
            api.Wait(8);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.0882933f, -0.2676461f, -0.09086242f, 0.9551513f), 1);
            api.Wait(34);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.004039225f, 0.06030491f, 0.08273669f, -0.994737f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(0.913554f, -1.337263f, 0.4608625f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(-0.8315884f, -0.2176926f, 0.1956387f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(0.468223f, -7.414476f, 2.680325f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.004039225f, 0.06030491f, 0.08273669f, -0.994737f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(0.913554f, -1.337263f, 0.4608625f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(-0.8315884f, -0.2176926f, 0.1956387f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(0.468223f, -7.414476f, 2.680325f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.004039225f, 0.06030491f, 0.08273669f, -0.994737f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(0.913554f, -1.337263f, 0.4608625f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(-0.8315884f, -0.2176926f, 0.1956387f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(0.468223f, -7.414476f, 2.680325f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.004039225f, 0.06030491f, 0.08273669f, -0.994737f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(0.913554f, -1.337263f, 0.4608625f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(-0.8315884f, -0.2176926f, 0.1956387f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(0.468223f, -7.414476f, 2.680325f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(-0.007660317f, -0.1808248f, 0.1591224f, 0.9705276f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(-0.1983898f, -0.2626854f, 0.5739908f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(-1.2223f, 0.1184418f, -0.3273859f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(-1.742339f, 3.701799f, 12.21245f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(-0.1848798f, -0.2278424f, 0.1160526f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(-1.706542f, -0.5911614f, 0.7311198f), 1);
            api.Wait(17);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(-0.0481051f, -0.1107257f, -0.003072066f), 1);
            api.Wait(9);
            api.Vector3InputEvent("GDIOHMD/DeviceVelocity", new Vector3(-0.1063997f, -0.09608583f, 0.05639331f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeVelocity", new Vector3(-0.1063997f, -0.09608583f, 0.05639331f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeVelocity", new Vector3(-0.1063997f, -0.09608583f, 0.05639331f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeVelocity", new Vector3(-0.1063997f, -0.09608583f, 0.05639331f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.08691556f, -0.2715155f, -0.08972664f, 0.9542925f), 1);
            api.Wait(74);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.05950422f, 0.1391309f, 0.05968515f, -0.986681f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(0.9026045f, -1.629193f, 0.5231919f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(-0.2694494f, 0.1545051f, -0.1518423f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(-3.38681f, -1.276848f, 0.2744325f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.05950423f, 0.1391309f, 0.05968516f, -0.9866811f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(0.9026043f, -1.629193f, 0.5231918f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(-0.2694494f, 0.1545051f, -0.1518423f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(-3.386809f, -1.276848f, 0.2744325f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.05950423f, 0.1391309f, 0.05968516f, -0.9866811f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(0.9026043f, -1.629193f, 0.5231918f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(-0.2694494f, 0.1545051f, -0.1518423f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(-3.386809f, -1.276848f, 0.2744325f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.05950422f, 0.1391309f, 0.05968515f, -0.986681f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(0.9026045f, -1.629193f, 0.5231919f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(-0.2694494f, 0.1545051f, -0.1518423f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(-3.38681f, -1.276848f, 0.2744325f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(-0.01772024f, -0.2054555f, 0.1712264f, 0.9634083f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(-0.2533723f, -0.2253977f, -0.01142241f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(2.321191f, 0.3460721f, -0.7241321f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(-4.821403f, 23.29261f, -16.85045f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(-0.09914395f, -0.1097237f, 0.3139723f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(0.267738f, 1.998494f, 1.18425f), 1);
            api.Wait(17);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(-0.08226322f, 0.01071179f, 0.05725216f), 1);
            api.Wait(9);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.08414025f, -0.2715498f, -0.0861977f, 0.9548566f), 1);
            api.Wait(26);
            api.Vector3InputEvent("GDIOLeftHand/DeviceVelocity", new Vector3(0.01414789f, 0.05856082f, -0.1308052f), 1);
            api.Wait(8);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.09122609f, 0.1810042f, 0.04517457f, -0.9781997f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(0.1429053f, -0.2198736f, -0.14404f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(0.5293177f, 3.148722f, -0.2637905f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.09122609f, 0.1810042f, 0.04517457f, -0.9781997f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(0.1429053f, -0.2198736f, -0.14404f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(0.5293177f, 3.148722f, -0.2637905f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.09122609f, 0.1810042f, 0.04517457f, -0.9781997f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(0.1429053f, -0.2198736f, -0.14404f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(0.5293177f, 3.148722f, -0.2637905f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.09122609f, 0.1810042f, 0.04517457f, -0.9781997f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(0.1429053f, -0.2198736f, -0.14404f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(0.5293177f, 3.148722f, -0.2637905f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(-0.03572951f, -0.2077981f, 0.1613758f, 0.9641064f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(-0.4948715f, -0.4387116f, -0.3024875f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(-0.7318229f, -0.9337712f, -1.150205f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(-12.08959f, -35.52491f, -3.605747f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(0.380136f, 0.5761766f, 0.7918886f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(1.757563f, 6.666056f, -3.710022f), 1);
            api.Wait(15);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(0.9487476f, -1.498585f, 0.5457112f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(0.9487476f, -1.498585f, 0.5457112f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(0.9487476f, -1.498585f, 0.5457112f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(0.9487476f, -1.498585f, 0.5457112f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(-0.06839822f, 0.3562168f, -0.03990487f), 1);
            api.Wait(69);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.07588483f, -0.2496582f, -0.08332593f, 0.9617531f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceVelocity", new Vector3(0.11042f, 0.08014029f, 0.1790515f), 1);
            api.Wait(23);
            api.Vector3InputEvent("GDIOHMD/DeviceVelocity", new Vector3(-0.08364189f, -0.1996025f, 0.04655261f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeVelocity", new Vector3(-0.08364189f, -0.1996025f, 0.04655261f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeVelocity", new Vector3(-0.08364189f, -0.1996025f, 0.04655261f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeVelocity", new Vector3(-0.08364189f, -0.1996025f, 0.04655261f), 1);
            api.Wait(16);
            api.Vector3InputEvent("GDIOLeftHand/DeviceVelocity", new Vector3(0.120313f, -0.05925454f, -0.09705737f), 1);
            api.Wait(8);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.1968612f, 0.2270071f, 0.004389152f, -0.9537789f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(0.4660013f, -0.9189628f, 0.09174927f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(-2.637204f, 5.081856f, 3.789238f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.1968612f, 0.2270071f, 0.004389152f, -0.9537789f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(0.4660013f, -0.9189628f, 0.09174927f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(-2.637204f, 5.081856f, 3.789238f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.1968612f, 0.2270071f, 0.004389152f, -0.9537789f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(0.4660013f, -0.9189628f, 0.09174927f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(-2.637204f, 5.081856f, 3.789238f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.1968612f, 0.2270071f, 0.004389152f, -0.9537789f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(0.4660013f, -0.9189628f, 0.09174927f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(-2.637204f, 5.081856f, 3.789238f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(-0.01582866f, -0.1606329f, 0.1254989f, 0.9788752f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(0.05572943f, 1.045188f, -0.2649546f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(0.3158398f, 0.2317889f, 2.023255f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(-1.308139f, -2.09012f, 1.471523f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(-1.784043f, 3.806205f, 3.545451f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(6.772303f, -20.80104f, -24.14934f), 1);
            api.Wait(17);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(1.415751f, -0.6302141f, 0.8659306f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(1.415751f, -0.6302141f, 0.8659306f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(1.415751f, -0.6302141f, 0.8659306f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(1.415751f, -0.6302141f, 0.8659306f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(0.380162f, -0.05381465f, -1.146217f), 1);
            api.Wait(8);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.07652301f, -0.2414661f, -0.1462297f, 0.9562715f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceVelocity", new Vector3(0.02533092f, 0.3001309f, 0.4140385f), 1);
            api.Wait(67);
            api.Vector3InputEvent("GDIOLeftHand/DeviceVelocity", new Vector3(0.1125487f, 0.1687513f, -0.01701427f), 1);
            api.Wait(8);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.2545002f, 0.2292999f, -0.0117485f, -0.9394217f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(0.7655435f, -0.1394808f, -0.5414021f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(0.2429097f, 5.114022f, 0.02906048f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.2545002f, 0.2292999f, -0.0117485f, -0.9394217f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(0.7655435f, -0.1394808f, -0.5414021f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(0.2429097f, 5.114022f, 0.02906048f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.2545002f, 0.2292999f, -0.0117485f, -0.9394217f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(0.7655435f, -0.1394808f, -0.5414021f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(0.2429097f, 5.114022f, 0.02906048f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.2545002f, 0.2292999f, -0.0117485f, -0.9394217f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(0.7655435f, -0.1394808f, -0.5414021f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(0.2429097f, 5.114022f, 0.02906048f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(-0.01900802f, -0.0338722f, 0.2528468f, 0.9667264f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(-1.24316f, 2.237448f, 2.057038f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(-0.4850608f, 3.79869f, -1.295536f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(-29.32297f, -3.334708f, -0.840462f), 1);
            api.Vector3InputEvent("GDIORightHand/DevicePosition", new Vector3(0.1298281f, 1.22412f, 0.2668654f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(-0.9597453f, 1.603194f, -0.3146242f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(22.59929f, -51.30702f, -60.55036f), 1);
            api.Wait(16);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(1.182974f, -0.1400487f, 0.5980772f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(1.182974f, -0.1400487f, 0.5980772f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(1.182974f, -0.1400487f, 0.5980772f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(1.182974f, -0.1400487f, 0.5980772f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(1.803641f, -2.851173f, -5.156272f), 1);
            api.Wait(8);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.1048406f, -0.3617757f, -0.3844997f, 0.8427851f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceVelocity", new Vector3(-0.1008762f, 0.5314591f, 0.4504692f), 1);
            api.Wait(8);
            api.Vector3InputEvent("GDIOHMD/DeviceVelocity", new Vector3(0.01149049f, -0.1904736f, 0.005029945f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeVelocity", new Vector3(0.01149049f, -0.1904736f, 0.005029945f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeVelocity", new Vector3(0.01149049f, -0.1904736f, 0.005029945f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeVelocity", new Vector3(0.01149049f, -0.1904736f, 0.005029945f), 1);
            api.Wait(17);
            api.Vector3InputEvent("GDIOLeftHand/DeviceVelocity", new Vector3(0.03370777f, 0.2694312f, -0.044497f), 1);
            api.Wait(11);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.2863419f, 0.2294353f, -0.01960499f, -0.9300448f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(0.3441031f, 0.6247178f, -0.3951767f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(-5.758637f, 2.240408f, -4.689778f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.2863419f, 0.2294353f, -0.01960499f, -0.9300448f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(0.3441031f, 0.6247178f, -0.3951767f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(-5.758637f, 2.240408f, -4.689778f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.2863419f, 0.2294353f, -0.01960499f, -0.9300448f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(0.3441031f, 0.6247178f, -0.3951767f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(-5.758637f, 2.240408f, -4.689778f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.2863419f, 0.2294353f, -0.01960499f, -0.9300448f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(0.3441031f, 0.6247178f, -0.3951767f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(-5.758637f, 2.240408f, -4.689778f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(-0.04445211f, 0.08480936f, 0.4054419f, 0.909092f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(-1.959247f, 3.186355f, 4.281452f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(0.4699952f, -0.7651144f, -0.5989338f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(-17.30562f, -3.792413f, 9.970792f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(-0.4995087f, -1.085312f, -2.52288f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(-26.90074f, 16.61773f, -7.35104f), 1);
            api.Wait(23);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(0.9368079f, -0.04364549f, 0.4577813f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(0.9368079f, -0.04364549f, 0.4577813f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(0.9368079f, -0.04364549f, 0.4577813f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(0.9368079f, -0.04364549f, 0.4577813f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(0.4597333f, -3.195481f, -5.087704f), 1);
            api.Wait(9);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.08215002f, -0.4625708f, -0.5147294f, 0.7171703f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceVelocity", new Vector3(-0.1313226f, 0.5055956f, 0.3130246f), 1);
            api.Wait(74);
            api.Vector3InputEvent("GDIOHMD/DeviceVelocity", new Vector3(0.06475762f, -0.1127579f, -0.03823448f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeVelocity", new Vector3(0.06475762f, -0.1127579f, -0.03823448f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeVelocity", new Vector3(0.06475762f, -0.1127579f, -0.03823448f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeVelocity", new Vector3(0.06475762f, -0.1127579f, -0.03823448f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceVelocity", new Vector3(0.00381979f, 0.07212561f, 0.07021114f), 1);
            api.Wait(10);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.3246025f, 0.2144751f, -0.02986113f, -0.9207291f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(0.2751721f, 0.9720619f, 0.1447069f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(-9.646486f, 2.783131f, -3.581755f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.3246025f, 0.2144751f, -0.02986113f, -0.9207291f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(0.2751721f, 0.9720619f, 0.1447069f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(-9.646486f, 2.783131f, -3.581755f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.3246025f, 0.2144751f, -0.02986113f, -0.9207291f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(0.2751721f, 0.9720619f, 0.1447069f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(-9.646486f, 2.783131f, -3.581755f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.3246025f, 0.2144751f, -0.02986113f, -0.9207291f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(0.2751721f, 0.9720619f, 0.1447069f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(-9.646486f, 2.783131f, -3.581755f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(-0.1080418f, 0.1425743f, 0.4906449f, 0.8527996f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(-0.9289474f, 0.8734032f, 2.40185f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(1.281672f, -2.070162f, 0.4132227f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(10.80078f, 25.80904f, 7.923026f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(-0.5038727f, -3.438968f, -0.3022045f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(6.553289f, 11.11045f, 36.52713f), 1);
            api.Wait(23);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(0.3482094f, 0.2332467f, 0.2883754f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(0.3482094f, 0.2332467f, 0.2883754f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(0.3482094f, 0.2332467f, 0.2883754f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(0.3482094f, 0.2332467f, 0.2883754f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(0.06786266f, -0.6484009f, -1.416805f), 1);
            api.Wait(7);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.04202412f, -0.4930304f, -0.551169f, 0.6718391f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceVelocity", new Vector3(-0.2074005f, 0.1448163f, 0.216818f), 1);
            api.Wait(25);
            api.Vector3InputEvent("GDIOLeftHand/DeviceVelocity", new Vector3(0.07447895f, -0.01128002f, 0.08036856f), 1);
            api.Wait(8);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.3293609f, 0.2051755f, -0.02964789f, -0.9211652f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(-0.2206793f, 0.8684601f, 0.007915696f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(-2.965047f, -2.088471f, -2.666972f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.3293609f, 0.2051755f, -0.02964789f, -0.9211652f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(-0.2206793f, 0.8684601f, 0.007915696f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(-2.965047f, -2.088471f, -2.666972f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.3293609f, 0.2051755f, -0.02964789f, -0.9211652f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(-0.2206793f, 0.8684601f, 0.007915696f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(-2.965047f, -2.088471f, -2.666972f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.3293609f, 0.2051755f, -0.02964789f, -0.9211652f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(-0.2206793f, 0.8684601f, 0.007915696f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(-2.965047f, -2.088471f, -2.666972f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(-0.1216134f, 0.1394398f, 0.4990632f, 0.8465829f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(-0.3998817f, -0.05197076f, 0.8657061f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(0.07302417f, -0.5978904f, -0.06000123f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(7.98645f, -0.170858f, -2.733117f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(0.8066586f, -1.508352f, -2.815881f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(-2.046333f, 7.851716f, 24.36214f), 1);
            api.Wait(67);
            api.Vector3InputEvent("GDIOHMD/DeviceVelocity", new Vector3(0.03962074f, -0.002859862f, -0.01882626f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(-0.1156948f, 0.1390896f, -0.01936718f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeVelocity", new Vector3(0.03962074f, -0.002859862f, -0.01882626f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(-0.1156948f, 0.1390896f, -0.01936718f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeVelocity", new Vector3(0.03962074f, -0.002859862f, -0.01882626f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(-0.1156948f, 0.1390896f, -0.01936718f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeVelocity", new Vector3(0.03962074f, -0.002859862f, -0.01882626f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(-0.1156948f, 0.1390896f, -0.01936718f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(0.2893412f, -0.3793343f, -0.8207076f), 1);
            api.Wait(8);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.04784765f, -0.4928134f, -0.581282f, 0.6457219f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceVelocity", new Vector3(-0.1056537f, -0.007868269f, 0.02593288f), 1);
            api.Wait(16);
            api.Vector3InputEvent("GDIORightHand/DevicePosition", new Vector3(0.07897189f, 1.291589f, 0.3206865f), 1);
            api.Wait(18);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.3216969f, 0.2058821f, -0.0266697f, -0.9238032f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(-0.4059781f, 0.2661604f, 0.1159385f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(1.151605f, -2.72517f, -0.1715772f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.3216969f, 0.2058821f, -0.0266697f, -0.9238032f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(-0.4059781f, 0.2661604f, 0.1159385f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(1.151605f, -2.72517f, -0.1715772f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.3216969f, 0.2058821f, -0.0266697f, -0.9238032f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(-0.4059781f, 0.2661604f, 0.1159385f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(1.151605f, -2.72517f, -0.1715772f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.3216969f, 0.2058821f, -0.0266697f, -0.9238032f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(-0.4059781f, 0.2661604f, 0.1159385f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(1.151605f, -2.72517f, -0.1715772f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(-0.1250851f, 0.1205877f, 0.5027539f, 0.8467886f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(0.2747918f, -0.6107271f, -0.3645352f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(-0.5359257f, 0.6260405f, -0.1575347f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(7.511446f, -9.687675f, -22.88314f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(0.164493f, 0.5136003f, -1.250055f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(-10.65958f, 12.97851f, 31.51608f), 1);
            api.Wait(15);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(-0.07600214f, -0.05194224f, -0.1138715f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(-0.07600214f, -0.05194224f, -0.1138715f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(-0.07600214f, -0.05194224f, -0.1138715f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(-0.07600214f, -0.05194224f, -0.1138715f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(-0.09181727f, 0.3408372f, 0.5610782f), 1);
            api.Wait(8);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.04857837f, -0.4825589f, -0.5538283f, 0.6767949f), 1);
            api.Wait(25);
            api.Vector3InputEvent("GDIORightHand/DeviceVelocity", new Vector3(-0.0604936f, 0.03616566f, -0.06501152f), 1);
            api.Wait(76);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.318233f, 0.2057861f, -0.02576507f, -0.9250492f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(-0.2083259f, 0.1436674f, 0.2541192f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(-1.393848f, -0.217978f, 0.5044129f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.318233f, 0.2057861f, -0.02576507f, -0.9250492f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(-0.2083259f, 0.1436674f, 0.2541192f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(-1.393848f, -0.217978f, 0.5044129f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.318233f, 0.2057861f, -0.02576507f, -0.9250492f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(-0.2083259f, 0.1436674f, 0.2541192f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(-1.393848f, -0.217978f, 0.5044129f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.318233f, 0.2057861f, -0.02576507f, -0.9250492f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(-0.2083259f, 0.1436674f, 0.2541192f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(-1.393848f, -0.217978f, 0.5044129f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(-0.1217299f, 0.04646429f, 0.3403362f, 0.9312326f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(0.9389252f, -3.332665f, -5.602332f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(0.222092f, -1.388212f, 2.464002f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(8.175404f, -9.692904f, -4.884465f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(-0.9176821f, 0.2046925f, 0.9940147f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(-20.47777f, 45.03824f, 45.16951f), 1);
            api.Wait(15);
            api.Vector3InputEvent("GDIOLeftHand/DeviceVelocity", new Vector3(0.1324263f, 0.02717113f, 0.1820062f), 1);
            api.Wait(9);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(-0.1617025f, 0.03553423f, 0.04948676f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(-0.1617025f, 0.03553423f, 0.04948676f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(-0.1617025f, 0.03553423f, 0.04948676f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(-0.1617025f, 0.03553423f, 0.04948676f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(-2.724725f, 4.41239f, 4.790123f), 1);
            api.Wait(8);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(-0.07315898f, -0.3572663f, -0.260052f, 0.8940814f), 1);
            api.Wait(26);
            api.Vector3InputEvent("GDIORightHand/DeviceVelocity", new Vector3(-0.1532621f, 0.1099801f, -0.02108994f), 1);
            api.Wait(8);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.3135432f, 0.20136f, -0.0293623f, -0.9275143f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(-0.007284331f, -0.04469939f, -0.1418187f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(2.839137f, 0.2987427f, 0.6938081f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.3135432f, 0.20136f, -0.0293623f, -0.9275143f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(-0.007284331f, -0.04469939f, -0.1418187f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(2.839137f, 0.2987427f, 0.6938081f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.3135432f, 0.20136f, -0.0293623f, -0.9275143f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(-0.007284331f, -0.04469939f, -0.1418187f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(2.839137f, 0.2987427f, 0.6938081f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.3135432f, 0.20136f, -0.0293623f, -0.9275143f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(-0.007284331f, -0.04469939f, -0.1418187f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(2.839137f, 0.2987427f, 0.6938081f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(-0.1412657f, -0.1767255f, -0.1611075f, 0.9606542f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(0.247118f, -5.327695f, -8.794205f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(-2.546837f, 0.4897814f, -0.9512701f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(-46.98226f, 7.845428f, -18.4177f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(-2.159342f, -1.452632f, 2.683861f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(-35.40181f, 22.14604f, 59.78677f), 1);
            api.Wait(9);
            api.Vector3InputEvent("GDIOLeftHand/DeviceVelocity", new Vector3(0.06935156f, -0.0541455f, 0.2424776f), 1);
            api.Wait(67);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(-0.04474375f, 0.06181115f, 0.0271958f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(-0.04474375f, 0.06181115f, 0.0271958f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(-0.04474375f, 0.06181115f, 0.0271958f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(-0.04474375f, 0.06181115f, 0.0271958f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(-6.859084f, 6.580382f, 7.627438f), 1);
            api.Wait(7);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(-0.333725f, -0.05631894f, 0.341911f, 0.8766713f), 1);
            api.Wait(25);
            api.Vector3InputEvent("GDIORightHand/DeviceVelocity", new Vector3(-0.1294549f, -0.09484981f, 0.1115822f), 1);
            api.Wait(9);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.3116926f, 0.1978495f, -0.02960309f, -0.9288848f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(-0.04567738f, 0.03042571f, -0.3439973f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(0.8544398f, -0.3937262f, 0.2384737f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.3116926f, 0.1978495f, -0.02960309f, -0.9288848f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(-0.04567738f, 0.03042571f, -0.3439973f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(0.8544398f, -0.3937262f, 0.2384737f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.3116926f, 0.1978495f, -0.02960309f, -0.9288848f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(-0.04567738f, 0.03042571f, -0.3439973f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(0.8544398f, -0.3937262f, 0.2384737f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.3116926f, 0.1978495f, -0.02960309f, -0.9288848f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(-0.04567738f, 0.03042571f, -0.3439973f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(0.8544398f, -0.3937262f, 0.2384737f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(-0.2001525f, -0.3295419f, -0.625698f, 0.6781174f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(-0.716243f, -4.266001f, -9.058709f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(-0.4031087f, 0.5432276f, -0.4074542f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(7.498732f, 29.59039f, -1.220359f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(1.611245f, -0.5473868f, 2.56559f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(33.2825f, -59.46714f, -6.825676f), 1);
            api.Wait(8);
            api.Vector3InputEvent("GDIOLeftHand/DeviceVelocity", new Vector3(-0.09182316f, -0.08391663f, 0.2546045f), 1);
            api.Wait(8);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(-6.700017f, 4.40196f, 5.742027f), 1);
            api.Wait(8);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(-0.4444002f, 0.03698419f, 0.503081f, 0.7403041f), 1);
            api.Wait(25);
            api.Vector3InputEvent("GDIORightHand/DeviceVelocity", new Vector3(-0.01738696f, -0.05795182f, 0.2226751f), 1);
            api.Wait(67);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.308084f, 0.1984337f, -0.02824161f, -0.9300058f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(0.1319771f, -0.3241535f, 0.05246804f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(0.8386493f, 0.7115903f, 0.6674889f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.308084f, 0.1984337f, -0.02824161f, -0.9300058f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(0.1319771f, -0.3241535f, 0.05246804f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(0.8386493f, 0.7115903f, 0.6674889f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.308084f, 0.1984337f, -0.02824161f, -0.9300058f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(0.1319771f, -0.3241535f, 0.05246804f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(0.8386493f, 0.7115903f, 0.6674889f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.308084f, 0.1984337f, -0.02824161f, -0.9300058f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(0.1319771f, -0.3241535f, 0.05246804f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(0.8386493f, 0.7115903f, 0.6674889f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(-0.2233552f, -0.3607506f, -0.6266617f, 0.6536564f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(-0.6871622f, -0.7587198f, -2.711998f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(1.240332f, -2.311753f, -0.1853573f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(23.23653f, 23.14632f, -2.494686f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(-0.4812776f, 1.470392f, -2.234678f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(30.57152f, -9.836544f, -43.8232f), 1);
            api.Wait(15);
            api.Vector3InputEvent("GDIOLeftHand/DeviceVelocity", new Vector3(-0.0455137f, -0.02274344f, 0.1086485f), 1);
            api.Wait(8);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(-1.602984f, 0.8165828f, 1.360608f), 1);
            api.Wait(8);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(-0.4902904f, 0.09184562f, 0.5784419f, 0.6454338f), 1);
            api.Wait(25);
            api.Vector3InputEvent("GDIORightHand/DeviceVelocity", new Vector3(-0.0333138f, -0.06098284f, 0.06870718f), 1);
            api.Wait(8);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.3053519f, 0.1933483f, -0.02608692f, -0.9320387f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(-0.06120723f, -0.02574626f, -0.007860862f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(0.137014f, 0.925876f, 1.056252f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.3053519f, 0.1933483f, -0.02608692f, -0.9320387f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(-0.06120723f, -0.02574626f, -0.007860862f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(0.137014f, 0.925876f, 1.056252f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.3053519f, 0.1933483f, -0.02608692f, -0.9320387f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(-0.06120723f, -0.02574626f, -0.007860862f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(0.137014f, 0.925876f, 1.056252f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.3053519f, 0.1933483f, -0.02608692f, -0.9320387f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(-0.06120723f, -0.02574626f, -0.007860862f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(0.137014f, 0.925876f, 1.056252f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(-0.2589307f, -0.3608136f, -0.669894f, 0.5949878f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(-0.4414878f, 0.05743909f, -0.939318f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(1.049894f, 1.439482f, -1.525491f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(-11.80872f, 13.41091f, 13.4473f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(-0.0295018f, -0.03544861f, -0.7237909f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(16.4833f, -6.664731f, 1.489798f), 1);
            api.Wait(8);
            api.Vector3InputEvent("GDIOLeftHand/DeviceVelocity", new Vector3(0.0232287f, 0.03150908f, 0.02374987f), 1);
            api.Wait(8);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(-0.7477279f, 0.3626231f, 0.9261389f), 1);
            api.Wait(8);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(-0.4959706f, 0.08960206f, 0.5913751f, 0.6294919f), 1);
            api.Wait(100);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.3023587f, 0.1892706f, -0.02627094f, -0.9338446f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(-0.1025711f, 0.06988882f, 0.0118765f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(-0.2435843f, -0.888217f, -0.4663344f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.3023587f, 0.1892706f, -0.02627094f, -0.9338446f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(-0.1025711f, 0.06988882f, 0.0118765f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(-0.2435843f, -0.888217f, -0.4663344f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.3023587f, 0.1892706f, -0.02627094f, -0.9338446f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(-0.1025711f, 0.06988882f, 0.0118765f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(-0.2435843f, -0.888217f, -0.4663344f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.3023587f, 0.1892706f, -0.02627094f, -0.9338446f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(-0.1025711f, 0.06988882f, 0.0118765f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(-0.2435843f, -0.888217f, -0.4663344f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(-0.2767183f, -0.3689444f, -0.660961f, 0.5919778f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(-0.5639614f, 0.1086195f, 0.03924629f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(-0.2789167f, 0.4352384f, -0.2063558f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(-12.07808f, -3.019277f, 4.264593f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(0.4876051f, 0.5386637f, 0.4644946f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(5.867548f, 5.203649f, -2.118375f), 1);
            api.Wait(18);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(0.08002954f, 0.2943458f, -0.123627f), 1);
            api.Wait(8);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(-0.4813565f, 0.09659691f, 0.586986f, 0.6437487f), 1);
            api.Wait(35);
            api.Vector3InputEvent("GDIORightHand/DeviceVelocity", new Vector3(0.00382529f, 0.0266753f, 0.01979519f), 1);
            api.Wait(81);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(0.1282875f, -0.1323754f, 0.1011102f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(1.326523f, 1.105966f, 0.1170617f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(0.1282875f, -0.1323754f, 0.1011102f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(1.326523f, 1.105966f, 0.1170617f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(0.1282875f, -0.1323754f, 0.1011102f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(1.326523f, 1.105966f, 0.1170617f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(0.1282875f, -0.1323754f, 0.1011102f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(1.326523f, 1.105966f, 0.1170617f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(-0.2763979f, -0.3695978f, -0.6542531f, 0.5991282f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(-0.09602059f, 0.1848176f, 0.2719737f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(0.2133019f, -0.6522254f, 0.1719781f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(8.900134f, 0.8602619f, 0.3124937f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(0.1612035f, 0.5550555f, -0.2210511f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(-7.255575f, 1.9587f, 3.703855f), 1);
            api.Wait(8);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.3037972f, 0.1869794f, -0.02592445f, -0.933849f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.3037972f, 0.1869794f, -0.02592445f, -0.933849f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.3037972f, 0.1869794f, -0.02592445f, -0.933849f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.3037972f, 0.1869794f, -0.02592445f, -0.933849f), 1);
            api.Wait(8);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(0.05549619f, 0.06296443f, 0.02224439f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(0.05549619f, 0.06296443f, 0.02224439f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(0.05549619f, 0.06296443f, 0.02224439f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(0.05549619f, 0.06296443f, 0.02224439f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(-0.0397719f, 0.03635976f, -0.1230285f), 1);
            api.Wait(11);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(-0.4804875f, 0.1021083f, 0.5779365f, 0.6516864f), 1);
            api.Wait(107);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(0.0958391f, 0.1889452f, 0.101416f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(-1.206861f, -0.2831194f, -0.4563226f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(0.0958391f, 0.1889452f, 0.101416f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(-1.206861f, -0.2831194f, -0.4563226f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(0.0958391f, 0.1889452f, 0.101416f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(-1.206861f, -0.2831194f, -0.4563226f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(0.0958391f, 0.1889452f, 0.101416f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(-1.206861f, -0.2831194f, -0.4563226f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(-0.2847226f, -0.3719972f, -0.6477624f, 0.6007953f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(-0.04052901f, 0.141158f, 0.08472405f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(0.04423652f, -0.2559813f, 0.08517567f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(7.985077f, 4.382988f, 6.219282f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(0.06172889f, -0.05911821f, -0.1404581f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(-3.203792f, -0.4760377f, -2.625082f), 1);
            api.Wait(7);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.3140189f, 0.170315f, -0.02929579f, -0.9335559f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.314019f, 0.170315f, -0.0292958f, -0.933556f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.314019f, 0.170315f, -0.0292958f, -0.933556f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.3140189f, 0.170315f, -0.02929579f, -0.9335559f), 1);
            api.Wait(7);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(0.09693536f, 0.2270518f, 0.1467932f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(0.09693534f, 0.2270517f, 0.1467932f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(0.09693534f, 0.2270517f, 0.1467932f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(0.09693536f, 0.2270518f, 0.1467932f), 1);
            api.Wait(8);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(-0.4797259f, 0.1036096f, 0.576516f, 0.6532668f), 1);
            api.Wait(26);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(0.07136871f, 0.05746923f, -0.05757683f), 1);
            api.Wait(17);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(0.09157446f, -0.04677716f, -0.1871914f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(-0.8127122f, -1.052712f, -0.8107239f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(0.09157446f, -0.04677716f, -0.1871914f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(-0.8127122f, -1.052712f, -0.8107239f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(0.09157446f, -0.04677716f, -0.1871914f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(-0.8127122f, -1.052712f, -0.8107239f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(0.09157446f, -0.04677716f, -0.1871914f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(-0.8127122f, -1.052712f, -0.8107239f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(-0.2869191f, -0.3714756f, -0.6392051f, 0.6091799f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(0.006043084f, 0.1576553f, 0.2804495f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(-0.4537755f, -0.3233401f, 0.2161735f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(7.17379f, 8.040652f, 13.3722f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(-0.0180792f, -0.1661582f, 0.1211881f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(-10.13558f, 0.9118459f, 5.924173f), 1);
            api.Wait(8);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.3163724f, 0.1633475f, -0.02934005f, -0.934005f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.3163724f, 0.1633475f, -0.02934005f, -0.934005f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.3163724f, 0.1633475f, -0.02934005f, -0.934005f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.3163724f, 0.1633475f, -0.02934005f, -0.934005f), 1);
            api.Wait(76);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(0.01994921f, 0.1687744f, 0.03898628f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(0.01994921f, 0.1687744f, 0.03898628f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(0.01994921f, 0.1687744f, 0.03898628f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(0.01994921f, 0.1687744f, 0.03898628f), 1);
            api.Wait(8);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(-0.4776955f, 0.104183f, 0.5772319f, 0.6540308f), 1);
            api.Wait(16);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(-0.08195885f, 0.0606401f, -0.01743553f), 1);
            api.Wait(8);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(-0.09464289f, 0.04904338f, -0.08585709f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(0.5695758f, -1.333628f, -0.1580589f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(-0.09464289f, 0.04904338f, -0.08585709f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(0.5695758f, -1.333628f, -0.1580589f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(-0.09464289f, 0.04904338f, -0.08585709f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(0.5695758f, -1.333628f, -0.1580589f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(-0.09464289f, 0.04904338f, -0.08585709f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(0.5695758f, -1.333628f, -0.1580589f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(-0.2899534f, -0.3680176f, -0.638094f, 0.6110041f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(-0.1995589f, 0.1151657f, -0.03903088f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(-0.03346263f, -0.0920278f, -0.3129794f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(-5.50076f, 0.752737f, -3.374156f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(-0.08251625f, -0.2835064f, -0.3832876f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(-10.9766f, -1.327538f, 3.254305f), 1);
            api.Wait(10);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.3183399f, 0.1557694f, -0.02791974f, -0.9346743f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.3183399f, 0.1557694f, -0.02791974f, -0.9346743f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.3183399f, 0.1557694f, -0.02791974f, -0.9346743f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.3183399f, 0.1557694f, -0.02791974f, -0.9346743f), 1);
            api.Wait(24);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(-0.01664819f, 0.08023956f, 0.0015342f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(-0.01664819f, 0.08023956f, 0.0015342f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(-0.01664819f, 0.08023956f, 0.0015342f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(-0.01664819f, 0.08023956f, 0.0015342f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(-0.4799948f, 0.1059214f, 0.5762749f, 0.6529111f), 1);
            api.Wait(84);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(-0.08271176f, 0.1722857f, 0.007061864f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(-1.343222f, -1.52829f, -1.052605f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(-0.08271176f, 0.1722857f, 0.007061864f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(-1.343222f, -1.52829f, -1.052605f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(-0.08271176f, 0.1722857f, 0.007061864f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(-1.343222f, -1.52829f, -1.052605f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(-0.08271176f, 0.1722857f, 0.007061864f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(-1.343222f, -1.52829f, -1.052605f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(-0.2891188f, -0.3656091f, -0.6334894f, 0.6176014f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(0.2239644f, 0.1789121f, 0.3117806f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(-1.180904f, -0.3479026f, 0.2824164f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(5.035707f, -9.589667f, -14.29101f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(0.1883824f, -0.002444092f, -0.08734141f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(0.1246159f, -0.09279662f, 0.0227419f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(6.284106f, -3.532874f, -4.173962f), 1);
            api.Wait(9);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.3132124f, 0.158521f, -0.02601329f, -0.9359981f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.3132124f, 0.158521f, -0.02601329f, -0.9359981f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.3132124f, 0.158521f, -0.02601329f, -0.9359981f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.3132124f, 0.158521f, -0.02601329f, -0.9359981f), 1);
            api.Wait(24);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(-0.08601842f, -0.08361923f, -0.08013024f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(-0.08601842f, -0.08361923f, -0.08013024f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(-0.08601842f, -0.08361923f, -0.08013024f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(-0.08601842f, -0.08361923f, -0.08013024f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(-0.4701295f, 0.1007821f, 0.5760292f, 0.6610686f), 1);
            api.Wait(17);
            api.Vector3InputEvent("GDIOLeftHand/DeviceVelocity", new Vector3(-0.02914726f, -0.02315985f, -0.04256428f), 1);
            api.Wait(8);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(0.02987583f, 0.2639716f, -0.08311683f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(1.203438f, -0.08595423f, -0.7113792f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(0.02987583f, 0.2639716f, -0.08311683f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(1.203438f, -0.08595423f, -0.7113792f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(0.02987583f, 0.2639716f, -0.08311683f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(1.203438f, -0.08595423f, -0.7113792f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(0.02987583f, 0.2639716f, -0.08311683f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(1.203438f, -0.08595423f, -0.7113792f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(-0.2827333f, -0.3603543f, -0.6266998f, 0.6304395f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(0.1817946f, 0.1845031f, 0.4679466f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(-1.11415f, 0.1690191f, -0.3564385f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(4.927557f, 3.710805f, 23.29314f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(0.1419246f, 0.07114868f, -0.424336f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(-4.868731f, 2.520807f, 3.751328f), 1);
            api.Wait(9);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.3101818f, 0.1629213f, -0.02419111f, -0.9363005f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.3101818f, 0.1629213f, -0.02419111f, -0.9363005f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.3101818f, 0.1629213f, -0.02419111f, -0.9363005f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.3101818f, 0.1629213f, -0.02419111f, -0.9363005f), 1);
            api.Wait(84);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(-0.4711363f, 0.1020877f, 0.5714896f, 0.6640846f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(-0.2639423f, 0.03822818f, -0.06615572f), 1);
            api.Wait(24);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(0.1140974f, 0.118962f, 0.07063109f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(1.921594f, -0.6153982f, 1.168705f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(0.1140974f, 0.118962f, 0.07063109f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(1.921594f, -0.6153982f, 1.168705f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(0.1140974f, 0.118962f, 0.07063109f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(1.921594f, -0.6153982f, 1.168705f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(0.1140974f, 0.118962f, 0.07063109f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(1.921594f, -0.6153982f, 1.168705f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(-0.2560404f, -0.3483947f, -0.5391316f, 0.7227735f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceVelocity", new Vector3(-0.08337175f, 0.04632637f, -0.09711976f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(0.5761433f, 1.752462f, 3.426593f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(-1.451058f, 3.302093f, -1.630317f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(20.13479f, 90.04862f, 147.1812f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(0.2067108f, -0.142267f, 0.6568627f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(18.34302f, -6.517507f, -6.757354f), 1);
            api.Wait(8);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.3082947f, 0.1679917f, -0.02099728f, -0.9361049f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.3082947f, 0.1679917f, -0.02099728f, -0.9361049f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.3082947f, 0.1679917f, -0.02099728f, -0.9361049f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.3082947f, 0.1679917f, -0.02099728f, -0.9361049f), 1);
            api.Wait(26);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(-0.4558491f, 0.09479119f, 0.5525214f, 0.6913294f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(0.7643137f, -0.2242251f, -0.7000353f), 1);
            api.Wait(27);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(-0.009927833f, 0.07501677f, 0.004259496f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(-1.229714f, 0.8502383f, 0.1510555f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(-0.009927833f, 0.07501677f, 0.004259496f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(-1.229714f, 0.8502383f, 0.1510555f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(-0.009927833f, 0.07501677f, 0.004259496f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(-1.229714f, 0.8502383f, 0.1510555f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(-0.009927833f, 0.07501677f, 0.004259496f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(-1.229714f, 0.8502383f, 0.1510555f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(-0.2452968f, -0.3376157f, -0.5036061f, 0.7564563f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(0.307369f, 0.5471936f, 1.397297f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(-0.3425159f, -0.8619139f, 1.361421f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(-14.41652f, -71.85843f, -71.2369f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(0.7886404f, 1.309784f, -0.03075694f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(38.45496f, -26.60962f, -41.19753f), 1);
            api.Wait(82);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.3044143f, 0.1696815f, -0.02018917f, -0.9370872f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.3044143f, 0.1696815f, -0.02018917f, -0.9370873f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.3044143f, 0.1696815f, -0.02018917f, -0.9370873f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.3044143f, 0.1696815f, -0.02018917f, -0.9370872f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceVelocity", new Vector3(-0.2041675f, -0.0128137f, -0.02547608f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceVelocity", new Vector3(0.1430618f, 0.08079442f, 0.03119677f), 1);
            api.Wait(32);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(-0.354063f, 0.03683617f, 0.3645571f, 0.8604537f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(1.057199f, -0.6591598f, -2.121967f), 1);
            api.Wait(17);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(-0.1766054f, -0.123865f, -0.04232701f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(-0.1766054f, -0.123865f, -0.04232701f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(-0.1766054f, -0.123865f, -0.04232701f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(-0.1766054f, -0.123865f, -0.04232701f), 1);
            api.Wait(15);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(-0.02390729f, -0.08749194f, 0.06109975f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(-1.805109f, 0.3758116f, -0.2600646f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(-0.02390729f, -0.08749194f, 0.06109975f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(-1.805109f, 0.3758116f, -0.2600646f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(-0.02390729f, -0.08749194f, 0.06109975f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(-1.805109f, 0.3758116f, -0.2600646f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(-0.02390729f, -0.08749194f, 0.06109975f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(-1.805109f, 0.3758116f, -0.2600646f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(-0.1984092f, -0.340719f, -0.3433298f, 0.8524488f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(0.04267243f, 1.274654f, 2.949044f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(-2.796466f, 1.081594f, 0.1774849f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(16.4558f, 70.53924f, 122.9768f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(0.4040213f, 1.071081f, -0.4154738f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(16.94315f, -16.51575f, -17.02514f), 1);
            api.Wait(8);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.2937854f, 0.1766642f, -0.02190905f, -0.9391485f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.2937854f, 0.1766642f, -0.02190905f, -0.9391485f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.2937854f, 0.1766642f, -0.02190905f, -0.9391485f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.2937854f, 0.1766642f, -0.02190905f, -0.9391485f), 1);
            api.Wait(99);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(-0.2896701f, 0.02371993f, 0.2338813f, 0.9278082f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(0.6016524f, -0.09855273f, -1.016351f), 1);
            api.Wait(17);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(-0.03612964f, -0.06561152f, -0.005520622f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(-0.03612964f, -0.06561152f, -0.005520622f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(-0.03612964f, -0.06561152f, -0.005520622f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(-0.03612964f, -0.06561152f, -0.005520622f), 1);
            api.Wait(8);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(0.01971737f, 0.0009861588f, 0.144633f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(-1.366086f, 0.2507632f, 0.4045801f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(0.01971737f, 0.0009861588f, 0.144633f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(-1.366086f, 0.2507632f, 0.4045799f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(0.01971737f, 0.0009861588f, 0.144633f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(-1.366086f, 0.2507632f, 0.4045799f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(0.01971737f, 0.0009861588f, 0.144633f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(-1.366086f, 0.2507632f, 0.4045801f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(-0.1690964f, -0.3255393f, -0.2217225f, 0.9034765f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(-0.112234f, 0.7537047f, 1.706031f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(0.1011616f, 0.775428f, -0.1636559f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(6.389694f, 19.82733f, 27.89484f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(-1.261099f, -0.06390243f, -0.9356031f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(8.116208f, -16.60588f, 2.843079f), 1);
            api.Wait(9);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.2919222f, 0.1818197f, -0.02210505f, -0.938741f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.2919222f, 0.1818196f, -0.02210505f, -0.9387408f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.2919222f, 0.1818196f, -0.02210505f, -0.9387408f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.2919222f, 0.1818197f, -0.02210505f, -0.938741f), 1);
            api.Wait(25);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(-0.2463453f, -0.02080089f, 0.1553639f, 0.9564222f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(1.721453f, -1.437816f, -2.16459f), 1);
            api.Wait(83);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(-0.1595635f, 0.1295368f, 0.1179713f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(-3.563869f, -0.6132319f, -1.680731f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(-0.1595635f, 0.1295368f, 0.1179713f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(-3.563869f, -0.6132319f, -1.680731f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(-0.1595635f, 0.1295368f, 0.1179713f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(-3.563869f, -0.6132319f, -1.680731f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(-0.1595635f, 0.1295368f, 0.1179713f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(-3.563869f, -0.6132319f, -1.680731f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(-0.1056301f, -0.2325106f, 0.04843155f, 0.965627f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(-0.1546701f, 2.023436f, 3.779775f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(0.1107406f, 0.7290534f, -0.4479478f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(-7.512497f, 15.8531f, 16.3211f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(-0.5514531f, -1.26705f, 0.388955f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(-0.948292f, -0.7571471f, 2.824516f), 1);
            api.Wait(8);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.2923609f, 0.1820353f, -0.0238325f, -0.9385203f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.2923609f, 0.1820353f, -0.0238325f, -0.9385203f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.2923609f, 0.1820353f, -0.0238325f, -0.9385203f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.2923609f, 0.1820353f, -0.0238325f, -0.9385203f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceVelocity", new Vector3(0.1235164f, -0.01707695f, 0.0533409f), 1);
            api.Wait(26);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(-0.1619573f, -0.06386855f, 0.04849359f, 0.983534f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(1.227224f, -0.7410532f, -1.229813f), 1);
            api.Wait(25);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(-1.770999f, -0.1614302f, -1.932351f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(-1.770999f, -0.1614302f, -1.932351f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(-1.770999f, -0.1614302f, -1.932351f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(-1.770999f, -0.1614302f, -1.932351f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(-0.09316604f, -0.1856475f, 0.163901f, 0.9643607f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceVelocity", new Vector3(-0.1116144f, -0.002543333f, -0.07473037f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(-0.5291372f, 1.861155f, 3.424281f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(1.768701f, -0.2699825f, -0.3836394f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(-17.14283f, -15.03721f, -24.16534f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(-0.09306962f, 0.4209387f, -0.4185979f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(33.59879f, -36.34089f, -40.00911f), 1);
            api.Wait(8);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.2891099f, 0.1849279f, -0.02343962f, -0.9389716f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(-0.1333072f, 0.2540591f, 0.06604672f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.2891099f, 0.1849279f, -0.02343962f, -0.9389716f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(-0.1333072f, 0.2540591f, 0.06604672f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.2891099f, 0.1849279f, -0.02343962f, -0.9389716f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(-0.1333072f, 0.2540591f, 0.06604672f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.2891099f, 0.1849279f, -0.02343962f, -0.9389716f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(-0.1333072f, 0.2540591f, 0.06604672f), 1);
            api.Wait(76);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(-0.1794004f, -0.1679712f, -0.1026798f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(-0.1794004f, -0.1679712f, -0.1026798f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(-0.1794004f, -0.1679712f, -0.1026798f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(-0.1794004f, -0.1679712f, -0.1026798f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceVelocity", new Vector3(0.03285331f, -0.04597358f, -0.04217758f), 1);
            api.Wait(16);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(-0.04879886f, -0.1811339f, -0.1527456f, 0.9702979f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(1.653953f, -1.907559f, -2.374287f), 1);
            api.Wait(25);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(-2.30802f, -2.059972f, -2.529805f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(-2.30802f, -2.059972f, -2.529805f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(-2.30802f, -2.059972f, -2.529805f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(-2.30802f, -2.059972f, -2.529805f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(-0.08751989f, -0.1336264f, 0.2772913f, 0.9474143f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(-0.3882496f, 1.034854f, 2.380962f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(1.078089f, -1.36468f, 0.04105959f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(4.958894f, -16.3095f, -8.752911f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(-0.5730573f, -0.7962197f, -0.761851f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(4.294189f, -0.008970916f, -5.899818f), 1);
            api.Wait(8);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.2718657f, 0.2011187f, -0.02051565f, -0.940861f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(-0.1281063f, 0.4384566f, -0.02369895f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.2718657f, 0.2011187f, -0.02051565f, -0.940861f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(-0.1281063f, 0.4384566f, -0.02369895f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.2718657f, 0.2011187f, -0.02051565f, -0.940861f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(-0.1281063f, 0.4384566f, -0.02369895f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.2718657f, 0.2011187f, -0.02051565f, -0.940861f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(-0.1281063f, 0.4384566f, -0.02369895f), 1);
            api.Wait(8);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(-0.2996787f, -0.2679278f, -0.2259449f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(-0.2996787f, -0.2679278f, -0.2259449f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(-0.2996787f, -0.2679278f, -0.2259449f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(-0.2996787f, -0.2679278f, -0.2259449f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceVelocity", new Vector3(-0.01528504f, -0.03324459f, -0.07778449f), 1);
            api.Wait(18);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(-0.0159086f, -0.2237284f, -0.2168082f, 0.9500983f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(1.215375f, -1.774936f, -1.85756f), 1);
            api.Wait(92);
            api.Vector3InputEvent("GDIORightHand/DeviceVelocity", new Vector3(0.001160532f, -0.1493037f, -0.1598226f), 1);
            api.Wait(15);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(2.66087f, -1.246426f, 2.334201f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(2.66087f, -1.246426f, 2.334201f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(2.66087f, -1.246426f, 2.334201f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(2.66087f, -1.246426f, 2.334201f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(-0.08717114f, -0.1226768f, 0.3586748f, 0.9212513f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(-0.1871439f, 0.08816513f, 1.253653f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(0.6568118f, 0.6821043f, -0.1666221f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(1.480139f, -19.96519f, -33.57493f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(0.6635944f, -0.3877729f, 0.34673f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(-5.390704f, 4.328386f, 10.10489f), 1);
            api.Wait(9);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.2428887f, 0.2359896f, -0.01461135f, -0.9407978f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(0.09632517f, -0.7797529f, -0.08582443f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.2428887f, 0.2359896f, -0.01461135f, -0.9407978f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(0.09632517f, -0.7797529f, -0.08582443f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.2428887f, 0.2359896f, -0.01461135f, -0.9407978f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(0.09632517f, -0.7797529f, -0.08582443f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.2428887f, 0.2359896f, -0.01461135f, -0.9407978f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(0.09632517f, -0.7797529f, -0.08582443f), 1);
            api.Wait(8);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(-0.2433814f, -0.4758988f, -0.2090022f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(-0.2433814f, -0.4758988f, -0.2090022f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(-0.2433814f, -0.4758988f, -0.2090022f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(-0.2433814f, -0.4758988f, -0.2090022f), 1);
            api.Wait(17);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.01269724f, -0.2537141f, -0.2827933f, 0.9249302f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(0.5554095f, -0.454605f, -0.9105048f), 1);
            api.Wait(75);
            api.Vector3InputEvent("GDIORightHand/DeviceVelocity", new Vector3(0.04106519f, -0.247857f, -0.177755f), 1);
            api.Wait(7);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(1.215955f, 1.544463f, 1.128739f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(1.215955f, 1.544463f, 1.128739f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(1.215955f, 1.544463f, 1.128739f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(1.215955f, 1.544463f, 1.128739f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(-0.0823295f, -0.1359832f, 0.4365986f, 0.8855011f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(0.09599175f, -0.2092654f, 1.528146f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(-0.7702019f, 0.1462152f, -0.1105678f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(11.56499f, -6.863729f, -4.459338f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(-0.5711241f, -0.2576335f, -1.346932f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(-14.4293f, -4.108476f, 15.96216f), 1);
            api.Wait(8);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.2363688f, 0.2612385f, -0.01728224f, -0.9357273f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(0.04835185f, -0.02438649f, 0.3151278f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.2363688f, 0.2612385f, -0.01728224f, -0.9357273f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(0.04835185f, -0.02438649f, 0.3151278f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.2363688f, 0.2612385f, -0.01728224f, -0.9357273f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(0.04835185f, -0.02438649f, 0.3151278f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.2363688f, 0.2612385f, -0.01728224f, -0.9357273f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(0.04835185f, -0.02438649f, 0.3151278f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceVelocity", new Vector3(-0.1185519f, -0.05907004f, -0.07859542f), 1);
            api.Wait(8);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(-0.09422578f, -0.4062417f, -0.06300386f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(-0.09422578f, -0.4062417f, -0.06300386f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(-0.09422578f, -0.4062417f, -0.06300386f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(-0.09422578f, -0.4062417f, -0.06300386f), 1);
            api.Wait(17);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.07116172f, -0.2912825f, -0.3813273f, 0.8744599f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(1.009951f, -1.083308f, -1.582481f), 1);
            api.Wait(24);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(-1.091722f, 2.536418f, 0.6242559f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(-1.091722f, 2.536418f, 0.6242559f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(-1.091722f, 2.536418f, 0.6242559f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(-1.091722f, 2.536418f, 0.6242559f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(-0.07273658f, -0.1479423f, 0.4848542f, 0.8589173f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(0.2970868f, -0.2338357f, 1.566679f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(0.2261512f, -0.5598072f, 3.058975f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(8.772694f, 1.302669f, -28.0806f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(-1.536325f, -2.017668f, -0.3428662f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(0.07952726f, 11.92847f, 14.10522f), 1);
            api.Wait(8);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.2315868f, 0.2677198f, -0.01970119f, -0.9350431f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.2315868f, 0.2677198f, -0.01970119f, -0.9350431f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.2315868f, 0.2677198f, -0.01970119f, -0.9350431f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.2315868f, 0.2677198f, -0.01970119f, -0.9350431f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceVelocity", new Vector3(0.01226106f, -0.3319647f, -0.2288071f), 1);
            api.Wait(8);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(-0.1478382f, -0.2549459f, -0.01843003f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(0.082379f, -0.1568103f, 0.2332868f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(-0.1478382f, -0.2549459f, -0.01843003f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(0.082379f, -0.1568103f, 0.2332868f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(-0.1478382f, -0.2549459f, -0.01843003f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(0.082379f, -0.1568103f, 0.2332868f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(-0.1478382f, -0.2549459f, -0.01843003f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(0.082379f, -0.1568103f, 0.2332868f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceVelocity", new Vector3(-0.1154718f, -0.05727059f, 0.03797616f), 1);
            api.Wait(86);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.09311967f, -0.2962549f, -0.3518705f, 0.8830339f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(0.1391891f, -0.6056752f, 1.208106f), 1);
            api.Wait(15);
            api.ButtonPress("GDIOLeftHand/IndexTouch", (ulong)(api.GetLastFPS() * 0.1488004), 1f);
            api.Vector3InputEvent("GDIOLeftHand/DevicePosition", new Vector3(-0.2664811f, 1.315179f, 0.2367014f), 1);
            api.Vector3InputEvent("GDIORightHand/DevicePosition", new Vector3(0.1115903f, 1.201771f, 0.2731459f), 1);
            api.Wait(16);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(-0.07403771f, 0.8766164f, -1.872608f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(-0.07403769f, 0.8766161f, -1.872608f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(-0.07403769f, 0.8766161f, -1.872608f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(-0.07403771f, 0.8766164f, -1.872608f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(-0.04477512f, -0.2398041f, 0.3145183f, 0.9173698f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(0.1802374f, 0.05631687f, -0.5713792f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(-0.1803968f, 0.3032597f, 3.499792f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(32.10653f, 20.29162f, -3.558491f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(-0.5494133f, 0.2046716f, -0.03433609f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(2.494056f, 1.567566f, 5.971021f), 1);
            api.Wait(8);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.2278376f, 0.272508f, -0.02602979f, -0.934426f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceVelocity", new Vector3(-0.01921553f, 0.0009941813f, 0.06623012f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.2278376f, 0.272508f, -0.0260298f, -0.934426f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeVelocity", new Vector3(-0.01921553f, 0.0009941813f, 0.06623012f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.2278376f, 0.272508f, -0.0260298f, -0.934426f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeVelocity", new Vector3(-0.01921553f, 0.0009941813f, 0.06623012f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.2278376f, 0.272508f, -0.02602979f, -0.934426f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeVelocity", new Vector3(-0.01921553f, 0.0009941813f, 0.06623012f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceVelocity", new Vector3(-0.1945131f, -0.4459018f, -0.2739325f), 1);
            api.Wait(9);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(-0.07675458f, -0.08585247f, 0.02424315f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(-0.2722377f, 0.0615855f, 0.7296898f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(-0.07675458f, -0.08585247f, 0.02424315f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(-0.2722377f, 0.0615855f, 0.7296898f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(-0.07675458f, -0.08585247f, 0.02424315f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(-0.2722377f, 0.0615855f, 0.7296898f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(-0.07675458f, -0.08585247f, 0.02424315f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(-0.2722377f, 0.0615855f, 0.7296898f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceVelocity", new Vector3(-0.1791582f, 0.1818207f, 0.282338f), 1);
            api.Wait(15);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.1315296f, -0.3182938f, -0.2742391f, 0.8978764f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(-0.1205711f, -0.6558775f, 1.526959f), 1);
            api.Wait(100);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(0.1269076f, 0.2977366f, 0.134348f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(0.1269076f, 0.2977366f, 0.134348f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(0.1269076f, 0.2977366f, 0.134348f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(0.1269076f, 0.2977366f, 0.134348f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(-0.07157097f, -0.3599489f, -0.1814439f, 0.9123555f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(1.772123f, -0.9265975f, -6.055563f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(-1.420071f, -1.285635f, 0.7370384f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(16.44498f, 37.55437f, 56.53175f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(1.064104f, 0.826385f, 0.9281708f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(9.56476f, 1.802017f, -22.02366f), 1);
            api.Wait(8);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.2225303f, 0.2710262f, -0.0264357f, -0.936123f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceVelocity", new Vector3(-0.07012495f, -0.01318404f, 0.1558492f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.2225303f, 0.2710262f, -0.0264357f, -0.936123f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeVelocity", new Vector3(-0.07012495f, -0.01318404f, 0.1558492f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.2225303f, 0.2710262f, -0.0264357f, -0.936123f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeVelocity", new Vector3(-0.07012495f, -0.01318404f, 0.1558492f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.2225303f, 0.2710262f, -0.0264357f, -0.936123f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeVelocity", new Vector3(-0.07012495f, -0.01318404f, 0.1558492f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceVelocity", new Vector3(-0.1521147f, -0.3343773f, -0.2069785f), 1);
            api.Wait(8);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(-0.05100757f, 0.03897592f, 0.009155923f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(-0.4750848f, -0.07294478f, 0.7656219f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(-0.05100757f, 0.03897592f, 0.009155923f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(-0.4750848f, -0.07294478f, 0.7656219f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(-0.05100757f, 0.03897592f, 0.009155923f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(-0.4750848f, -0.07294478f, 0.7656219f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(-0.05100757f, 0.03897592f, 0.009155923f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(-0.4750848f, -0.07294478f, 0.7656219f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceVelocity", new Vector3(-0.04119699f, 0.2220394f, 0.4203732f), 1);
            api.Wait(20);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.148821f, -0.3511776f, -0.1725704f, 0.9081553f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(-0.1799956f, -0.7239721f, 1.105517f), 1);
            api.Wait(22);
            api.Vector3InputEvent("GDIOLeftHand/DevicePosition", new Vector3(-0.2861114f, 1.364555f, 0.3239985f), 1);
            api.Wait(8);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(-0.70406f, 1.798931f, -1.7593f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(-0.70406f, 1.798931f, -1.7593f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(-0.70406f, 1.798931f, -1.7593f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(-0.70406f, 1.798931f, -1.7593f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(-0.1074045f, -0.3946945f, -0.362772f, 0.8373035f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(1.031455f, -1.911294f, -6.126114f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(0.5585425f, -1.419378f, 0.7945668f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(2.765098f, -15.98117f, -33.78992f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(0.4401115f, 0.9830357f, 0.7409786f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(-16.70644f, -3.336036f, 9.20717f), 1);
            api.Wait(101);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.2003412f, 0.2590479f, -0.01681893f, -0.9447088f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceVelocity", new Vector3(-0.08844603f, 0.1116133f, 0.2359853f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.2003412f, 0.2590479f, -0.01681893f, -0.9447088f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeVelocity", new Vector3(-0.08844603f, 0.1116133f, 0.2359853f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.2003412f, 0.2590479f, -0.01681893f, -0.9447088f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeVelocity", new Vector3(-0.08844603f, 0.1116133f, 0.2359853f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.2003412f, 0.2590479f, -0.01681893f, -0.9447088f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeVelocity", new Vector3(-0.08844603f, 0.1116133f, 0.2359853f), 1);
            api.Vector3InputEvent("GDIORightHand/DevicePosition", new Vector3(0.07066676f, 1.113342f, 0.2232734f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceVelocity", new Vector3(-0.07173251f, -0.2538114f, -0.01699477f), 1);
            api.Wait(9);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(-0.9389549f, 0.5536813f, -0.5361866f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(0.33645f, 0.6887946f, 0.03042749f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(-0.9389549f, 0.5536813f, -0.5361866f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(0.33645f, 0.6887946f, 0.03042749f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(-0.9389549f, 0.5536813f, -0.5361866f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(0.33645f, 0.6887946f, 0.03042749f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(-0.9389549f, 0.5536813f, -0.5361866f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(0.33645f, 0.6887946f, 0.03042749f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceVelocity", new Vector3(-0.1799093f, 0.1660381f, 0.340923f), 1);
            api.Wait(15);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.1798372f, -0.3923186f, -0.113854f, 0.8948642f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(0.3253447f, -0.4953064f, 0.6379327f), 1);
            api.Wait(25);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(-3.97337f, 3.490937f, -4.656672f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(-3.97337f, 3.490937f, -4.656672f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(-3.97337f, 3.490937f, -4.656672f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(-3.97337f, 3.490937f, -4.656672f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(-0.1286827f, -0.3844356f, -0.4184217f, 0.8127566f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(0.2133781f, 0.149491f, -0.1315891f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(-1.536464f, -1.91598f, 1.400323f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(21.14193f, -1.920272f, -19.11444f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(-0.1091165f, 0.2662826f, 1.655214f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(0.9526738f, 13.01487f, 3.516423f), 1);
            api.Wait(86);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.1144846f, 0.2111397f, 0.01997543f, -0.9705227f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceVelocity", new Vector3(-0.01582158f, 0.221893f, 0.2526786f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.1144846f, 0.2111397f, 0.01997543f, -0.9705227f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeVelocity", new Vector3(-0.01582158f, 0.221893f, 0.2526786f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.1144846f, 0.2111397f, 0.01997543f, -0.9705227f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeVelocity", new Vector3(-0.01582158f, 0.221893f, 0.2526786f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.1144846f, 0.2111397f, 0.01997543f, -0.9705227f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeVelocity", new Vector3(-0.01582158f, 0.221893f, 0.2526786f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceVelocity", new Vector3(-0.1099174f, -0.1771918f, 0.151425f), 1);
            api.Wait(14);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(-1.720639f, 1.732168f, -1.022052f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(1.837338f, 1.214347f, 0.09978006f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(-1.720639f, 1.732168f, -1.022052f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(1.837338f, 1.214347f, 0.09978006f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(-1.720639f, 1.732168f, -1.022052f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(1.837338f, 1.214347f, 0.09978006f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(-1.720639f, 1.732168f, -1.022052f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(1.837338f, 1.214347f, 0.09978006f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DevicePosition", new Vector3(-0.3389214f, 1.394811f, 0.4134139f), 1);
            api.Wait(17);
            api.Vector3InputEvent("GDIOLeftHand/DeviceVelocity", new Vector3(-0.2644183f, 0.1934105f, 0.2775356f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.2070695f, -0.3781447f, -0.08081271f, 0.8986647f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(0.05346581f, -0.04572531f, 0.5262838f), 1);
            api.Wait(25);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(1.494876f, 9.643718f, -2.765038f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(1.494876f, 9.643718f, -2.765038f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(1.494876f, 9.643718f, -2.765038f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(1.494876f, 9.643718f, -2.765038f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(-0.181417f, -0.4566026f, -0.3505088f, 0.7973365f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(-1.589503f, -0.5239908f, 0.8157839f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(0.511884f, 0.4769909f, -0.9229538f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(-1.132679f, -23.38227f, -6.622284f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(-0.4303221f, 0.4166442f, 1.128731f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(2.21882f, 2.467404f, -5.522591f), 1);
            api.Wait(9);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(0.001334346f, 0.09916513f, 0.07303663f, -0.9923861f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceVelocity", new Vector3(0.09317286f, 0.25122f, 0.2410803f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(0.001334346f, 0.09916513f, 0.07303663f, -0.9923861f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeVelocity", new Vector3(0.09317286f, 0.25122f, 0.2410803f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(0.001334346f, 0.09916513f, 0.07303663f, -0.9923861f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeVelocity", new Vector3(0.09317286f, 0.25122f, 0.2410803f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(0.001334346f, 0.09916513f, 0.07303663f, -0.9923861f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeVelocity", new Vector3(0.09317286f, 0.25122f, 0.2410803f), 1);
            api.Wait(8);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(-1.763868f, 2.350474f, -1.139025f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(0.5399884f, -1.083496f, -0.5744866f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(-1.763868f, 2.350474f, -1.139025f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(0.5399884f, -1.083496f, -0.5744866f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(-1.763868f, 2.350474f, -1.139025f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(0.5399884f, -1.083496f, -0.5744866f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(-1.763868f, 2.350474f, -1.139025f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(0.5399884f, -1.083496f, -0.5744866f), 1);
            api.Wait(84);
            api.Vector3InputEvent("GDIORightHand/DeviceVelocity", new Vector3(-0.2175038f, -0.05080338f, 0.2615077f), 1);
            api.Wait(8);
            api.Vector3InputEvent("GDIOHMD/DevicePosition", new Vector3(0.04452893f, 1.685718f, 0.1118205f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyePosition", new Vector3(0.07766991f, 1.679047f, 0.1149622f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyePosition", new Vector3(0.04452893f, 1.685718f, 0.1118205f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.2242082f, -0.3645307f, -0.07334042f, 0.9008158f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(0.1216475f, 0.09284497f, 0.2275777f), 1);
            api.Wait(7);
            api.Vector3InputEvent("GDIOHMD/LeftEyePosition", new Vector3(0.01029639f, 1.692966f, 0.1109261f), 1);
            api.Wait(17);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(7.365292f, -14.93243f, 8.03807f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(7.365291f, -14.93243f, 8.038068f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(7.365291f, -14.93243f, 8.038068f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(7.365292f, -14.93243f, 8.03807f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(-0.2095921f, -0.4731551f, -0.2838154f, 0.8072448f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(-0.557816f, -0.02959827f, 0.3567361f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(0.6790158f, -0.1401127f, 1.225146f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(12.91648f, -9.760323f, -20.22838f), 1);
            api.Vector3InputEvent("GDIORightHand/DevicePosition", new Vector3(0.01446857f, 1.061817f, 0.2882355f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(-0.984507f, 1.288851f, -0.4602475f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(-8.736016f, -4.902022f, -2.575671f), 1);
            api.Wait(8);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(0.03512376f, 0.04208794f, 0.1016991f, -0.9933037f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceVelocity", new Vector3(-0.1024063f, 0.08448359f, 0.2440321f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(0.03512376f, 0.04208794f, 0.1016991f, -0.9933037f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeVelocity", new Vector3(-0.1024063f, 0.08448359f, 0.2440321f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(0.03512376f, 0.04208794f, 0.1016991f, -0.9933037f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeVelocity", new Vector3(-0.1024063f, 0.08448359f, 0.2440321f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(0.03512376f, 0.04208794f, 0.1016991f, -0.9933037f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeVelocity", new Vector3(-0.1024063f, 0.08448359f, 0.2440321f), 1);
            api.Wait(9);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(-0.1454626f, 0.4152599f, -0.2708246f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(-0.9731719f, -0.4755606f, 0.699176f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(-0.1454626f, 0.4152599f, -0.2708246f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(-0.9731719f, -0.4755606f, 0.699176f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(-0.1454626f, 0.4152599f, -0.2708246f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(-0.9731719f, -0.4755606f, 0.699176f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(-0.1454626f, 0.4152599f, -0.2708246f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(-0.9731719f, -0.4755606f, 0.699176f), 1);
            api.Wait(17);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.2143194f, -0.3721824f, -0.06339721f, 0.9008486f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceVelocity", new Vector3(-0.2823772f, 0.03071662f, 0.2363706f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(-0.2967362f, -0.1850677f, 0.1758419f), 1);
            api.Wait(76);
            api.Vector3InputEvent("GDIOLeftHand/DeviceVelocity", new Vector3(-0.1143277f, 0.1859754f, 0.3903304f), 1);
            api.Wait(7);
            api.Vector3InputEvent("GDIOLeftHand/DevicePosition", new Vector3(-0.3932658f, 1.454117f, 0.5012259f), 1);
            api.Wait(7);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(-1.585498f, -3.239435f, -0.4177387f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(-1.585498f, -3.239435f, -0.4177387f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(-1.585498f, -3.239435f, -0.4177387f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(-1.585498f, -3.239435f, -0.4177387f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(-0.2195223f, -0.4502052f, -0.2837742f, 0.8176781f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(0.1517783f, 0.3702947f, -0.3196975f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(1.188985f, -0.6625406f, 0.726236f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(8.269432f, -5.101369f, -21.4881f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(0.6336632f, 0.1654951f, 0.1853195f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(7.238258f, 6.330605f, -9.661491f), 1);
            api.Wait(8);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(0.02360845f, 0.04095357f, 0.1084436f, -0.9929782f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(0.02360845f, 0.04095357f, 0.1084436f, -0.9929781f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(0.02360845f, 0.04095357f, 0.1084436f, -0.9929781f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(0.02360845f, 0.04095357f, 0.1084436f, -0.9929782f), 1);
            api.Wait(8);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(0.1107764f, -0.04807936f, -0.1115644f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(-0.2875165f, 0.0268167f, -0.2952104f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(0.1107764f, -0.04807936f, -0.1115644f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(-0.2875165f, 0.0268167f, -0.2952104f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(0.1107764f, -0.04807936f, -0.1115644f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(-0.2875165f, 0.0268167f, -0.2952104f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(0.1107764f, -0.04807936f, -0.1115644f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(-0.2875165f, 0.0268167f, -0.2952104f), 1);
            api.Wait(17);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.1861004f, -0.3729221f, -0.06295598f, 0.9068254f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(-0.142073f, 0.1480339f, -0.3657574f), 1);
            api.Wait(25);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(-7.558957f, -3.636819f, 0.2363998f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(-7.558957f, -3.636819f, 0.2363998f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(-7.558957f, -3.636819f, 0.2363998f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(-7.558957f, -3.636819f, 0.2363998f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(-0.2276674f, -0.4396226f, -0.3072436f, 0.8127121f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(0.1315458f, 0.1608964f, -0.6580985f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(-0.2095953f, -0.6740384f, -0.5485699f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(-5.445116f, -9.545087f, 1.927991f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(0.7078226f, -1.34435f, -0.2851543f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(3.454942f, 1.370007f, -0.4506048f), 1);
            api.Wait(101);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(0.04298551f, 0.0487073f, 0.1124626f, -0.9915301f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(0.04298551f, 0.0487073f, 0.1124626f, -0.9915301f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(0.04298551f, 0.0487073f, 0.1124626f, -0.9915301f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(0.04298551f, 0.0487073f, 0.1124626f, -0.9915301f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceVelocity", new Vector3(-0.05519736f, 0.02813237f, 0.401602f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceVelocity", new Vector3(-0.1522099f, -0.04738664f, 0.198028f), 1);
            api.Wait(8);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(-0.3572461f, 0.08486445f, -0.1332339f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(0.1517176f, -0.3041306f, -0.3401345f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(-0.3572461f, 0.08486445f, -0.1332339f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(0.1517176f, -0.3041306f, -0.3401345f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(-0.3572461f, 0.08486445f, -0.1332339f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(0.1517176f, -0.3041306f, -0.3401345f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(-0.3572461f, 0.08486445f, -0.1332339f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(0.1517176f, -0.3041306f, -0.3401345f), 1);
            api.Wait(17);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.1986179f, -0.3577788f, -0.0751026f, 0.9093431f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(0.2950014f, 0.1312885f, -0.02413657f), 1);
            api.Wait(15);
            api.Vector3InputEvent("GDIOHMD/DevicePosition", new Vector3(-0.005226293f, 1.699849f, 0.1986772f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyePosition", new Vector3(0.02770703f, 1.69232f, 0.2020534f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyePosition", new Vector3(-0.005226293f, 1.699849f, 0.1986772f), 1);
            api.Wait(8);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(6.677114f, -0.6579086f, 4.504635f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyePosition", new Vector3(-0.03947248f, 1.707175f, 0.1970424f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(6.677114f, -0.6579086f, 4.504635f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(6.677114f, -0.6579086f, 4.504635f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(6.677114f, -0.6579086f, 4.504635f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(-0.2337846f, -0.4143974f, -0.3382867f, 0.8119f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(0.1760753f, 0.2737561f, -0.2124437f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(0.593102f, -1.959921f, 1.026578f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(11.10196f, 15.06938f, 8.288719f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(0.4824571f, -0.2516253f, -0.7341288f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(-7.646364f, -4.038854f, 8.213053f), 1);
            api.Wait(9);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(0.0524887f, 0.04376775f, 0.1128792f, -0.9912556f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(0.0524887f, 0.04376775f, 0.1128792f, -0.9912556f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(0.0524887f, 0.04376775f, 0.1128792f, -0.9912556f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(0.0524887f, 0.04376775f, 0.1128792f, -0.9912556f), 1);
            api.Wait(84);
            api.Vector3InputEvent("GDIOHMD/DeviceVelocity", new Vector3(-0.14144f, -0.005974818f, 0.1994154f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(0.1782134f, 0.1606159f, 0.1421056f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(-0.0478324f, -0.2448507f, -0.05016376f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeVelocity", new Vector3(-0.14144f, -0.005974818f, 0.1994154f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(0.1782134f, 0.1606159f, 0.1421056f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(-0.0478324f, -0.2448507f, -0.05016376f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeVelocity", new Vector3(-0.14144f, -0.005974818f, 0.1994154f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(0.1782134f, 0.1606159f, 0.1421056f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(-0.0478324f, -0.2448507f, -0.05016376f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeVelocity", new Vector3(-0.14144f, -0.005974818f, 0.1994154f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(0.1782134f, 0.1606159f, 0.1421056f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(-0.0478324f, -0.2448507f, -0.05016376f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DevicePosition", new Vector3(-0.4069732f, 1.4561f, 0.6068951f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceVelocity", new Vector3(-0.0684183f, -0.1605361f, 0.4583505f), 1);
            api.Vector3InputEvent("GDIORightHand/DevicePosition", new Vector3(-0.05686216f, 1.06479f, 0.3624691f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceVelocity", new Vector3(-0.06721564f, -0.06540386f, 0.1279474f), 1);
            api.Wait(17);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.2039435f, -0.3549017f, -0.04599844f, 0.9112278f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(-0.03604949f, 0.05584914f, 0.3392431f), 1);
            api.Wait(24);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(3.558752f, 0.7184511f, -0.6133175f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(3.558752f, 0.7184511f, -0.6133175f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(3.558752f, 0.7184511f, -0.6133175f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(3.558752f, 0.7184511f, -0.6133175f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(-0.2029324f, -0.3773747f, -0.3785741f, 0.8204197f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(0.7838009f, 0.2976265f, -0.2301579f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(-0.02851763f, -1.760364f, 1.076962f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(7.527739f, 6.190823f, 5.010582f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(0.6714957f, 0.4215506f, -0.0747686f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(2.322652f, 3.702976f, -1.798594f), 1);
            api.Wait(8);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(0.03117393f, 0.03242355f, 0.1033859f, -0.9936239f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(0.03117393f, 0.03242355f, 0.1033859f, -0.9936239f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(0.03117393f, 0.03242355f, 0.1033859f, -0.9936239f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(0.03117393f, 0.03242355f, 0.1033859f, -0.9936239f), 1);
            api.Wait(9);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(0.3709297f, 0.183389f, 0.1425249f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(0.08559096f, -0.0687722f, -0.1083881f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(0.3709297f, 0.183389f, 0.1425249f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(0.08559096f, -0.0687722f, -0.1083881f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(0.3709297f, 0.183389f, 0.1425249f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(0.08559096f, -0.0687722f, -0.1083881f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(0.3709297f, 0.183389f, 0.1425249f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(0.08559096f, -0.0687722f, -0.1083881f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceVelocity", new Vector3(-0.05849363f, -0.2577893f, 0.5121359f), 1);
            api.Wait(16);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.207276f, -0.3452082f, -0.0460987f, 0.9141898f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(0.06602777f, 0.2538396f, 0.153271f), 1);
            api.Wait(100);
            api.Vector3InputEvent("GDIOHMD/DeviceVelocity", new Vector3(-0.1808579f, -0.1039627f, 0.2082329f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeVelocity", new Vector3(-0.1808579f, -0.1039627f, 0.2082329f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeVelocity", new Vector3(-0.1808579f, -0.1039627f, 0.2082329f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeVelocity", new Vector3(-0.1808579f, -0.1039627f, 0.2082329f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DevicePosition", new Vector3(-0.4230742f, 1.389369f, 0.7168623f), 1);
            api.Wait(11);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(12.03536f, -8.394197f, 2.809055f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(12.03536f, -8.394197f, 2.809055f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(12.03536f, -8.394197f, 2.809055f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(12.03536f, -8.394197f, 2.809055f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(-0.1508888f, -0.3501526f, -0.4572466f, 0.8034621f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(1.0736f, -0.244692f, -0.4786354f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(-0.6341004f, -0.6202723f, -0.5645964f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(2.39475f, -7.499927f, -2.663108f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(0.2200247f, 0.4414357f, -0.1362783f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(-1.446849f, 0.2562304f, 1.157546f), 1);
            api.Wait(14);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.05375985f, 0.04197355f, 0.08098564f, -0.9943789f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.05375985f, 0.04197355f, 0.08098564f, -0.9943789f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.05375985f, 0.04197355f, 0.08098564f, -0.9943789f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.05375985f, 0.04197355f, 0.08098564f, -0.9943789f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceVelocity", new Vector3(0.01457176f, -0.004950931f, 0.1028141f), 1);
            api.Wait(8);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(1.606936f, -0.5833517f, 0.4338605f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(-0.8035127f, -0.8412119f, 0.1648406f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(1.606936f, -0.5833516f, 0.4338603f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(-0.8035127f, -0.8412119f, 0.1648406f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(1.606936f, -0.5833516f, 0.4338603f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(-0.8035127f, -0.8412119f, 0.1648406f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(1.606936f, -0.5833517f, 0.4338605f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(-0.8035127f, -0.8412119f, 0.1648406f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceVelocity", new Vector3(-0.104665f, -0.403452f, 0.4708881f), 1);
            api.Wait(18);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.2061646f, -0.3135935f, -0.03907721f, 0.9260822f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(-0.1245525f, 0.4469016f, 0.1613584f), 1);
            api.Wait(83);
            api.Vector3InputEvent("GDIOHMD/DevicePosition", new Vector3(-0.06969091f, 1.67182f, 0.2726136f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyePosition", new Vector3(-0.1030198f, 1.676833f, 0.2685215f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyePosition", new Vector3(-0.03636203f, 1.666807f, 0.2767056f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyePosition", new Vector3(-0.06969091f, 1.67182f, 0.2726136f), 1);
            api.Wait(17);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(-1.581458f, -0.9568979f, 1.307722f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(-1.581458f, -0.9568979f, 1.307722f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(-1.581458f, -0.9568979f, 1.307722f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(-1.581458f, -0.9568979f, 1.307722f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(-0.1236008f, -0.3428067f, -0.4986155f, 0.7865043f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(0.3919926f, -0.2157049f, -0.1939252f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(-0.2082395f, 1.232448f, -1.404488f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(-3.364716f, 12.14392f, 17.69704f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(0.3942923f, -0.6964331f, -0.3938447f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(5.975299f, 3.104859f, -1.146635f), 1);
            api.Wait(8);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.1571926f, 0.09722728f, 0.0493018f, -0.9815328f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.1571926f, 0.09722728f, 0.0493018f, -0.9815328f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.1571926f, 0.09722728f, 0.0493018f, -0.9815328f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.1571926f, 0.09722728f, 0.0493018f, -0.9815328f), 1);
            api.Wait(8);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(1.288928f, -0.9367285f, 0.4680462f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(-0.09186933f, -0.005179133f, -0.2341134f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(1.288928f, -0.9367285f, 0.4680462f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(-0.09186933f, -0.005179133f, -0.2341134f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(1.288928f, -0.9367285f, 0.4680462f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(-0.09186933f, -0.005179133f, -0.2341134f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(1.288928f, -0.9367285f, 0.4680462f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(-0.09186933f, -0.005179133f, -0.2341134f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceVelocity", new Vector3(-0.1409441f, -0.2892144f, 0.3056958f), 1);
            api.Wait(16);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.2026784f, -0.2694758f, -0.05687149f, 0.939718f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(0.1194626f, 0.7687578f, -0.1295728f), 1);
            api.Wait(17);
            api.Vector3InputEvent("GDIOLeftHand/DevicePosition", new Vector3(-0.4517011f, 1.320825f, 0.7873312f), 1);
            api.Wait(9);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(-3.965394f, 1.220631f, -1.762365f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(-3.965394f, 1.220631f, -1.762365f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(-3.965394f, 1.220631f, -1.762365f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(-3.965394f, 1.220631f, -1.762365f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(-0.09711833f, -0.3435732f, -0.4974508f, 0.7906126f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(0.6361475f, -0.3783627f, 0.1153961f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(0.3473059f, 0.2585128f, -0.5842122f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(8.864957f, -4.397382f, -6.430406f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceVelocity", new Vector3(0.08454935f, -0.01408312f, 0.02761548f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(0.1113412f, -0.4912445f, -0.6766596f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(2.525479f, -1.60535f, -0.08760349f), 1);
            api.Wait(100);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.2035382f, 0.134045f, 0.03140018f, -0.969339f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.2035382f, 0.134045f, 0.03140018f, -0.9693391f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.2035382f, 0.134045f, 0.03140018f, -0.9693391f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.2035382f, 0.134045f, 0.03140018f, -0.969339f), 1);
            api.Wait(8);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(0.6687215f, -0.7292845f, 0.251788f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(0.4075142f, 0.3226628f, -0.1001448f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(0.6687215f, -0.7292845f, 0.251788f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(0.4075142f, 0.3226628f, -0.1001448f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(0.6687215f, -0.7292845f, 0.251788f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(0.4075142f, 0.3226628f, -0.1001448f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(0.6687215f, -0.7292845f, 0.251788f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(0.4075142f, 0.3226628f, -0.1001448f), 1);
            api.Wait(17);
            api.Vector3InputEvent("GDIOLeftHand/DeviceVelocity", new Vector3(-0.1497573f, -0.2160064f, 0.2267455f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.2266079f, -0.2350336f, -0.06660222f, 0.9428533f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(0.3750061f, 0.3664092f, 0.1579056f), 1);
            api.Wait(25);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(-3.157965f, 4.529025f, -0.6432033f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(-3.157965f, 4.529025f, -0.6432033f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(-3.157965f, 4.529025f, -0.6432033f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(-3.157965f, 4.529025f, -0.6432033f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(-0.06112601f, -0.3410485f, -0.5431886f, 0.7647848f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(0.4075625f, -0.4260638f, -0.3256384f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(-0.7410679f, 0.9740607f, 0.2893537f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(-1.262255f, -1.764101f, -0.7019455f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(-0.2828834f, 0.001091985f, -0.1323512f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(-1.341466f, -2.377091f, 3.306794f), 1);
            api.Wait(92);
            api.Vector3InputEvent("GDIOHMD/DevicePosition", new Vector3(-0.1418134f, 1.634308f, 0.3375196f), 1);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.2372071f, 0.1632075f, 0.01329615f, -0.957559f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.2372071f, 0.1632075f, 0.01329615f, -0.957559f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyePosition", new Vector3(-0.1096828f, 1.630815f, 0.3479173f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.2372071f, 0.1632075f, 0.01329615f, -0.957559f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyePosition", new Vector3(-0.1418134f, 1.634308f, 0.3375196f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.2372071f, 0.1632075f, 0.01329615f, -0.957559f), 1);
            api.Wait(8);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(0.2279319f, -0.2484383f, 0.2355774f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(0.2963456f, 0.1735148f, 0.001505088f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyePosition", new Vector3(-0.1832642f, 1.634563f, 0.3379713f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(0.2279319f, -0.2484383f, 0.2355774f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(0.2963456f, 0.1735148f, 0.001505088f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(0.2279319f, -0.2484383f, 0.2355774f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(0.2963456f, 0.1735148f, 0.001505088f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(0.2279319f, -0.2484383f, 0.2355774f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(0.2963456f, 0.1735148f, 0.001505088f), 1);
            api.Wait(24);
            api.Vector3InputEvent("GDIOLeftHand/DeviceVelocity", new Vector3(-0.2045435f, -0.0838641f, 0.2324241f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.2532039f, -0.2190293f, -0.05367762f, 0.9407617f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(0.2961915f, 0.136891f, 0.2438308f), 1);
            api.Wait(17);
            api.Vector3InputEvent("GDIOLeftHand/DevicePosition", new Vector3(-0.506691f, 1.271352f, 0.8582531f), 1);
            api.Wait(8);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(-1.014378f, 1.732638f, -1.934553f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(-1.014378f, 1.732638f, -1.934553f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(-1.014378f, 1.732638f, -1.934553f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(-1.014378f, 1.732638f, -1.934553f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(-0.00454739f, -0.3391448f, -0.5652757f, 0.7519465f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(0.9357718f, -0.3994645f, -0.3782454f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(0.6043195f, -1.211466f, 0.5099344f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(19.6699f, -1.747523f, -24.77431f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(0.0263356f, -0.09662654f, 0.5982877f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(-0.8613487f, 1.477676f, -0.9902191f), 1);
            api.Wait(8);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.249576f, 0.1704372f, 0.001688104f, -0.9532367f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.249576f, 0.1704372f, 0.001688104f, -0.9532367f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.249576f, 0.1704372f, 0.001688104f, -0.9532367f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.249576f, 0.1704372f, 0.001688104f, -0.9532367f), 1);
            api.Wait(93);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(0.1205757f, -0.09302166f, 0.1145687f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(0.26131f, 0.2626336f, 0.1178319f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(0.1205757f, -0.09302166f, 0.1145687f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(0.26131f, 0.2626336f, 0.1178319f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(0.1205757f, -0.09302166f, 0.1145687f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(0.26131f, 0.2626336f, 0.1178319f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(0.1205757f, -0.09302166f, 0.1145687f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(0.26131f, 0.2626336f, 0.1178319f), 1);
            api.Wait(23);
            api.Vector3InputEvent("GDIOHMD/DeviceVelocity", new Vector3(-0.1218775f, -0.0197455f, 0.2040658f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeVelocity", new Vector3(-0.1218775f, -0.0197455f, 0.2040658f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeVelocity", new Vector3(-0.1218775f, -0.0197455f, 0.2040658f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeVelocity", new Vector3(-0.1218775f, -0.0197455f, 0.2040658f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceVelocity", new Vector3(-0.1129238f, -0.02171777f, 0.2576932f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.2722634f, -0.1928743f, -0.04863404f, 0.9414387f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(0.1914679f, 0.2436352f, 0.2345912f), 1);
            api.Wait(26);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(-1.08677f, -0.01667593f, -0.806079f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(-1.08677f, -0.01667593f, -0.806079f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(-1.08677f, -0.01667593f, -0.806079f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(-1.08677f, -0.01667593f, -0.806079f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(0.03802443f, -0.3005593f, -0.5732138f, 0.7613437f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(0.8436272f, 0.2382991f, 0.4084118f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(1.46805f, -0.1674441f, 0.39065f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(12.39984f, 9.947718f, 15.31433f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(0.008265229f, 0.2197547f, 0.1246792f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(-0.2731233f, 0.3836437f, -2.386712f), 1);
            api.Wait(7);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.2569343f, 0.173784f, -0.005033274f, -0.9506622f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.2569343f, 0.173784f, -0.005033274f, -0.9506622f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.2569343f, 0.173784f, -0.005033274f, -0.9506622f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.2569343f, 0.173784f, -0.005033274f, -0.9506622f), 1);
            api.Wait(92);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(0.06820825f, -0.02980633f, 0.01004662f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(0.4263997f, 0.1002202f, -0.08310634f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(0.06820823f, -0.02980632f, 0.01004662f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(0.4263997f, 0.1002202f, -0.08310634f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(0.06820823f, -0.02980632f, 0.01004662f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(0.4263997f, 0.1002202f, -0.08310634f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(0.06820825f, -0.02980633f, 0.01004662f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(0.4263997f, 0.1002202f, -0.08310634f), 1);
            api.Wait(16);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.2844287f, -0.1750408f, -0.0473191f, 0.9413936f), 1);
            api.Wait(25);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(-0.8912848f, 1.045373f, 0.4040931f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(-0.8912848f, 1.045373f, 0.4040931f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(-0.8912848f, 1.045373f, 0.4040931f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(-0.8912848f, 1.045373f, 0.4040931f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(0.06241731f, -0.2742239f, -0.5979707f, 0.7505574f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(0.7760686f, -0.02485881f, 0.01598087f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(-0.07472172f, -0.2189473f, -0.2373141f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(2.677831f, 1.737104f, -2.25472f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(-0.03040142f, 0.2650467f, -0.02491225f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(-1.300807f, 0.5501217f, -0.5243194f), 1);
            api.Wait(9);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.261006f, 0.1734795f, -0.004528029f, -0.9496106f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.261006f, 0.1734795f, -0.004528029f, -0.9496106f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.261006f, 0.1734795f, -0.004528029f, -0.9496106f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.261006f, 0.1734795f, -0.004528029f, -0.9496106f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(0.1373237f, 0.185785f, 0.1502097f), 1);
            api.Wait(8);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(0.3249968f, 0.06780861f, -0.1239395f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(0.3249968f, 0.06780861f, -0.1239395f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(0.3249968f, 0.06780861f, -0.1239395f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(0.3249968f, 0.06780861f, -0.1239395f), 1);
            api.Wait(110);
            api.Vector3InputEvent("GDIOHMD/DevicePosition", new Vector3(-0.188546f, 1.623154f, 0.4276577f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceVelocity", new Vector3(-0.02115608f, -0.005410885f, 0.1587487f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(-0.002733033f, 0.04097283f, -0.02384134f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeVelocity", new Vector3(-0.02115608f, -0.005410885f, 0.1587487f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(-0.002733033f, 0.04097283f, -0.02384134f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyePosition", new Vector3(-0.1566139f, 1.620325f, 0.438839f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeVelocity", new Vector3(-0.02115608f, -0.005410885f, 0.1587487f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(-0.002733033f, 0.04097283f, -0.02384134f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyePosition", new Vector3(-0.188546f, 1.623154f, 0.4276577f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeVelocity", new Vector3(-0.02115608f, -0.005410885f, 0.1587487f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(-0.002733033f, 0.04097283f, -0.02384134f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DevicePosition", new Vector3(-0.532925f, 1.254105f, 0.9549072f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceVelocity", new Vector3(-0.0009313736f, -0.04831992f, 0.1764555f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.2886544f, -0.1643456f, -0.04732076f, 0.942035f), 1);
            api.Wait(32);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(-1.521881f, 0.700271f, 0.8716605f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(-1.521881f, 0.700271f, 0.8716605f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(-1.521881f, 0.700271f, 0.8716605f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(-1.521881f, 0.700271f, 0.8716605f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(0.1025257f, -0.2460869f, -0.6247948f, 0.7338673f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(0.5584485f, 0.05055144f, 0.2118719f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(-0.1583369f, -0.7603338f, -0.917932f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(4.015069f, 2.922011f, 15.96673f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(0.2238858f, -0.2726811f, -0.4807409f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(2.799888f, 1.125139f, -4.788042f), 1);
            api.Wait(8);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.2605949f, 0.1701072f, -0.003282415f, -0.9503384f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyePosition", new Vector3(-0.22159f, 1.625388f, 0.4302792f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.2605949f, 0.1701073f, -0.003282415f, -0.9503384f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.2605949f, 0.1701073f, -0.003282415f, -0.9503384f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.2605949f, 0.1701072f, -0.003282415f, -0.9503384f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(0.1986471f, 0.4115728f, -0.05218509f), 1);
            api.Wait(8);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(0.2397638f, 0.03119846f, -0.07562375f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(0.2397638f, 0.03119846f, -0.07562375f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(0.2397638f, 0.03119846f, -0.07562375f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(0.2397638f, 0.03119846f, -0.07562375f), 1);
            api.Wait(101);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.3062417f, -0.1273983f, -0.05691868f, 0.9416719f), 1);
            api.Wait(9);
            api.Vector3InputEvent("GDIOLeftHand/DeviceVelocity", new Vector3(-0.02271454f, -0.05413241f, 0.07481851f), 1);
            api.Wait(25);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(-0.9543772f, -0.5908633f, -0.9565319f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(-0.9543772f, -0.5908633f, -0.9565319f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(-0.9543772f, -0.5908633f, -0.9565319f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(-0.9543772f, -0.5908633f, -0.9565319f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(0.1418677f, -0.2417239f, -0.6169428f, 0.7354079f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(0.48908f, -0.2900199f, 0.3068213f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(-0.7603558f, 0.0806734f, -0.6135461f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(-0.4113056f, 3.775029f, -5.407781f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(-0.5216051f, 0.4000875f, -0.331625f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(-1.654268f, -2.877434f, 1.080348f), 1);
            api.Wait(7);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.2620294f, 0.1656974f, -0.002235826f, -0.950726f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.2620294f, 0.1656974f, -0.002235826f, -0.950726f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.2620294f, 0.1656974f, -0.002235826f, -0.950726f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.2620294f, 0.1656974f, -0.002235826f, -0.950726f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(0.1835809f, 0.2407266f, 0.01908034f), 1);
            api.Wait(8);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(-0.1186723f, 0.02228767f, -0.4871529f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(-0.1186723f, 0.02228767f, -0.4871529f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(-0.1186723f, 0.02228767f, -0.4871529f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(-0.1186723f, 0.02228767f, -0.4871529f), 1);
            api.Wait(92);
            api.Vector3InputEvent("GDIOHMD/DeviceVelocity", new Vector3(-0.02052893f, -0.006845255f, 0.05382712f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeVelocity", new Vector3(-0.02052893f, -0.006845255f, 0.05382712f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeVelocity", new Vector3(-0.02052893f, -0.006845255f, 0.05382712f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeVelocity", new Vector3(-0.02052893f, -0.006845255f, 0.05382712f), 1);
            api.Wait(8);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(-0.1017571f, 0.03143239f, -0.05613818f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(-0.1017571f, 0.03143239f, -0.05613818f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(-0.1017571f, 0.03143239f, -0.05613818f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(-0.1017571f, 0.03143239f, -0.05613818f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.3121526f, -0.1249145f, -0.05487618f, 0.9401839f), 1);
            api.Wait(25);
            api.ButtonPress("GDIOLeftHand/Grip", (ulong)(api.GetLastFPS() * 3), 1f);
            api.Wait(8);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(0.3403082f, 0.2852408f, 1.34008f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(0.3403082f, 0.2852408f, 1.34008f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(0.3403082f, 0.2852408f, 1.34008f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(0.3403082f, 0.2852408f, 1.34008f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(0.1325625f, -0.2347549f, -0.6583707f, 0.7027556f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(0.3566146f, 0.2834659f, -1.012096f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(0.9726272f, -1.00246f, 0.03254757f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(15.64169f, 4.646442f, -14.86554f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(0.04942477f, -0.3568216f, 0.1769547f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(2.056487f, 2.494674f, 0.4950953f), 1);
            api.Wait(9);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.2557955f, 0.16394f, -0.0003226887f, -0.9527288f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.2557955f, 0.16394f, -0.0003226887f, -0.9527289f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.2557955f, 0.16394f, -0.0003226887f, -0.9527289f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.2557955f, 0.16394f, -0.0003226887f, -0.9527288f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(0.1549444f, 0.05876724f, 0.111264f), 1);
            api.Wait(8);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(-0.03325544f, 0.104179f, -0.06000297f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(-0.03325544f, 0.104179f, -0.06000297f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(-0.03325544f, 0.104179f, -0.06000297f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(-0.03325544f, 0.104179f, -0.06000297f), 1);
            api.Wait(108);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(-0.07516203f, 0.1285605f, -0.01074035f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(-0.07516203f, 0.1285605f, -0.01074035f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(-0.07516203f, 0.1285605f, -0.01074035f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(-0.07516203f, 0.1285605f, -0.01074035f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.3232139f, -0.1169454f, -0.04857663f, 0.937815f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceVelocity", new Vector3(-0.01210725f, -0.005098764f, -0.009305011f), 1);
            api.Wait(26);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(2.212176f, -0.2770101f, 1.020556f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(2.212176f, -0.2770101f, 1.020556f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(2.212176f, -0.2770101f, 1.020556f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(2.212176f, -0.2770101f, 1.020556f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(0.1468187f, -0.2123522f, -0.6533028f, 0.7117206f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(0.5493035f, -0.007595176f, 0.2077842f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(0.381943f, -0.05449832f, 0.1348796f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(13.26376f, -10.27158f, 26.88404f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(-0.08686084f, 0.2754049f, -0.08058187f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(-1.866277f, -0.7181879f, -1.117992f), 1);
            api.Wait(8);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.2505676f, 0.1550599f, 0.00136906f, -0.9555995f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.2505676f, 0.1550599f, 0.00136906f, -0.9555995f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.2505676f, 0.1550599f, 0.00136906f, -0.9555995f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.2505676f, 0.1550599f, 0.00136906f, -0.9555995f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(0.06613173f, -0.01693223f, 0.06185907f), 1);
            api.Wait(9);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(-0.07085249f, -0.3643549f, 0.08014815f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(-0.07085249f, -0.3643549f, 0.08014815f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(-0.07085249f, -0.3643549f, 0.08014815f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(-0.07085249f, -0.3643549f, 0.08014815f), 1);
            api.Wait(116);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(0.2906932f, -0.05184396f, 0.0422865f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(0.2906932f, -0.05184396f, 0.0422865f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(0.2906932f, -0.05184396f, 0.0422865f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(0.2906932f, -0.05184396f, 0.0422865f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceVelocity", new Vector3(0.0163653f, -0.1101057f, -0.01034888f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.3270138f, -0.1149603f, -0.04608743f, 0.9368683f), 1);
            api.Wait(24);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(1.448961f, -1.372118f, 1.144812f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(1.448961f, -1.372118f, 1.144812f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(1.448961f, -1.372118f, 1.144812f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(1.448961f, -1.372118f, 1.144812f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(0.1524737f, -0.1989232f, -0.6473469f, 0.7198079f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(0.2011364f, 0.1469766f, 0.02115749f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(-1.342323f, 2.467529f, 0.9824549f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(-17.95837f, 8.979019f, -21.29951f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(-0.1974315f, -0.1643703f, -0.0727845f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(-1.174747f, -2.250099f, -1.615529f), 1);
            api.Wait(8);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.273463f, 0.1577414f, -0.001178764f, -0.9488595f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.273463f, 0.1577414f, -0.001178764f, -0.9488595f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.273463f, 0.1577414f, -0.001178764f, -0.9488595f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.273463f, 0.1577414f, -0.001178764f, -0.9488595f), 1);
            api.Wait(8);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(0.05687281f, 0.2673879f, -0.3768013f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(0.05687281f, 0.2673879f, -0.3768013f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(0.05687281f, 0.2673879f, -0.3768013f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(0.05687281f, 0.2673879f, -0.3768013f), 1);
            api.Wait(103);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(0.07703961f, -0.1286886f, 0.003371133f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(0.07703961f, -0.1286886f, 0.003371133f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(0.07703961f, -0.1286886f, 0.003371133f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(0.07703961f, -0.1286886f, 0.003371133f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceVelocity", new Vector3(0.01253145f, 0.01870622f, -0.004246116f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.3322309f, -0.1158611f, -0.04327937f, 0.9350539f), 1);
            api.Wait(15);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(0.05788083f, -0.003965702f, -0.1155539f), 1);
            api.Wait(16);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(-0.6706027f, -0.2727308f, 1.720082f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(-0.6706027f, -0.2727308f, 1.720082f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(-0.6706027f, -0.2727308f, 1.720082f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(-0.6706027f, -0.2727308f, 1.720082f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(0.1275277f, -0.2140847f, -0.653366f, 0.7148547f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(-0.01418306f, 0.07933284f, -0.2743457f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(-1.348351f, 0.8134621f, 0.4571568f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(15.76176f, -10.56467f, 4.943684f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(-0.3656479f, -0.0518888f, 0.02644929f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(-0.1288933f, -2.647986f, -3.965253f), 1);
            api.Wait(9);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.2782675f, 0.1678704f, -0.005080882f, -0.9457065f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.2782675f, 0.1678704f, -0.005080882f, -0.9457065f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.2782675f, 0.1678704f, -0.005080882f, -0.9457065f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.2782675f, 0.1678704f, -0.005080882f, -0.9457065f), 1);
            api.Wait(16);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(0.2096042f, 0.1961183f, -0.1633019f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(0.2096042f, 0.1961183f, -0.1633019f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(0.2096042f, 0.1961183f, -0.1633019f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(0.2096042f, 0.1961183f, -0.1633019f), 1);
            api.Wait(101);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(-0.06516474f, 0.04843087f, -0.04745156f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(-0.06516474f, 0.04843087f, -0.04745156f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(-0.06516474f, 0.04843087f, -0.04745156f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(-0.06516474f, 0.04843087f, -0.04745156f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.3336617f, -0.1258466f, -0.03969106f, 0.9334116f), 1);
            api.Wait(10);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(-0.02122157f, -0.02788936f, 0.08989631f), 1);
            api.Wait(23);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(-1.407318f, 3.094579f, 0.1109046f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(-1.407317f, 3.094578f, 0.1109046f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(-1.407317f, 3.094578f, 0.1109046f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(-1.407318f, 3.094579f, 0.1109046f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(0.1182896f, -0.231242f, -0.6568298f, 0.7078907f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(-0.1512656f, -0.01240593f, -0.3679538f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(-0.4923263f, 1.073578f, 0.6509967f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(-8.671927f, -6.825019f, -13.61208f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(0.2933829f, 0.2381671f, -0.01788271f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(-0.1395612f, 2.227347f, 2.369511f), 1);
            api.Wait(8);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.269973f, 0.163512f, 0.0003333984f, -0.9488826f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.269973f, 0.163512f, 0.0003333984f, -0.9488826f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.269973f, 0.163512f, 0.0003333984f, -0.9488826f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.269973f, 0.163512f, 0.0003333984f, -0.9488826f), 1);
            api.Wait(8);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(-0.2673297f, -0.2583908f, 0.6508462f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(-0.2673297f, -0.2583908f, 0.6508462f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(-0.2673297f, -0.2583908f, 0.6508462f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(-0.2673297f, -0.2583908f, 0.6508462f), 1);
            api.Wait(111);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(0.07833699f, 0.1539195f, 0.03302567f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(0.07833699f, 0.1539195f, 0.03302567f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(0.07833699f, 0.1539195f, 0.03302567f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(0.07833699f, 0.1539195f, 0.03302567f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceVelocity", new Vector3(-0.09128878f, 0.0109493f, 0.08611117f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.3354395f, -0.1146121f, -0.03989815f, 0.9342123f), 1);
            api.Wait(15);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(0.1308565f, 0.0895816f, 0.09038627f), 1);
            api.Wait(15);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(0.6988117f, -0.5562683f, 1.069868f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(0.6988117f, -0.5562683f, 1.069868f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(0.6988117f, -0.5562683f, 1.069868f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(0.6988117f, -0.5562683f, 1.069868f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(0.1254153f, -0.2512983f, -0.6459925f, 0.7097985f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(-0.1427796f, -0.268624f, -0.1297782f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(1.371713f, -0.1820511f, -0.2550668f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(-1.519372f, 5.95833f, 24.60775f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(-0.04317354f, -0.3270679f, -0.162519f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(2.667572f, -1.202159f, 2.837196f), 1);
            api.Wait(8);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.2762188f, 0.1515907f, -0.0002731531f, -0.9490645f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.2762188f, 0.1515907f, -0.0002731531f, -0.9490645f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.2762188f, 0.1515907f, -0.0002731531f, -0.9490645f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.2762188f, 0.1515907f, -0.0002731531f, -0.9490645f), 1);
            api.Wait(9);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(0.05811211f, 0.03954341f, 0.2369507f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(0.05811211f, 0.03954341f, 0.2369507f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(0.05811211f, 0.03954341f, 0.2369507f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(0.05811211f, 0.03954341f, 0.2369507f), 1);
            api.Wait(120);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(0.1455072f, 0.05268479f, 0.08512159f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(0.1455072f, 0.05268479f, 0.08512159f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(0.1455072f, 0.05268479f, 0.08512159f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(0.1455072f, 0.05268479f, 0.08512159f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.3481975f, -0.1032155f, -0.03689895f, 0.9309906f), 1);
            api.Wait(31);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(-1.270589f, -0.9542234f, -1.980093f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(-1.270589f, -0.9542234f, -1.980093f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(-1.270589f, -0.9542234f, -1.980093f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(-1.270589f, -0.9542234f, -1.980093f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(0.1261912f, -0.2464589f, -0.6367657f, 0.7196271f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(0.1237409f, -0.04340984f, 0.3583361f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(0.02322484f, -1.293392f, -0.3584236f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(2.897583f, 5.642309f, 1.149199f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(0.07598323f, -0.2363032f, 0.3068656f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(1.796942f, 1.721449f, -4.745308f), 1);
            api.Wait(8);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.2875305f, 0.145193f, -0.001059198f, -0.9467017f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.2875305f, 0.145193f, -0.001059198f, -0.9467017f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.2875305f, 0.145193f, -0.001059198f, -0.9467017f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.2875305f, 0.145193f, -0.001059198f, -0.9467017f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(0.1365943f, 0.1482081f, -0.01229624f), 1);
            api.Wait(101);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(0.1842137f, 0.1518068f, -0.1501352f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(0.1842137f, 0.1518068f, -0.1501352f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(0.1842137f, 0.1518068f, -0.1501352f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(0.1842137f, 0.1518068f, -0.1501352f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DevicePosition", new Vector3(-0.5742616f, 1.220045f, 1.039516f), 1);
            api.Wait(8);
            api.Vector3InputEvent("GDIOHMD/DevicePosition", new Vector3(-0.2215552f, 1.596829f, 0.5213383f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyePosition", new Vector3(-0.1890384f, 1.59405f, 0.5306993f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyePosition", new Vector3(-0.2215552f, 1.596829f, 0.5213383f), 1);
            api.Wait(8);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(0.04210889f, 0.01906419f, 0.01654769f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(0.04210889f, 0.01906419f, 0.01654769f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(0.04210889f, 0.01906419f, 0.01654769f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(0.04210889f, 0.01906419f, 0.01654769f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.356324f, -0.0981657f, -0.03596571f, 0.9284951f), 1);
            api.Wait(26);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(-0.04163543f, -0.01585756f, -1.033112f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(-0.04163543f, -0.01585756f, -1.033112f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(-0.04163543f, -0.01585756f, -1.033112f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(-0.04163543f, -0.01585756f, -1.033112f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(0.1066212f, -0.2683882f, -0.6525804f, 0.7005274f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(-0.5787752f, -0.04434017f, -0.5457674f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(-1.015504f, 1.072669f, -0.02293638f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(-17.50764f, -7.790676f, -2.293284f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(0.2749552f, 0.01812082f, 0.4049866f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(-0.391202f, 4.401874f, -1.136263f), 1);
            api.Wait(9);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.2915245f, 0.1452274f, -0.0002877077f, -0.9454747f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.2915245f, 0.1452274f, -0.0002877077f, -0.9454747f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.2915245f, 0.1452274f, -0.0002877077f, -0.9454747f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.2915245f, 0.1452274f, -0.0002877077f, -0.9454747f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(0.03987682f, 0.04319274f, -0.0246152f), 1);
            api.Wait(92);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(0.06088291f, 0.02760353f, -0.1105975f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(0.06088291f, 0.02760353f, -0.1105975f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(0.06088291f, 0.02760353f, -0.1105975f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(0.06088291f, 0.02760353f, -0.1105975f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceVelocity", new Vector3(-0.01838263f, -0.06115603f, 0.01129454f), 1);
            api.Wait(16);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.357591f, -0.09827882f, -0.03731752f, 0.9279426f), 1);
            api.Wait(27);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(-0.5252076f, 0.08049626f, 1.726266f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(-0.5252075f, 0.08049619f, 1.726265f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(-0.5252075f, 0.08049619f, 1.726265f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(-0.5252076f, 0.08049626f, 1.726266f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(0.1178105f, -0.2654422f, -0.6454108f, 0.7064744f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(0.1348116f, 0.1247689f, -0.2396831f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(1.535114f, 0.1207982f, 0.001487026f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(-7.951134f, 7.350668f, -3.038233f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(0.1740024f, 0.3596186f, -0.02357117f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(-0.5415649f, -0.09726898f, -0.9924041f), 1);
            api.Wait(15);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(-0.01663471f, -0.0743321f, -0.02542763f), 1);
            api.Wait(8);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(0.1423427f, 0.08551399f, 0.144391f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(0.1423427f, 0.08551399f, 0.144391f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(0.1423427f, 0.08551399f, 0.144391f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(0.1423427f, 0.08551399f, 0.144391f), 1);
            api.Wait(102);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.2923391f, 0.1438511f, -0.001358222f, -0.9454327f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyePosition", new Vector3(-0.2555351f, 1.598143f, 0.522424f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.2923391f, 0.1438511f, -0.001358222f, -0.9454327f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.2923391f, 0.1438511f, -0.001358222f, -0.9454327f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.2923391f, 0.1438511f, -0.001358222f, -0.9454327f), 1);
            api.Wait(8);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.358897f, -0.09488592f, -0.03779304f, 0.9277723f), 1);
            api.Wait(25);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(-1.39439f, 0.1215273f, -0.2500823f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(-1.394389f, 0.1215273f, -0.2500822f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(-1.394389f, 0.1215273f, -0.2500822f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(-1.39439f, 0.1215273f, -0.2500823f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(0.1336753f, -0.2638837f, -0.6268709f, 0.7207838f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(0.05960577f, -0.1953925f, 0.2876996f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(-0.9867462f, -0.0979687f, 0.03853652f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(6.475836f, -7.096723f, -8.159121f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(-0.1686496f, 0.06009282f, -0.1754804f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(-0.6351387f, -1.735346f, -0.210573f), 1);
            api.Wait(8);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(0.03349575f, 0.06856227f, 0.0379459f), 1);
            api.Wait(8);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(-0.03997675f, -0.222197f, -0.2277736f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(-0.03997675f, -0.222197f, -0.2277736f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(-0.03997675f, -0.222197f, -0.2277736f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(-0.03997675f, -0.222197f, -0.2277736f), 1);
            api.Wait(118);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.2944292f, 0.1413917f, -0.0008897887f, -0.9451556f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.2944292f, 0.1413917f, -0.0008897887f, -0.9451556f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.2944292f, 0.1413917f, -0.0008897887f, -0.9451556f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.2944292f, 0.1413917f, -0.0008897887f, -0.9451556f), 1);
            api.Wait(9);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.361225f, -0.09412565f, -0.0367445f, 0.926988f), 1);
            api.Wait(23);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(0.4489691f, 0.3507934f, -0.3475968f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(0.4489691f, 0.3507934f, -0.3475968f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(0.4489691f, 0.3507934f, -0.3475968f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(0.4489691f, 0.3507934f, -0.3475968f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(0.1421023f, -0.2539324f, -0.6364391f, 0.7143322f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(0.1166454f, 0.07881924f, 0.1205823f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(0.5311848f, -0.06742652f, 0.008511463f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(-5.750164f, 2.637314f, 16.01395f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(-0.1041231f, -0.09011605f, 0.003942946f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(-0.1655316f, -0.157546f, -0.5221643f), 1);
            api.Wait(110);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(-0.09512866f, -0.002207242f, -0.08365101f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(-0.09512866f, -0.002207242f, -0.08365101f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(-0.09512866f, -0.002207242f, -0.08365101f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(-0.09512866f, -0.002207242f, -0.08365101f), 1);
            api.Vector3InputEvent("GDIORightHand/DevicePosition", new Vector3(-0.01505664f, 1.012722f, 0.4380536f), 1);
            api.Wait(18);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.2955437f, 0.1394723f, 0.0001165043f, -0.9450933f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.2955437f, 0.1394723f, 0.0001165043f, -0.9450933f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.2955437f, 0.1394723f, 0.0001165043f, -0.9450933f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.2955437f, 0.1394723f, 0.0001165043f, -0.9450933f), 1);
            api.Wait(13);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.3628295f, -0.0923014f, -0.03819665f, 0.926486f), 1);
            api.Wait(7);
            api.ButtonPress("GDIOLeftHand/Grip", (ulong)(api.GetLastFPS() * 6), 1f);
            api.Wait(26);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(0.1562639f, 0.3722338f, 0.9404806f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(0.1562639f, 0.3722338f, 0.9404806f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(0.1562639f, 0.3722338f, 0.9404806f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(0.1562639f, 0.3722338f, 0.9404806f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(0.1716535f, -0.2368477f, -0.6509821f, 0.7004717f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(0.7710369f, -0.04587692f, 0.1635975f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(0.8610642f, 0.2091327f, 0.2488042f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(18.91711f, 15.45393f, -16.51745f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(-0.02705146f, 0.00767962f, -0.03422685f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(0.02264334f, -0.1170977f, -0.1777914f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(-0.1087637f, -2.009623f, -0.9185653f), 1);
            api.Wait(124);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(0.02575978f, -0.2350158f, -0.2406684f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(0.02575978f, -0.2350158f, -0.2406684f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(0.02575978f, -0.2350158f, -0.2406684f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(0.02575978f, -0.2350158f, -0.2406684f), 1);
            api.Wait(8);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.2981326f, 0.1379727f, 0.0004024161f, -0.9445f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.2981326f, 0.1379727f, 0.0004024161f, -0.9445f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.2981326f, 0.1379727f, 0.0004024161f, -0.9445f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.2981326f, 0.1379727f, 0.0004024161f, -0.9445f), 1);
            api.Wait(118);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(-0.01905755f, -0.06629402f, -0.005741245f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(-0.01905755f, -0.06629402f, -0.005741245f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(-0.01905755f, -0.06629402f, -0.005741245f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(-0.01905755f, -0.06629402f, -0.005741245f), 1);
            api.Wait(8);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(0.9392133f, -0.258442f, 0.4365453f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(0.9392133f, -0.258442f, 0.4365453f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(0.9392133f, -0.258442f, 0.4365453f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(0.9392133f, -0.258442f, 0.4365453f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(0.1304605f, -0.2627148f, -0.6525108f, 0.6987064f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(-0.466866f, 0.09087896f, -0.4252234f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(-0.5467665f, 1.07584f, -0.3061464f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(-5.215898f, -1.746934f, -15.15661f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.3613294f, -0.09254862f, -0.03883893f, 0.9270207f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(-0.04789183f, 0.06692271f, 0.007776723f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(-1.706753f, 1.949412f, -1.735468f), 1);
            api.Wait(17);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(-0.2109734f, 0.08293122f, -0.4809788f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(-0.2109734f, 0.08293122f, -0.4809788f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(-0.2109734f, 0.08293122f, -0.4809788f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(-0.2109734f, 0.08293122f, -0.4809788f), 1);
            api.Wait(8);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.2991897f, 0.1450992f, -0.0009096932f, -0.9430965f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.2991897f, 0.1450992f, -0.0009096932f, -0.9430965f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.2991897f, 0.1450992f, -0.0009096932f, -0.9430965f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.2991897f, 0.1450992f, -0.0009096932f, -0.9430965f), 1);
            api.Wait(9);
            api.Vector3InputEvent("GDIOHMD/DeviceVelocity", new Vector3(-0.01246585f, 0.006806205f, -0.04801574f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeVelocity", new Vector3(-0.01246585f, 0.006806205f, -0.04801574f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeVelocity", new Vector3(-0.01246585f, 0.006806205f, -0.04801574f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeVelocity", new Vector3(-0.01246585f, 0.006806205f, -0.04801574f), 1);
            api.Wait(135);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(-0.02982188f, -0.2292653f, -0.04032973f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(-0.7044284f, -0.7374846f, -1.05673f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(-0.02982188f, -0.2292653f, -0.04032973f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(-0.7044284f, -0.7374846f, -1.05673f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(-0.02982188f, -0.2292653f, -0.04032973f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(-0.7044284f, -0.7374846f, -1.05673f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(-0.02982188f, -0.2292653f, -0.04032973f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(-0.7044284f, -0.7374846f, -1.05673f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(0.08639332f, -0.2939233f, -0.6496205f, 0.6958006f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(-0.586484f, 0.4403105f, -0.2974222f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(0.6708499f, -0.7156552f, -1.307579f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(15.63614f, 6.823029f, 7.635294f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.3564658f, -0.1047717f, -0.03949783f, 0.9275748f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(-0.01279383f, -0.2275537f, -0.06769121f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(-0.1596676f, -0.1061679f, -0.1510618f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(1.958452f, -1.851716f, 1.799402f), 1);
            api.Wait(23);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(0.1137432f, 0.1275065f, -0.5123024f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(0.1137432f, 0.1275065f, -0.5123024f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(0.1137432f, 0.1275065f, -0.5123024f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(0.1137432f, 0.1275065f, -0.5123024f), 1);
            api.Wait(8);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.2955236f, 0.1661174f, -0.006534419f, -0.9407594f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.2955236f, 0.1661174f, -0.006534419f, -0.9407594f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.2955236f, 0.1661174f, -0.006534419f, -0.9407594f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.2955236f, 0.1661174f, -0.006534419f, -0.9407594f), 1);
            api.Wait(109);
            api.Vector3InputEvent("GDIOHMD/DeviceVelocity", new Vector3(0.009199508f, 0.02818632f, -0.1790998f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeVelocity", new Vector3(0.009199508f, 0.02818632f, -0.1790998f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeVelocity", new Vector3(0.009199508f, 0.02818632f, -0.1790998f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeVelocity", new Vector3(0.009199508f, 0.02818632f, -0.1790998f), 1);
            api.Wait(25);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(0.01703641f, -0.386257f, -0.008786066f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(-0.6331109f, -0.8721945f, -0.4069589f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(0.01703641f, -0.386257f, -0.008786066f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(-0.6331109f, -0.8721945f, -0.4069589f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(0.01703641f, -0.386257f, -0.008786066f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(-0.6331109f, -0.8721945f, -0.4069589f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(0.01703641f, -0.386257f, -0.008786066f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(-0.6331109f, -0.8721945f, -0.4069589f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(0.01149721f, -0.3043214f, -0.6417658f, 0.7038417f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(0.1761793f, -0.6130108f, -0.8502691f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(0.9527498f, -0.8382267f, -5.033861f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.3385907f, -0.1375938f, -0.0322922f, 0.9302588f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(-0.2607034f, -0.2090801f, -0.1006861f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(0.18209f, 0.3849328f, -0.1005561f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(-0.9266852f, -0.4761425f, 0.2613357f), 1);
            api.Wait(8);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(-0.5164794f, 0.4525941f, -0.2164195f), 1);
            api.Wait(9);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(0.1162877f, 0.1458699f, -0.3284907f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(0.1162877f, 0.1458699f, -0.3284907f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(0.1162877f, 0.1458699f, -0.3284907f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(0.1162877f, 0.1458699f, -0.3284907f), 1);
            api.Wait(9);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.2927195f, 0.1953189f, -0.01313065f, -0.9359452f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.2927195f, 0.1953189f, -0.01313065f, -0.9359452f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.2927195f, 0.1953189f, -0.01313065f, -0.9359452f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.2927195f, 0.1953189f, -0.01313065f, -0.9359452f), 1);
            api.Wait(101);
            api.Vector3InputEvent("GDIOLeftHand/DevicePosition", new Vector3(-0.535354f, 1.332743f, 1.026681f), 1);
            api.Wait(25);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(0.08922271f, -0.4483057f, -0.07404169f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(0.4896901f, -0.8781372f, -0.7541854f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(0.08922271f, -0.4483057f, -0.07404169f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(0.4896901f, -0.8781372f, -0.7541854f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(0.08922271f, -0.4483057f, -0.07404169f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(0.4896901f, -0.8781372f, -0.7541854f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(0.08922271f, -0.4483057f, -0.07404169f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(0.4896901f, -0.8781372f, -0.7541854f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(-0.01683611f, -0.3166399f, -0.6180813f, 0.719327f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(-0.8587906f, -0.08787065f, -0.7918144f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(13.97924f, -7.691487f, 22.11129f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.3221174f, -0.1649853f, -0.03219353f, 0.9316565f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(-0.1911304f, -0.3896273f, -0.128425f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(-0.1734518f, 0.03549996f, -0.1168029f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(1.653988f, -2.109284f, -1.997331f), 1);
            api.Wait(7);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(-0.4665703f, 0.1389986f, 0.2422092f), 1);
            api.Wait(8);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(0.4171212f, 0.03278399f, -0.25566f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(0.4171212f, 0.03278399f, -0.25566f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(0.4171212f, 0.03278399f, -0.25566f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(0.4171212f, 0.03278399f, -0.25566f), 1);
            api.Wait(9);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.2950579f, 0.2300704f, -0.01805511f, -0.9271906f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.2950579f, 0.2300704f, -0.01805511f, -0.9271906f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.2950579f, 0.2300704f, -0.01805511f, -0.9271906f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.2950579f, 0.2300704f, -0.01805511f, -0.9271906f), 1);
            api.Wait(110);
            api.Vector3InputEvent("GDIOHMD/DeviceVelocity", new Vector3(0.1236707f, 0.08375284f, -0.2646354f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeVelocity", new Vector3(0.1236707f, 0.08375284f, -0.2646354f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeVelocity", new Vector3(0.1236707f, 0.08375284f, -0.2646354f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeVelocity", new Vector3(0.1236707f, 0.08375284f, -0.2646354f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DevicePosition", new Vector3(-0.5293261f, 1.325436f, 0.9267784f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceVelocity", new Vector3(0.02028435f, 0.06107266f, -0.50582f), 1);
            api.Wait(7);
            api.Vector3InputEvent("GDIOHMD/LeftEyePosition", new Vector3(-0.2292881f, 1.617694f, 0.4107709f), 1);
            api.Wait(9);
            api.Vector3InputEvent("GDIOHMD/DevicePosition", new Vector3(-0.1981988f, 1.615137f, 0.424718f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(-0.4462905f, -0.3022867f, -0.2143495f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(-3.233065f, 1.182068f, 0.6613891f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(-0.4462905f, -0.3022867f, -0.2143495f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(-3.233065f, 1.182068f, 0.6613891f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(-0.4462905f, -0.3022867f, -0.2143495f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(-3.233065f, 1.182068f, 0.6613891f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyePosition", new Vector3(-0.1981988f, 1.615137f, 0.424718f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(-0.4462905f, -0.3022867f, -0.2143495f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(-3.233065f, 1.182068f, 0.6613891f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(-0.02234431f, -0.313511f, -0.6027474f, 0.7334216f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(-0.3141703f, -0.4484318f, 0.898803f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(18.61884f, -6.058156f, 14.1428f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.3086318f, -0.2118467f, -0.02557822f, 0.9269375f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(-0.1657665f, -0.6968622f, -0.05971289f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(0.02227766f, -0.2443564f, 0.0317196f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(0.311232f, -3.323852f, 3.43151f), 1);
            api.Wait(7);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(-0.1722107f, -0.09441238f, 0.2149317f), 1);
            api.Wait(9);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(0.7803159f, 0.5200059f, -0.296551f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(0.7803159f, 0.5200059f, -0.296551f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(0.7803159f, 0.5200059f, -0.296551f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(0.7803159f, 0.5200059f, -0.296551f), 1);
            api.Wait(7);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.2595118f, 0.2554255f, -0.01689894f, -0.9311959f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.2595119f, 0.2554255f, -0.01689894f, -0.931196f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyePosition", new Vector3(-0.1641878f, 1.614573f, 0.4340327f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.2595119f, 0.2554255f, -0.01689894f, -0.931196f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.2595118f, 0.2554255f, -0.01689894f, -0.9311959f), 1);
            api.Wait(18);
            api.Vector3InputEvent("GDIOLeftHand/DevicePosition", new Vector3(-0.5372182f, 1.297358f, 0.8304723f), 1);
            api.Wait(127);
            api.Vector3InputEvent("GDIOHMD/DeviceVelocity", new Vector3(0.2160823f, 0.05164026f, -0.3006896f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeVelocity", new Vector3(0.2160823f, 0.05164026f, -0.3006896f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeVelocity", new Vector3(0.2160823f, 0.05164026f, -0.3006896f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeVelocity", new Vector3(0.2160823f, 0.05164026f, -0.3006896f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceVelocity", new Vector3(0.05158339f, -0.08391148f, -0.4224538f), 1);
            api.Wait(11);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(-0.07611988f, -0.4238447f, -0.002794289f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(7.584737f, -2.434889f, 6.886477f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(-0.07611986f, -0.4238446f, -0.00279429f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(7.584736f, -2.434888f, 6.886476f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(-0.07611986f, -0.4238446f, -0.00279429f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(7.584736f, -2.434888f, 6.886476f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(-0.07611988f, -0.4238447f, -0.002794289f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(7.584737f, -2.434889f, 6.886477f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(-0.004420029f, -0.3282588f, -0.5973374f, 0.7317204f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(-0.1730606f, -0.6509673f, 0.5287437f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(-7.760443f, 0.1083815f, -15.92052f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.283227f, -0.2657046f, -0.01862814f, 0.9213232f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(-0.3347524f, -0.5261504f, -0.2050078f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(0.7863746f, 0.07292874f, 0.3281459f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(1.04823f, 3.516486f, -1.160491f), 1);
            api.Wait(8);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(0.002971268f, -0.356146f, -0.1187162f), 1);
            api.Wait(8);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(0.1394899f, -1.356544f, 0.2578966f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(0.1394899f, -1.356544f, 0.2578966f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(0.1394899f, -1.356544f, 0.2578966f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(0.1394899f, -1.356544f, 0.2578966f), 1);
            api.Wait(110);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.2564249f, 0.2951386f, -0.02868866f, -0.9199547f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.2564249f, 0.2951386f, -0.02868866f, -0.9199547f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.2564249f, 0.2951386f, -0.02868866f, -0.9199547f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.2564249f, 0.2951386f, -0.02868866f, -0.9199547f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceVelocity", new Vector3(0.1157739f, 0.05366768f, -0.04827689f), 1);
            api.Wait(8);
            api.Vector3InputEvent("GDIOHMD/DevicePosition", new Vector3(-0.1339348f, 1.619552f, 0.3405516f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyePosition", new Vector3(-0.1613701f, 1.622989f, 0.3208494f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyePosition", new Vector3(-0.1339348f, 1.619552f, 0.3405516f), 1);
            api.Wait(7);
            api.Vector3InputEvent("GDIOLeftHand/DevicePosition", new Vector3(-0.5295786f, 1.241811f, 0.701903f), 1);
            api.Wait(8);
            api.Vector3InputEvent("GDIOHMD/DeviceVelocity", new Vector3(0.1848206f, -0.06514274f, -0.2062839f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeVelocity", new Vector3(0.1848206f, -0.06514274f, -0.2062839f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeVelocity", new Vector3(0.1848206f, -0.06514274f, -0.2062839f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeVelocity", new Vector3(0.1848206f, -0.06514274f, -0.2062839f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceVelocity", new Vector3(0.0001883943f, -0.249189f, -0.3555456f), 1);
            api.Wait(9);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(0.3806981f, -0.5091584f, 0.1324124f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(0.3557626f, 0.08510067f, -3.14192f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(0.3806981f, -0.5091584f, 0.1324124f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(0.3557626f, 0.08510067f, -3.14192f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(0.3806981f, -0.5091584f, 0.1324124f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(0.3557626f, 0.08510067f, -3.14192f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(0.3806981f, -0.5091584f, 0.1324124f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(0.3557626f, 0.08510067f, -3.14192f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(0.04308969f, -0.3495906f, -0.5788282f, 0.7354506f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(-0.5781742f, -1.146649f, 0.3010856f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(-2.461485f, -0.9609269f, 10.17707f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.2608255f, -0.2995576f, -0.01456552f, 0.9176182f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(-0.2131355f, -0.4446713f, -0.1145482f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(0.6361631f, -0.1329927f, -0.7744269f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(3.199414f, -0.0695301f, -2.314636f), 1);
            api.Wait(16);
            api.Vector3InputEvent("GDIOHMD/RightEyePosition", new Vector3(-0.1009505f, 1.613705f, 0.3548806f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(0.4332151f, -0.5724747f, 0.3917157f), 1);
            api.Wait(110);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(-0.7882451f, -0.2209109f, 0.6124059f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(-0.7882451f, -0.2209109f, 0.6124059f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(-0.7882451f, -0.2209109f, 0.6124059f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(-0.7882451f, -0.2209109f, 0.6124059f), 1);
            api.Wait(15);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.2900127f, 0.3318956f, -0.04353375f, -0.8965728f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.2900127f, 0.3318956f, -0.04353375f, -0.8965728f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.2900127f, 0.3318956f, -0.04353375f, -0.8965728f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.2900127f, 0.3318956f, -0.04353375f, -0.8965728f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceVelocity", new Vector3(0.1834922f, -0.07635218f, -0.1557851f), 1);
            api.Wait(25);
            api.Vector3InputEvent("GDIOHMD/DeviceVelocity", new Vector3(0.09657339f, -0.06429633f, -0.09368318f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeVelocity", new Vector3(0.09657339f, -0.06429633f, -0.09368318f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeVelocity", new Vector3(0.09657339f, -0.06429633f, -0.09368318f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeVelocity", new Vector3(0.09657339f, -0.06429633f, -0.09368318f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceVelocity", new Vector3(-0.07923955f, -0.3258573f, -0.2955141f), 1);
            api.Wait(109);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(0.2783631f, -0.1086169f, 0.1323442f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(-0.6571265f, 1.330557f, 0.7094123f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(0.2783631f, -0.1086169f, 0.1323442f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(-0.6571265f, 1.330557f, 0.7094123f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(0.2783631f, -0.1086169f, 0.1323442f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(-0.6571265f, 1.330557f, 0.7094123f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(0.2783631f, -0.1086169f, 0.1323442f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(-0.6571265f, 1.330557f, 0.7094123f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DevicePosition", new Vector3(-0.5403352f, 1.166987f, 0.6256795f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(0.1105643f, -0.3508258f, -0.6062289f, 0.7051123f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(-1.04153f, 0.4512342f, 1.19282f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(4.029408f, 1.051454f, -2.373993f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.2929316f, -0.3188082f, 0.01136123f, 0.9013453f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(0.289262f, -0.01003809f, 0.4773571f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(-1.108607f, 1.791058f, 0.5237871f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(-1.875146f, 3.497827f, -4.330216f), 1);
            api.Wait(9);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(0.6696351f, -0.2671978f, -0.1512018f), 1);
            api.Wait(8);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(-1.049171f, 0.2621914f, 0.5565403f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(-1.049171f, 0.2621914f, 0.5565403f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(-1.049171f, 0.2621914f, 0.5565403f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(-1.049171f, 0.2621914f, 0.5565403f), 1);
            api.Wait(7);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.3116045f, 0.3393038f, -0.04865663f, -0.8862326f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.3116045f, 0.3393038f, -0.04865663f, -0.8862326f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.3116045f, 0.3393038f, -0.04865663f, -0.8862326f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.3116045f, 0.3393038f, -0.04865663f, -0.8862326f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceVelocity", new Vector3(0.08517521f, -0.08213763f, -0.09231588f), 1);
            api.Wait(25);
            api.Vector3InputEvent("GDIOHMD/DeviceVelocity", new Vector3(-0.07765352f, -0.04282124f, -0.008380603f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeVelocity", new Vector3(-0.07765352f, -0.04282124f, -0.008380603f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeVelocity", new Vector3(-0.07765352f, -0.04282124f, -0.008380603f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeVelocity", new Vector3(-0.07765352f, -0.04282124f, -0.008380603f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceVelocity", new Vector3(-0.1677222f, -0.2402949f, -0.1305619f), 1);
            api.Wait(121);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(0.1227651f, 0.09985689f, 0.1728119f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(3.094633f, 1.221125f, 2.783077f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(0.1227651f, 0.09985689f, 0.1728119f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(3.094633f, 1.221125f, 2.783077f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(0.1227651f, 0.09985689f, 0.1728119f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(3.094633f, 1.221125f, 2.783077f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(0.1227651f, 0.09985689f, 0.1728119f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(3.094633f, 1.221125f, 2.783077f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(0.1438968f, -0.3415982f, -0.61935f, 0.6921055f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(-0.1186787f, -0.4258843f, 1.166457f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(0.6984453f, -0.2556639f, 10.31012f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.3059757f, -0.3047102f, 0.01609589f, 0.9018157f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(0.1075231f, 0.3613876f, 0.1469713f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(-0.7055844f, -0.5689294f, 0.7098769f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(1.78595f, 3.44351f, 2.277514f), 1);
            api.Wait(13);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(0.4309967f, -0.3217057f, 0.5017743f), 1);
            api.Wait(8);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(-0.985173f, -0.0250416f, 0.7429019f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(-0.985173f, -0.0250416f, 0.7429019f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(-0.985173f, -0.0250416f, 0.7429019f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(-0.985173f, -0.0250416f, 0.7429019f), 1);
            api.Wait(8);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.324665f, 0.3271147f, -0.05673428f, -0.8856465f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.3246651f, 0.3271147f, -0.05673428f, -0.8856465f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.3246651f, 0.3271147f, -0.05673428f, -0.8856465f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.324665f, 0.3271147f, -0.05673428f, -0.8856465f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceVelocity", new Vector3(-0.0652164f, -0.05329818f, 0.03747445f), 1);
            api.Wait(118);
            api.Vector3InputEvent("GDIOLeftHand/DevicePosition", new Vector3(-0.6097339f, 1.092133f, 0.6203181f), 1);
            api.Wait(8);
            api.Vector3InputEvent("GDIOHMD/DeviceVelocity", new Vector3(-0.315807f, -0.066938f, 0.1652576f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeVelocity", new Vector3(-0.315807f, -0.066938f, 0.1652576f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeVelocity", new Vector3(-0.315807f, -0.066938f, 0.1652576f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeVelocity", new Vector3(-0.315807f, -0.066938f, 0.1652576f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceVelocity", new Vector3(-0.2569843f, -0.2194691f, 0.1487205f), 1);
            api.Wait(8);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(0.2245867f, 0.11607f, 0.2145767f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(-0.1512543f, 1.341774f, -0.2859077f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(0.2245867f, 0.11607f, 0.2145767f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(-0.1512543f, 1.341774f, -0.2859077f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(0.2245867f, 0.11607f, 0.2145767f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(-0.1512543f, 1.341774f, -0.2859077f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(0.2245867f, 0.11607f, 0.2145767f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(-0.1512543f, 1.341774f, -0.2859077f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(0.1937984f, -0.3303761f, -0.6089264f, 0.6946241f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(0.04588375f, -0.15685f, 0.3429116f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(0.1957829f, -5.629555f, -1.076838f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.3273088f, -0.2797924f, 0.02237774f, 0.9022663f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(0.102183f, 0.005352931f, 0.1806064f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(-0.5274231f, -0.2758279f, 0.1060927f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(-1.79739f, -2.533271f, 2.470068f), 1);
            api.Wait(9);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(0.2239098f, -0.1833722f, 0.2984068f), 1);
            api.Wait(16);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(-0.1165841f, -0.0789054f, 0.3320202f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(-0.1165841f, -0.0789054f, 0.3320202f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(-0.1165841f, -0.0789054f, 0.3320202f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(-0.1165841f, -0.0789054f, 0.3320202f), 1);
            api.Wait(8);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.3477149f, 0.3145187f, -0.06336034f, -0.8809982f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.3477149f, 0.3145187f, -0.06336034f, -0.8809982f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.3477149f, 0.3145187f, -0.06336034f, -0.8809982f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.3477149f, 0.3145187f, -0.06336034f, -0.8809982f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceVelocity", new Vector3(-0.215553f, -0.02328757f, 0.05465725f), 1);
            api.Wait(118);
            api.Vector3InputEvent("GDIOHMD/RightEyePosition", new Vector3(-0.1925257f, 1.574797f, 0.3877821f), 1);
            api.Wait(7);
            api.Vector3InputEvent("GDIOHMD/DevicePosition", new Vector3(-0.2372716f, 1.574891f, 0.3793537f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyePosition", new Vector3(-0.2647279f, 1.578024f, 0.35963f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyePosition", new Vector3(-0.2372716f, 1.574891f, 0.3793537f), 1);
            api.Wait(16);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(-1.51577f, 0.08163658f, -1.917564f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(-1.51577f, 0.08163658f, -1.917564f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(-1.51577f, 0.08163658f, -1.917564f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(-1.51577f, 0.08163658f, -1.917564f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(0.2143323f, -0.3252801f, -0.6005455f, 0.6982834f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(1.059684f, 0.4235791f, 0.3823287f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(1.599788f, 3.754585f, -2.47598f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.3389933f, -0.2622949f, 0.02747855f, 0.9030669f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(0.09322679f, 0.1590641f, 0.1327788f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(0.3922351f, -0.406053f, -0.09754369f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(0.6073229f, -0.9462886f, 3.145551f), 1);
            api.Wait(9);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(0.09783309f, -0.0807695f, 0.1298748f), 1);
            api.Wait(8);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(0.4340076f, 0.4157588f, -0.02408862f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(0.4340076f, 0.4157588f, -0.02408862f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(0.4340076f, 0.4157588f, -0.02408862f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(0.4340076f, 0.4157588f, -0.02408862f), 1);
            api.Wait(110);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.3710687f, 0.2919745f, -0.07273386f, -0.8785037f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(0.1256834f, 0.227015f, 0.1436869f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.3710687f, 0.2919745f, -0.07273386f, -0.8785037f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(0.1256834f, 0.227015f, 0.1436869f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.3710687f, 0.2919745f, -0.07273386f, -0.8785037f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(0.1256834f, 0.227015f, 0.1436869f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.3710687f, 0.2919745f, -0.07273386f, -0.8785037f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(0.1256834f, 0.227015f, 0.1436869f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DevicePosition", new Vector3(-0.6773657f, 1.029449f, 0.6832543f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceVelocity", new Vector3(-0.1558684f, -0.09700735f, 0.2509433f), 1);
            api.Wait(8);
            api.Vector3InputEvent("GDIOHMD/DeviceVelocity", new Vector3(-0.2196672f, -0.03929075f, 0.1905747f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeVelocity", new Vector3(-0.2196672f, -0.03929075f, 0.1905747f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeVelocity", new Vector3(-0.2196672f, -0.03929075f, 0.1905747f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeVelocity", new Vector3(-0.2196672f, -0.03929075f, 0.1905747f), 1);
            api.Wait(8);
            api.Vector3InputEvent("GDIORightHand/DeviceVelocity", new Vector3(-0.1150879f, -7.34394E-05f, 0.05100373f), 1);
            api.Wait(24);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(-0.9218204f, 0.1459426f, 0.3689808f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(-0.9218202f, 0.1459426f, 0.3689806f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(-0.9218202f, 0.1459426f, 0.3689806f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(-0.9218204f, 0.1459426f, 0.3689808f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(0.2164977f, -0.3194788f, -0.6128503f, 0.6895481f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(0.6369607f, 0.63032f, 0.2546298f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(6.763175f, -0.3182328f, -3.07172f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.3509331f, -0.2354633f, 0.02788855f, 0.9058837f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(0.08230715f, 0.3422408f, 0.1650059f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(0.4715889f, 0.2469362f, -0.3116943f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(-1.778254f, 0.5928901f, 0.4631488f), 1);
            api.Wait(8);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(0.1173167f, -0.01929151f, -0.1712596f), 1);
            api.Wait(135);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(0.1788475f, 0.1277498f, -0.4304278f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(0.1788475f, 0.1277498f, -0.4304278f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(0.1788475f, 0.1277498f, -0.4304278f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(0.1788475f, 0.1277498f, -0.4304278f), 1);
            api.Wait(8);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.3799116f, 0.2631103f, -0.06991084f, -0.8840547f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(0.003093597f, 0.1951637f, 0.02475801f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.3799116f, 0.2631103f, -0.06991084f, -0.8840547f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(0.003093597f, 0.1951637f, 0.02475801f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyePosition", new Vector3(-0.2719237f, 1.561687f, 0.4530739f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.3799116f, 0.2631103f, -0.06991084f, -0.8840547f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(0.003093597f, 0.1951637f, 0.02475801f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.3799116f, 0.2631103f, -0.06991084f, -0.8840547f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(0.003093597f, 0.1951637f, 0.02475801f), 1);
            api.Wait(8);
            api.Vector3InputEvent("GDIOHMD/DeviceVelocity", new Vector3(-0.1360425f, -0.01726981f, 0.1269702f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeVelocity", new Vector3(-0.1360425f, -0.01726981f, 0.1269702f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeVelocity", new Vector3(-0.1360425f, -0.01726981f, 0.1269702f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeVelocity", new Vector3(-0.1360425f, -0.01726981f, 0.1269702f), 1);
            api.Wait(118);
            api.Vector3InputEvent("GDIOLeftHand/DeviceVelocity", new Vector3(-0.06626034f, -0.03610257f, 0.164419f), 1);
            api.Wait(9);
            api.Vector3InputEvent("GDIOHMD/DevicePosition", new Vector3(-0.3146132f, 1.561704f, 0.4478758f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyePosition", new Vector3(-0.3438912f, 1.56437f, 0.4308939f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyePosition", new Vector3(-0.3146132f, 1.561704f, 0.4478758f), 1);
            api.Wait(14);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(-1.590415f, 1.093815f, 0.7587284f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(-1.590415f, 1.093815f, 0.7587284f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(-1.590415f, 1.093815f, 0.7587284f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(-1.590415f, 1.093815f, 0.7587284f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(0.2145493f, -0.2941811f, -0.6277222f, 0.6880341f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(0.7779576f, 0.03546116f, -0.2854468f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(1.622245f, 6.137732f, -7.648499f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.3715951f, -0.1973103f, 0.02533133f, 0.9068319f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(0.09431848f, 0.1628592f, 0.107274f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(0.07376772f, 0.2990017f, 0.1400416f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(0.04853523f, -0.4819387f, -1.139862f), 1);
            api.Wait(9);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(0.2478542f, 0.2788197f, -0.2123042f), 1);
            api.Wait(7);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(0.2394932f, 0.151057f, -0.107017f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(0.2394932f, 0.151057f, -0.107017f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(0.2394932f, 0.151057f, -0.107017f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(0.2394932f, 0.151057f, -0.107017f), 1);
            api.Wait(110);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.3847126f, 0.2467071f, -0.06575189f, -0.8870223f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.3847126f, 0.2467071f, -0.06575189f, -0.8870223f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.3847126f, 0.2467071f, -0.06575189f, -0.8870223f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.3847126f, 0.2467071f, -0.06575189f, -0.8870223f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DevicePosition", new Vector3(-0.7168714f, 1.012849f, 0.7774568f), 1);
            api.Wait(7);
            api.Vector3InputEvent("GDIOHMD/DeviceVelocity", new Vector3(-0.0652041f, -0.003567849f, 0.04641712f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeVelocity", new Vector3(-0.0652041f, -0.003567849f, 0.04641712f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeVelocity", new Vector3(-0.0652041f, -0.003567849f, 0.04641712f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeVelocity", new Vector3(-0.0652041f, -0.003567849f, 0.04641712f), 1);
            api.Wait(25);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(0.07152539f, -0.8175741f, 0.5648692f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(0.07152539f, -0.8175741f, 0.5648692f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(0.07152539f, -0.8175741f, 0.5648692f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(0.07152539f, -0.8175741f, 0.5648692f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(0.2087092f, -0.2838257f, -0.6318535f, 0.6903946f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(-0.5470688f, 0.5781673f, -0.2844705f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(-7.11823f, -7.484812f, 7.430673f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.3742833f, -0.1877576f, 0.02427264f, 0.907783f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(0.02110244f, 0.09644707f, 0.0491299f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(-0.9715364f, -1.720621f, -1.29934f), 1);
            api.Wait(10);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(0.05989375f, 0.1197402f, -0.03355976f), 1);
            api.Wait(9);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(0.1303404f, 0.04524241f, -0.07116356f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(0.1303404f, 0.04524241f, -0.07116356f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(0.1303404f, 0.04524241f, -0.07116356f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(0.1303404f, 0.04524241f, -0.07116356f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(0.09810667f, 0.158235f, 0.1131044f), 1);
            api.Wait(116);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.3825564f, 0.2397378f, -0.06373341f, -0.8900082f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(-0.03058948f, 0.07735617f, -0.008116199f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.3825564f, 0.2397378f, -0.06373341f, -0.8900082f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(-0.03058948f, 0.07735617f, -0.008116199f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.3825564f, 0.2397378f, -0.06373341f, -0.8900082f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(-0.03058948f, 0.07735617f, -0.008116199f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.3825564f, 0.2397378f, -0.06373341f, -0.8900082f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(-0.03058948f, 0.07735617f, -0.008116199f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceVelocity", new Vector3(-0.02254957f, 0.00476115f, 0.01219819f), 1);
            api.Wait(33);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(-2.063333f, 0.4959559f, -0.7067236f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(-2.063333f, 0.4959559f, -0.7067236f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(-2.063333f, 0.4959559f, -0.7067236f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(-2.063333f, 0.4959559f, -0.7067236f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(0.1985429f, -0.2860022f, -0.6381443f, 0.6866989f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(0.08269207f, -0.0285088f, -0.1783231f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(-2.838704f, 0.4526026f, 6.589899f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.3758768f, -0.1806047f, 0.02682768f, 0.9085037f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(0.3142224f, -0.3574333f, 0.2530412f), 1);
            api.Wait(7);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(-0.02979235f, 0.0769379f, -0.1030803f), 1);
            api.Wait(136);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(0.2602183f, -0.08049364f, -0.2187848f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(0.2602183f, -0.08049364f, -0.2187848f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(0.2602183f, -0.08049364f, -0.2187848f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(0.2602183f, -0.08049364f, -0.2187848f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceVelocity", new Vector3(-0.005745817f, 0.0005181673f, 0.03904337f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(0.05044478f, 0.2834845f, 0.04912704f), 1);
            api.Wait(12);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.3814037f, 0.2321732f, -0.06512699f, -0.8924042f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.3814037f, 0.2321732f, -0.06512699f, -0.8924043f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.3814037f, 0.2321732f, -0.06512699f, -0.8924043f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.3814037f, 0.2321732f, -0.06512699f, -0.8924042f), 1);
            api.Wait(9);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(0.01465187f, 0.1020931f, -0.06589008f), 1);
            api.Wait(149);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(-1.122096f, -0.1914229f, -0.4404818f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(-1.122096f, -0.1914229f, -0.4404818f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(-1.122096f, -0.1914229f, -0.4404818f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(-1.122096f, -0.1914229f, -0.4404818f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(0.1900984f, -0.2779636f, -0.6371105f, 0.6933174f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(-0.2430264f, 0.4077535f, 0.1288109f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(-1.471115f, 2.866359f, -0.4424406f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.3768755f, -0.1760264f, 0.02751946f, 0.9089677f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(-1.130606f, -1.42089f, 0.3761166f), 1);
            api.Wait(7);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(-0.007749985f, 0.2314277f, -0.1408331f), 1);
            api.Wait(110);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(0.1112788f, 0.05320309f, 0.07215399f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(0.1112788f, 0.05320309f, 0.07215399f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(0.1112788f, 0.05320309f, 0.07215399f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(0.1112788f, 0.05320309f, 0.07215399f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(0.154659f, 0.1126816f, 0.03442307f), 1);
            api.Wait(7);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.377901f, 0.2294689f, -0.06616793f, -0.8945148f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.377901f, 0.2294689f, -0.06616793f, -0.8945148f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.377901f, 0.2294689f, -0.06616793f, -0.8945148f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.377901f, 0.2294689f, -0.06616793f, -0.8945148f), 1);
            api.Wait(25);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(-0.02774885f, 0.01314846f, -0.002553597f), 1);
            api.Wait(9);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(0.4256171f, -0.1931044f, 0.8183385f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(0.4256171f, -0.1931044f, 0.8183385f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(0.4256171f, -0.1931044f, 0.8183385f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(0.4256171f, -0.1931044f, 0.8183385f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(0.1879635f, -0.282149f, -0.6357075f, 0.6934967f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(-0.8150685f, 0.2814817f, 0.07621332f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(-0.07625318f, -8.07345f, -4.841258f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.3743771f, -0.1758252f, 0.02756103f, 0.9100372f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(0.1346008f, -2.835177f, 2.67769f), 1);
            api.Wait(118);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(0.08775984f, 0.2108845f, -0.08242432f), 1);
            api.Wait(16);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(0.2259633f, -0.2018754f, -0.03748395f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(0.2259633f, -0.2018754f, -0.03748395f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(0.2259633f, -0.2018754f, -0.03748395f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(0.2259633f, -0.2018754f, -0.03748395f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(-0.2790947f, -0.2403474f, -0.3199026f), 1);
            api.Wait(151);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.3775823f, 0.2287073f, -0.06423922f, -0.8949849f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.3775823f, 0.2287073f, -0.06423922f, -0.8949849f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.3775823f, 0.2287073f, -0.06423922f, -0.8949849f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.3775823f, 0.2287073f, -0.06423922f, -0.8949849f), 1);
            api.Wait(24);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(1.020746f, 0.6676993f, 1.25122f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(1.020746f, 0.6676993f, 1.25122f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(1.020746f, 0.6676993f, 1.25122f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(1.020746f, 0.6676993f, 1.25122f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(0.1959809f, -0.2713194f, -0.6331334f, 0.6979395f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(0.05689409f, 0.5529596f, 0.2191173f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(-8.439444f, -14.34305f, 13.77938f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.3727695f, -0.1746909f, 0.02538521f, 0.9109784f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(0.2705529f, -3.215183f, 1.705012f), 1);
            api.Wait(120);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(0.008373596f, -0.08821626f, -0.06352293f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(0.008373596f, -0.08821626f, -0.06352293f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(0.008373596f, -0.08821626f, -0.06352293f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(0.008373596f, -0.08821626f, -0.06352293f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(0.02957213f, 0.02262245f, 0.1905167f), 1);
            api.Wait(16);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(0.106878f, -0.1090759f, 0.06208192f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(0.106878f, -0.1090759f, 0.06208192f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(0.106878f, -0.1090759f, 0.06208192f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(0.106878f, -0.1090759f, 0.06208192f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(0.1537707f, 0.2260842f, 0.2854505f), 1);
            api.Wait(139);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.3765956f, 0.2311044f, -0.06029371f, -0.8950593f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.3765956f, 0.2311044f, -0.06029372f, -0.8950593f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.3765956f, 0.2311044f, -0.06029372f, -0.8950593f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.3765956f, 0.2311044f, -0.06029371f, -0.8950593f), 1);
            api.Wait(24);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(-0.2105182f, -0.5761639f, -0.1276253f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(-0.2105182f, -0.5761639f, -0.1276253f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(-0.2105182f, -0.5761639f, -0.1276253f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(-0.2105182f, -0.5761639f, -0.1276253f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(0.1887025f, -0.2616043f, -0.6457092f, 0.6921085f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(-0.4014466f, 0.1353527f, 0.400562f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(-1.373291f, -10.36017f, 10.25556f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.3708383f, -0.1763593f, 0.02114547f, 0.9115532f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(0.7950144f, 1.03289f, -1.79274f), 1);
            api.Wait(8);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(-0.04500858f, -0.003716187f, -0.01782084f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(-0.04500856f, -0.003716186f, -0.01782084f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(-0.04500856f, -0.003716186f, -0.01782084f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(-0.04500858f, -0.003716187f, -0.01782084f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(-0.04750112f, 0.007083536f, 0.0261983f), 1);
            api.Wait(111);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(0.04813938f, -0.1269375f, -0.2364818f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(0.04813938f, -0.1269375f, -0.2364818f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(0.04813938f, -0.1269375f, -0.2364818f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(0.04813938f, -0.1269375f, -0.2364818f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(-0.1602713f, 0.165151f, 0.05986235f), 1);
            api.Wait(175);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.3759975f, 0.2375056f, -0.06090362f, -0.8935926f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(-1.261976f, 0.2539032f, -0.404334f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.3759975f, 0.2375056f, -0.06090362f, -0.8935926f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(-1.261976f, 0.2539032f, -0.404334f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.3759975f, 0.2375056f, -0.06090362f, -0.8935926f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(-1.261976f, 0.2539032f, -0.404334f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.3759975f, 0.2375056f, -0.06090362f, -0.8935926f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(-1.261976f, 0.2539032f, -0.404334f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(0.186553f, -0.2645445f, -0.645291f, 0.6919636f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(0.5611251f, -0.281115f, -0.2099885f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(-0.3448196f, -1.326035f, -3.236982f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.3689981f, -0.1799026f, 0.0198262f, 0.9116372f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(0.1732469f, 1.149005f, 1.009866f), 1);
            api.Wait(25);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(0.1369581f, 0.06977727f, -0.08881093f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(0.1369581f, 0.06977727f, -0.08881093f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(0.1369581f, 0.06977727f, -0.08881093f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(0.1369581f, 0.06977727f, -0.08881093f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(-0.02633099f, 0.1813669f, 0.06909057f), 1);
            api.Wait(116);
            api.Vector3InputEvent("GDIOHMD/DeviceVelocity", new Vector3(0.01968222f, 0.01728885f, -0.02738447f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeVelocity", new Vector3(0.01968222f, 0.01728885f, -0.02738447f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeVelocity", new Vector3(0.01968222f, 0.01728885f, -0.02738447f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeVelocity", new Vector3(0.01968222f, 0.01728885f, -0.02738447f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceVelocity", new Vector3(0.09071756f, 0.00980434f, -0.09180138f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(-0.4187618f, -0.1277707f, 0.5222511f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(-0.09060835f, -0.03886424f, -0.0685655f), 1);
            api.Wait(32);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.3726522f, 0.2404469f, -0.06213719f, -0.8941222f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(-1.402468f, -1.01783f, -2.68956f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.3726522f, 0.2404469f, -0.06213719f, -0.8941222f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(-1.402468f, -1.01783f, -2.68956f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.3726522f, 0.2404469f, -0.06213719f, -0.8941222f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(-1.402468f, -1.01783f, -2.68956f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.3726522f, 0.2404469f, -0.06213719f, -0.8941222f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(-1.402468f, -1.01783f, -2.68956f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(0.1816619f, -0.2843127f, -0.5997877f, 0.7255481f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(0.37142f, 0.1992325f, -0.8125563f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(-8.38586f, -2.693643f, 10.04346f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.3613154f, -0.1844993f, 0.0178069f, 0.9138349f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(-0.8825613f, 1.126288f, 0.3267182f), 1);
            api.Wait(126);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(0.1958648f, -0.02854931f, 0.1571722f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(0.1958648f, -0.02854931f, 0.1571722f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(0.1958648f, -0.02854931f, 0.1571722f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(0.1958648f, -0.02854931f, 0.1571722f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(0.04172648f, 0.08961856f, 0.1332473f), 1);
            api.Wait(8);
            api.Vector3InputEvent("GDIOLeftHand/DeviceVelocity", new Vector3(0.3502117f, 0.04795237f, -0.3032188f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(-1.721349f, -0.9028677f, 2.167919f), 1);
            api.Wait(16);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(-0.13893f, 0.05533908f, -0.06481707f), 1);
            api.Wait(126);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.3673972f, 0.2340704f, -0.05872912f, -0.89821f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(-0.01652719f, 0.08313203f, 0.05429417f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(0.6781679f, -1.78308f, 0.2248791f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.3673972f, 0.2340704f, -0.05872912f, -0.89821f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(-0.01652719f, 0.08313203f, 0.05429417f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(0.6781679f, -1.78308f, 0.2248791f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.3673972f, 0.2340704f, -0.05872912f, -0.89821f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(-0.01652719f, 0.08313203f, 0.05429417f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(0.6781679f, -1.78308f, 0.2248791f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.3673972f, 0.2340704f, -0.05872912f, -0.89821f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(-0.01652719f, 0.08313203f, 0.05429417f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(0.6781679f, -1.78308f, 0.2248791f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(0.2309347f, -0.4237376f, -0.145701f, 0.8636474f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(-0.7912078f, -0.7135021f, 2.400409f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(10.09843f, 4.756626f, -31.81677f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.3464634f, -0.1868125f, 0.007985036f, 0.9192391f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(-1.306865f, -2.415839f, -0.6360666f), 1);
            api.Wait(8);
            api.Vector3InputEvent("GDIOLeftHand/DevicePosition", new Vector3(-0.6205053f, 1.011207f, 0.7265673f), 1);
            api.Wait(8);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(-0.2216771f, -0.2132989f, -0.125245f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(-0.2216771f, -0.2132989f, -0.125245f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(-0.2216771f, -0.2132989f, -0.125245f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(-0.2216771f, -0.2132989f, -0.125245f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(0.3245735f, -0.1216455f, 0.1863773f), 1);
            api.Wait(9);
            api.Vector3InputEvent("GDIOLeftHand/DeviceVelocity", new Vector3(0.2944804f, -0.1869751f, -0.1575564f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(-2.284463f, -1.852034f, 6.573379f), 1);
            api.Wait(190);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.374419f, 0.2278001f, -0.05838739f, -0.8969439f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(-0.2798764f, 2.176617f, -0.0365012f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.374419f, 0.2278001f, -0.05838739f, -0.896944f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(-0.2798764f, 2.176617f, -0.03650101f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.374419f, 0.2278001f, -0.05838739f, -0.896944f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(-0.2798764f, 2.176617f, -0.03650101f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.374419f, 0.2278001f, -0.05838739f, -0.8969439f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(-0.2798764f, 2.176617f, -0.0365012f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(0.2568922f, -0.3727371f, 0.3993599f, 0.797236f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(-1.519093f, 0.2020371f, -0.3397266f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(-1.956936f, 2.503775f, 1.042305f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.3299014f, -0.1895663f, 0.006595457f, 0.9247628f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(-0.08281288f, 0.143343f, -0.07158632f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(1.148272f, 1.065293f, -0.878104f), 1);
            api.Wait(25);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(0.2467643f, 0.0572641f, 0.2681413f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(0.2467643f, 0.0572641f, 0.2681413f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(0.2467643f, 0.0572641f, 0.2681413f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(0.2467643f, 0.0572641f, 0.2681413f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(0.1227615f, -0.352062f, -0.6861495f), 1);
            api.Wait(8);
            api.Vector3InputEvent("GDIOLeftHand/DeviceVelocity", new Vector3(0.1182584f, -0.1337537f, 0.1583054f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(-0.935316f, -0.5051975f, 2.26891f), 1);
            api.Wait(35);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.3735648f, 0.221668f, -0.05761956f, -0.8988841f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(-1.549919f, 1.004167f, 0.148816f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.3735648f, 0.221668f, -0.05761956f, -0.8988841f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(-1.549919f, 1.004167f, 0.148816f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.3735648f, 0.221668f, -0.05761956f, -0.8988841f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(-1.549919f, 1.004167f, 0.148816f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.3735648f, 0.221668f, -0.05761956f, -0.8988841f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(-1.549919f, 1.004167f, 0.148816f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(0.2588154f, -0.3356694f, 0.4928496f, 0.7598947f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(-0.159087f, 0.09291437f, -0.80875f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(3.268531f, 10.73001f, -19.00001f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.3290844f, -0.1859578f, 0.008085555f, 0.9257742f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(-0.033359f, 0.1051445f, 0.0544799f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(1.650678f, 1.329959f, 0.4062787f), 1);
            api.Wait(16);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(0.1465249f, -0.08533584f, 0.06618767f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(0.1465249f, -0.08533584f, 0.06618767f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(0.1465249f, -0.08533584f, 0.06618767f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(0.1465249f, -0.08533584f, 0.06618767f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(0.4357708f, -0.2019139f, -0.2931218f), 1);
            api.Wait(8);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(-0.1911218f, -0.02678894f, 0.7438653f), 1);
            api.Wait(16);
            api.Vector3InputEvent("GDIORightHand/DeviceVelocity", new Vector3(0.06232296f, -0.0009884473f, -0.04843502f), 1);
            api.Wait(17);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.3733254f, 0.2165629f, -0.05717058f, -0.9002556f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(-0.2437876f, -0.3243132f, -0.3123121f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.3733254f, 0.2165629f, -0.05717058f, -0.9002556f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(-0.2437876f, -0.3243132f, -0.3123121f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.3733254f, 0.2165629f, -0.05717058f, -0.9002556f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(-0.2437876f, -0.3243132f, -0.3123121f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.3733254f, 0.2165629f, -0.05717058f, -0.9002556f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(-0.2437876f, -0.3243132f, -0.3123121f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(0.262771f, -0.3495584f, 0.4862474f, 0.7565208f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(-0.8077901f, 0.8750564f, -0.5818864f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(-0.2674698f, -3.636794f, 12.56181f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.3314868f, -0.1767441f, 0.002699165f, 0.9267529f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(0.06483198f, 0.2684005f, -0.02383913f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(1.402464f, 2.437977f, -0.7191117f), 1);
            api.Wait(127);
            api.Vector3InputEvent("GDIOLeftHand/DeviceVelocity", new Vector3(0.03981867f, -0.08031321f, 0.07399683f), 1);
            api.Wait(14);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(-0.08870273f, -0.07035848f, 0.01620646f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(-0.08870273f, -0.07035848f, 0.01620646f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(-0.08870273f, -0.07035848f, 0.01620646f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(-0.08870273f, -0.07035848f, 0.01620646f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(-0.04164732f, 0.1829853f, 0.14784f), 1);
            api.Wait(8);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(-0.1566146f, 0.2328887f, -0.03163408f), 1);
            api.Wait(126);
            api.Vector3InputEvent("GDIOLeftHand/DevicePosition", new Vector3(-0.5673313f, 0.9493906f, 0.7864494f), 1);
            api.Wait(24);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.3700263f, 0.1957051f, -0.0545435f, -0.9065347f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(1.557878f, -0.7105551f, 1.060254f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.3700263f, 0.1957051f, -0.0545435f, -0.9065347f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(1.557878f, -0.7105551f, 1.060254f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.3700263f, 0.1957051f, -0.0545435f, -0.9065347f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(1.557878f, -0.7105551f, 1.060254f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.3700263f, 0.1957051f, -0.0545435f, -0.9065347f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(1.557878f, -0.7105551f, 1.060254f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(0.2627409f, -0.331439f, 0.5126411f, 0.7472045f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(-0.03487696f, 0.04983063f, -0.589313f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(0.832517f, -7.887254f, 1.065496f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.3452728f, -0.1481119f, 0.0004975197f, 0.9267412f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(0.07540774f, 0.1729536f, 0.04786592f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(-0.3615822f, -2.02193f, 0.7196052f), 1);
            api.Wait(151);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(-0.002454573f, 0.006358373f, -0.1484842f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(-0.002454573f, 0.006358373f, -0.1484842f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(-0.002454573f, 0.006358373f, -0.1484842f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(-0.002454573f, 0.006358373f, -0.1484842f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(-0.2722411f, -0.3333354f, -0.06520414f), 1);
            api.Wait(119);
            api.ButtonPress("GDIOLeftHand/Grip", (ulong)(api.GetLastFPS() * 6), 1f);
            api.Vector3InputEvent("GDIOLeftHand/DeviceVelocity", new Vector3(0.01907829f, 0.05223119f, 0.03051071f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(-0.1365415f, 0.3197852f, -0.7512777f), 1);
            api.Wait(41);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.3740711f, 0.1915315f, -0.05674729f, -0.9056303f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(0.0005465556f, -0.01321679f, 0.02194978f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(-1.352577f, -0.796131f, 0.08668137f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.3740711f, 0.1915315f, -0.05674729f, -0.9056303f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(0.0005465556f, -0.01321679f, 0.02194978f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(-1.352577f, -0.796131f, 0.08668137f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.3740711f, 0.1915315f, -0.05674729f, -0.9056303f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(0.0005465556f, -0.01321679f, 0.02194978f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(-1.352577f, -0.796131f, 0.08668137f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.3740711f, 0.1915315f, -0.05674729f, -0.9056303f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(0.0005465556f, -0.01321679f, 0.02194978f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(-1.352577f, -0.796131f, 0.08668137f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(0.2457024f, -0.3314145f, 0.501771f, 0.7602767f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(-0.1222209f, 0.1908817f, -0.24444f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(-3.160325f, -10.62006f, 10.25339f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.3470097f, -0.1495124f, 0.001670477f, 0.9258658f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(0.03051766f, -0.07358366f, 0.00754549f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(0.5960806f, -0.2366f, 0.969648f), 1);
            api.Wait(125);
            api.Vector3InputEvent("GDIORightHand/DeviceVelocity", new Vector3(-0.01939617f, -0.002293877f, 0.0148477f), 1);
            api.Wait(14);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(0.1064614f, 0.03544531f, -0.08124162f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(0.1064614f, 0.03544531f, -0.08124162f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(0.1064614f, 0.03544531f, -0.08124162f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(0.1064614f, 0.03544531f, -0.08124162f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(0.08222657f, 0.3715894f, 0.1815594f), 1);
            api.Wait(16);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(-0.2011602f, 0.1299861f, -0.07206741f), 1);
            api.Wait(169);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.3734321f, 0.2009317f, -0.05736041f, -0.9038168f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(0.4102022f, 0.2405617f, -0.9200034f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.3734321f, 0.2009317f, -0.05736041f, -0.9038168f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(0.4102022f, 0.2405617f, -0.9200034f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.3734321f, 0.2009317f, -0.05736041f, -0.9038168f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(0.4102022f, 0.2405617f, -0.9200034f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.3734321f, 0.2009317f, -0.05736041f, -0.9038168f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(0.4102022f, 0.2405617f, -0.9200034f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(0.2294889f, -0.3119056f, 0.5126783f, 0.7662967f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(0.5517201f, -0.300635f, -0.06302599f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(-1.523743f, -1.48537f, 3.202006f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.3428351f, -0.1585382f, -0.0009931222f, 0.9259205f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(0.7386702f, -0.8690028f, 1.977622f), 1);
            api.Wait(17);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(-0.08167378f, -0.3409637f, -0.2899934f), 1);
            api.Wait(7);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(0.0345503f, -0.1640819f, -0.03108917f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(0.0345503f, -0.1640819f, -0.03108917f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(0.0345503f, -0.1640819f, -0.03108917f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(0.0345503f, -0.1640819f, -0.03108917f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(-0.06881887f, 0.06193956f, 0.01617175f), 1);
            api.Wait(34);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(-0.872274f, 0.7356046f, 1.046398f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(-0.872274f, 0.7356046f, 1.046398f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(-0.872274f, 0.7356046f, 1.046398f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(-0.872274f, 0.7356046f, 1.046398f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(0.2272215f, -0.3109113f, 0.5125225f, 0.7674798f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(0.3111944f, -0.0547799f, -0.2564656f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(0.6852714f, -2.087062f, 2.564917f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.3432242f, -0.1610704f, 0.0006544636f, 0.9253394f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(0.1570392f, 0.6972478f, -0.8338473f), 1);
            api.Wait(17);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.3744083f, 0.2017005f, -0.05776073f, -0.9032159f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.3744083f, 0.2017005f, -0.05776073f, -0.9032159f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.3744083f, 0.2017005f, -0.05776073f, -0.9032159f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.3744083f, 0.2017005f, -0.05776073f, -0.9032159f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(-0.01663937f, 0.1480219f, -0.06436414f), 1);
            api.Wait(9);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(-0.07123656f, 0.04967508f, -0.0707678f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(-0.07123656f, 0.04967508f, -0.0707678f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(-0.07123656f, 0.04967508f, -0.0707678f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(-0.07123656f, 0.04967508f, -0.0707678f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(-0.1701539f, 0.1542205f, -0.04860035f), 1);
            api.Wait(33);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(-0.273057f, 0.09874926f, -0.5072494f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(-0.273057f, 0.09874926f, -0.5072494f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(-0.273057f, 0.09874926f, -0.5072494f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(-0.273057f, 0.09874926f, -0.5072494f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(0.2241441f, -0.3035082f, 0.5103402f, 0.7727841f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(-0.2182335f, -0.3726726f, -0.4592727f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(2.94302f, -4.689469f, 4.62958f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.3431457f, -0.163116f, 0.0003946974f, 0.9250103f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(-1.075497f, -0.1454197f, -0.5084581f), 1);
            api.Wait(8);
            api.Vector3InputEvent("GDIOLeftHand/DeviceVelocity", new Vector3(0.02103887f, 0.009543545f, -0.06154952f), 1);
            api.Wait(9);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.3742039f, 0.2037337f, -0.05802834f, -0.9028271f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.3742039f, 0.2037337f, -0.05802834f, -0.9028271f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.3742039f, 0.2037337f, -0.05802834f, -0.9028271f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.3742039f, 0.2037337f, -0.05802834f, -0.9028271f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(0.1262003f, -0.1221748f, 0.03588548f), 1);
            api.Wait(142);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(-0.1091218f, 0.1463129f, -0.213927f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(-0.1091218f, 0.1463129f, -0.213927f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(-0.1091218f, 0.1463129f, -0.213927f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(-0.1091218f, 0.1463129f, -0.213927f), 1);
            api.Wait(8);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(-0.1209375f, 0.04585557f, 0.005134452f), 1);
            api.Wait(133);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(-0.0477787f, -0.03466686f, -0.09155976f), 1);
            api.Wait(16);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(1.520406f, -0.1420061f, 1.215935f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(1.520406f, -0.1420061f, 1.215935f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(1.520406f, -0.1420061f, 1.215935f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(1.520406f, -0.1420061f, 1.215935f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(0.2083738f, -0.2870154f, 0.518931f, 0.7777616f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(0.08545749f, 0.1215394f, 0.2849617f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(-0.9710187f, -0.1220536f, -3.668855f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.3389643f, -0.171339f, -0.001909728f, 0.9250635f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(0.6816966f, -1.859177f, 1.001647f), 1);
            api.Wait(16);
            api.Vector3InputEvent("GDIOLeftHand/DeviceVelocity", new Vector3(0.03864765f, 0.001055879f, -0.1612206f), 1);
            api.Wait(127);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.3722996f, 0.2171052f, -0.05893984f, -0.9004358f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(0.01610226f, -0.18013f, -0.1214796f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.3722996f, 0.2171052f, -0.05893984f, -0.9004357f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(0.01610226f, -0.18013f, -0.1214796f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.3722996f, 0.2171052f, -0.05893984f, -0.9004357f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(0.01610226f, -0.18013f, -0.1214796f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.3722996f, 0.2171052f, -0.05893984f, -0.9004358f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(0.01610226f, -0.18013f, -0.1214796f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(0.4936388f, -0.1608785f, 0.4819074f), 1);
            api.Wait(7);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(0.3342233f, 0.142421f, -0.1052011f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(0.3342233f, 0.142421f, -0.1052011f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(0.3342233f, 0.142421f, -0.1052011f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(0.3342233f, 0.142421f, -0.1052011f), 1);
            api.Wait(8);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(-0.2041068f, 0.04355384f, -0.07570536f), 1);
            api.Wait(127);
            api.Vector3InputEvent("GDIOHMD/DeviceVelocity", new Vector3(0.1136942f, 0.02095271f, -0.128895f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeVelocity", new Vector3(0.1136942f, 0.02095271f, -0.128895f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeVelocity", new Vector3(0.1136942f, 0.02095271f, -0.128895f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeVelocity", new Vector3(0.1136942f, 0.02095271f, -0.128895f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(-0.1782905f, -0.2254322f, -0.1020164f), 1);
            api.Wait(8);
            api.Vector3InputEvent("GDIOLeftHand/DevicePosition", new Vector3(-0.5240183f, 0.9873936f, 0.6901871f), 1);
            api.Wait(8);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(-0.4398302f, -1.364948f, -0.3878886f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(-0.4398302f, -1.364948f, -0.3878886f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(-0.4398302f, -1.364948f, -0.3878886f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(-0.4398302f, -1.364948f, -0.3878886f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(0.1889964f, -0.2755427f, 0.5206636f, 0.7856628f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(0.5035571f, 0.55261f, -0.4703332f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(-5.709623f, 4.261139f, 1.153676f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.3220214f, -0.2112691f, 0.001617717f, 0.922857f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(0.3503914f, 0.1529942f, -3.507192f), 1);
            api.Wait(7);
            api.Vector3InputEvent("GDIOLeftHand/DeviceVelocity", new Vector3(0.1184616f, 0.07345992f, -0.2695308f), 1);
            api.Wait(144);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.3563387f, 0.2539157f, -0.06430051f, -0.8968919f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(-0.1154876f, -0.3526157f, -0.1417106f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.3563387f, 0.2539157f, -0.06430051f, -0.8968919f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(-0.1154876f, -0.3526157f, -0.1417106f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.3563387f, 0.2539157f, -0.06430051f, -0.8968919f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(-0.1154876f, -0.3526157f, -0.1417106f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.3563387f, 0.2539157f, -0.06430051f, -0.8968919f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(-0.1154876f, -0.3526157f, -0.1417106f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceVelocity", new Vector3(0.07847646f, -0.01096563f, -0.02438228f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(0.2981685f, -0.4135651f, 0.03805458f), 1);
            api.Wait(14);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(0.4380626f, -0.1336723f, -0.06586659f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(0.4380626f, -0.1336723f, -0.06586659f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(0.4380626f, -0.1336723f, -0.06586659f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(0.4380626f, -0.1336723f, -0.06586659f), 1);
            api.Wait(127);
            api.Vector3InputEvent("GDIOHMD/DevicePosition", new Vector3(-0.2219519f, 1.584741f, 0.3724411f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyePosition", new Vector3(-0.2504995f, 1.587247f, 0.3542355f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyePosition", new Vector3(-0.1934043f, 1.582235f, 0.3906467f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyePosition", new Vector3(-0.2219519f, 1.584741f, 0.3724411f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(-0.05096143f, -0.2370971f, -0.07211435f), 1);
            api.Wait(15);
            api.Vector3InputEvent("GDIOHMD/DeviceVelocity", new Vector3(0.230298f, 0.02738716f, -0.1723278f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeVelocity", new Vector3(0.230298f, 0.02738716f, -0.1723278f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeVelocity", new Vector3(0.230298f, 0.02738716f, -0.1723278f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeVelocity", new Vector3(0.230298f, 0.02738716f, -0.1723278f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(-0.09488539f, -0.3486883f, -0.1726915f), 1);
            api.Wait(8);
            api.Vector3InputEvent("GDIOLeftHand/DevicePosition", new Vector3(-0.4830682f, 1.013388f, 0.5865844f), 1);
            api.Wait(126);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(-0.9086525f, -0.5605368f, -0.9906962f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(-0.9086525f, -0.5605368f, -0.9906962f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(-0.9086525f, -0.5605368f, -0.9906962f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(-0.9086525f, -0.5605368f, -0.9906962f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(0.1551046f, -0.2922471f, 0.509674f, 0.7942082f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(0.4921787f, 0.005016411f, 0.6923633f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(-0.5078474f, 0.2778303f, -1.160112f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.2965321f, -0.2897719f, 0.008922332f, 0.9099568f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(3.476929f, 3.925845f, 0.828993f), 1);
            api.Wait(31);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.3467369f, 0.2951252f, -0.06493559f, -0.8879516f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(0.03089337f, -0.1907333f, -0.06674635f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.3467369f, 0.2951252f, -0.06493559f, -0.8879516f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(0.03089337f, -0.1907333f, -0.06674635f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.3467369f, 0.2951252f, -0.06493559f, -0.8879516f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(0.03089337f, -0.1907333f, -0.06674635f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.3467369f, 0.2951252f, -0.06493559f, -0.8879516f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(0.03089337f, -0.1907333f, -0.06674635f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(-0.1926965f, -0.1193744f, -0.1753085f), 1);
            api.Wait(127);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(-0.4554905f, 0.1095254f, 0.241818f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(-0.4554905f, 0.1095254f, 0.241818f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(-0.4554905f, 0.1095254f, 0.241818f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(-0.4554905f, 0.1095254f, 0.241818f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceVelocity", new Vector3(0.05409322f, 0.006325511f, -0.1880418f), 1);
            api.Wait(7);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(0.07384685f, -0.1466523f, -0.237275f), 1);
            api.Wait(8);
            api.Vector3InputEvent("GDIOHMD/DeviceVelocity", new Vector3(0.1387736f, 0.001050959f, -0.1015798f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeVelocity", new Vector3(0.1387736f, 0.001050959f, -0.1015798f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeVelocity", new Vector3(0.1387736f, 0.001050959f, -0.1015798f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeVelocity", new Vector3(0.1387736f, 0.001050959f, -0.1015798f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(-0.0009376034f, -0.2704587f, -0.07025225f), 1);
            api.Wait(162);
            api.Vector3InputEvent("GDIOHMD/DevicePosition", new Vector3(-0.1406976f, 1.590413f, 0.3120729f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(0.8495628f, 0.984835f, 0.1558969f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyePosition", new Vector3(-0.167611f, 1.593931f, 0.2916773f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(0.8495628f, 0.984835f, 0.1558969f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(0.8495628f, 0.984835f, 0.1558969f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyePosition", new Vector3(-0.1406976f, 1.590413f, 0.3120729f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(0.8495628f, 0.984835f, 0.1558969f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(0.1439845f, -0.320416f, 0.4972036f, 0.7933415f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(0.2286653f, -0.08909494f, 0.2098437f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(-0.5562907f, 5.166561f, -1.576387f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.2880583f, -0.3282422f, 0.01481906f, 0.8994776f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(-1.188391f, 1.177616f, 0.7943125f), 1);
            api.Wait(11);
            api.Vector3InputEvent("GDIOHMD/RightEyePosition", new Vector3(-0.1087174f, 1.588253f, 0.3282095f), 1);
            api.Wait(135);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.3259415f, 0.3236242f, -0.06175429f, -0.8861241f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(-0.07289198f, -0.1297531f, -0.06776046f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.3259415f, 0.3236242f, -0.06175429f, -0.8861241f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(-0.07289198f, -0.1297531f, -0.06776046f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.3259415f, 0.3236242f, -0.06175429f, -0.8861241f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(-0.07289198f, -0.1297531f, -0.06776046f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.3259415f, 0.3236242f, -0.06175429f, -0.8861241f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(-0.07289198f, -0.1297531f, -0.06776046f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DevicePosition", new Vector3(-0.4505481f, 1.024358f, 0.483591f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(-0.4230293f, 0.1542154f, -0.07274296f), 1);
            api.Wait(7);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(-0.2335684f, -0.08854674f, -0.0607865f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(-0.2335684f, -0.08854674f, -0.0607865f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(-0.2335684f, -0.08854674f, -0.0607865f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(-0.2335684f, -0.08854674f, -0.0607865f), 1);
            api.Wait(9);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(0.01786716f, 0.0149793f, -0.06119601f), 1);
            api.Wait(127);
            api.Vector3InputEvent("GDIOHMD/DeviceVelocity", new Vector3(0.03300894f, -0.007143131f, -0.05470586f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeVelocity", new Vector3(0.03300894f, -0.007143131f, -0.05470586f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeVelocity", new Vector3(0.03300894f, -0.007143131f, -0.05470586f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeVelocity", new Vector3(0.03300894f, -0.007143131f, -0.05470586f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceVelocity", new Vector3(-0.02387186f, 0.007004141f, 0.01459149f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(-0.07491236f, -0.1533429f, -0.06486421f), 1);
            api.Wait(22);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(1.166985f, 0.00541611f, 0.9200777f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(1.166985f, 0.00541611f, 0.9200777f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(1.166985f, 0.00541611f, 0.9200777f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(1.166985f, 0.00541611f, 0.9200777f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(0.1353628f, -0.3271655f, 0.4882086f, 0.7976791f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(0.3850006f, -0.1987612f, 0.3264937f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(-1.299575f, 1.319082f, 1.46079f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.2703636f, -0.3548172f, 0.01655084f, 0.8948376f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(0.8618833f, -0.2982693f, -0.8045635f), 1);
            api.Wait(8);
            api.Vector3InputEvent("GDIOLeftHand/DeviceVelocity", new Vector3(0.04075387f, 0.0341338f, -0.09121313f), 1);
            api.Wait(138);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.3284626f, 0.3518664f, -0.06817939f, -0.8738729f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(0.05963718f, -0.1409634f, -0.01900401f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.3284626f, 0.3518664f, -0.06817939f, -0.8738729f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(0.05963718f, -0.1409634f, -0.01900401f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.3284626f, 0.3518664f, -0.06817939f, -0.8738729f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(0.05963718f, -0.1409634f, -0.01900401f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.3284626f, 0.3518664f, -0.06817939f, -0.8738729f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(0.05963718f, -0.1409634f, -0.01900401f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(-0.02216153f, -0.1631273f, -0.1375623f), 1);
            api.Wait(10);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(0.03744192f, 0.04545017f, 0.2548759f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(0.03744192f, 0.04545017f, 0.2548759f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(0.03744192f, 0.04545017f, 0.2548759f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(0.03744192f, 0.04545017f, 0.2548759f), 1);
            api.Wait(11);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(-0.09374498f, 0.005720266f, -0.06456491f), 1);
            api.Wait(149);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(0.0189611f, -0.09744757f, -0.04833106f), 1);
            api.Wait(142);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(-0.8010945f, 0.3743839f, -0.5273829f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(-0.8010945f, 0.3743839f, -0.5273829f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(-0.8010945f, 0.3743839f, -0.5273829f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(-0.8010945f, 0.3743839f, -0.5273829f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(0.1305893f, -0.3279703f, 0.4898826f, 0.7971179f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(-0.1156395f, -0.4755356f, -0.2359925f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(1.002643f, -2.529811f, 6.175855f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.2695568f, -0.3774798f, 0.01493296f, 0.8857907f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(-0.7793182f, -0.6163933f, 1.272665f), 1);
            api.Wait(24);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.3361567f, 0.3587091f, -0.07121249f, -0.8679028f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(0.02263766f, -0.004979922f, 0.008573637f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.3361567f, 0.3587091f, -0.07121249f, -0.8679028f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(0.02263766f, -0.004979922f, 0.008573637f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.3361567f, 0.3587091f, -0.07121249f, -0.8679028f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(0.02263766f, -0.004979922f, 0.008573637f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.3361567f, 0.3587091f, -0.07121249f, -0.8679028f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(0.02263766f, -0.004979922f, 0.008573637f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(-0.0602417f, -0.02044298f, -0.04703791f), 1);
            api.Wait(134);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(-0.06765363f, 0.1112127f, 0.01148599f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(-0.06765363f, 0.1112127f, 0.01148599f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(-0.06765363f, 0.1112127f, 0.01148599f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(-0.06765363f, 0.1112127f, 0.01148599f), 1);
            api.Wait(8);
            api.Vector3InputEvent("GDIOLeftHand/DevicePosition", new Vector3(-0.418494f, 1.040102f, 0.3896936f), 1);
            api.Wait(7);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(-0.05012463f, -0.08968977f, 0.007280949f), 1);
            api.Wait(136);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(-0.02361539f, -0.1595722f, 0.0261795f), 1);
            api.Wait(15);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(-0.7849969f, 0.1158687f, -1.279442f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(-0.7849969f, 0.1158687f, -1.279442f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(-0.7849969f, 0.1158687f, -1.279442f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(-0.7849969f, 0.1158687f, -1.279442f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(0.1366933f, -0.3432224f, 0.4859166f, 0.7920848f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(0.007065271f, -0.05642108f, 0.4589584f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(-0.5047113f, -2.286568f, 1.457373f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.2670248f, -0.3965776f, 0.02518142f, 0.8779464f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(-1.635025f, -0.03674731f, 1.279799f), 1);
            api.Wait(152);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.3358123f, 0.3637481f, -0.07846622f, -0.8653095f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.3358123f, 0.3637481f, -0.07846622f, -0.8653095f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.3358123f, 0.3637481f, -0.07846622f, -0.8653095f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.3358123f, 0.3637481f, -0.07846622f, -0.8653095f), 1);
            api.Wait(8);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(-0.08736203f, -0.05400658f, -0.1655662f), 1);
            api.Wait(134);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(-0.08043367f, 0.04429336f, 0.3383611f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(-0.08043367f, 0.04429336f, 0.3383611f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(-0.08043367f, 0.04429336f, 0.3383611f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(-0.08043367f, 0.04429336f, 0.3383611f), 1);
            api.Wait(9);
            api.Vector3InputEvent("GDIOLeftHand/DeviceVelocity", new Vector3(0.07648446f, 0.107178f, -0.02006359f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(0.2360875f, 0.4375581f, -1.09936f), 1);
            api.Wait(14);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(-0.04860192f, 0.04187617f, -0.05794774f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(-0.04860192f, 0.04187617f, -0.05794774f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(-0.04860192f, 0.04187617f, -0.05794774f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(-0.04860192f, 0.04187617f, -0.05794774f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(-0.02482938f, 0.1300747f, -0.04694558f), 1);
            api.Wait(136);
            api.Vector3InputEvent("GDIOHMD/DeviceVelocity", new Vector3(-0.008965139f, 0.02604341f, 0.05338232f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(0.09208606f, -0.0767842f, -0.8650129f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeVelocity", new Vector3(-0.008965139f, 0.02604341f, 0.05338232f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(0.09208606f, -0.0767842f, -0.8650129f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeVelocity", new Vector3(-0.008965139f, 0.02604341f, 0.05338232f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(0.09208606f, -0.0767842f, -0.8650129f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeVelocity", new Vector3(-0.008965139f, 0.02604341f, 0.05338232f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(0.09208606f, -0.0767842f, -0.8650129f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(0.1383743f, -0.3299819f, 0.3206854f, 0.8769979f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(-0.6946914f, 5.254962f, 0.1718732f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(12.12747f, 3.703489f, -16.3504f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.2629621f, -0.3907374f, 0.02837709f, 0.8816859f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(1.532884f, 1.686912f, 1.384582f), 1);
            api.Wait(14);
            api.Vector3InputEvent("GDIOLeftHand/DevicePosition", new Vector3(-0.3911436f, 1.136577f, 0.3553553f), 1);
            api.Wait(134);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.3242207f, 0.3537307f, -0.05997235f, -0.875305f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.3242207f, 0.3537307f, -0.05997235f, -0.8753051f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.3242207f, 0.3537307f, -0.05997235f, -0.8753051f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.3242207f, 0.3537307f, -0.05997235f, -0.875305f), 1);
            api.Wait(15);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(-0.1663248f, 0.1262469f, -0.01727827f), 1);
            api.Wait(9);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(0.08356508f, -0.1040015f, -0.2763634f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(0.08356508f, -0.1040015f, -0.2763634f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(0.08356508f, -0.1040015f, -0.2763634f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(0.08356508f, -0.1040015f, -0.2763634f), 1);
            api.Wait(151);
            api.Vector3InputEvent("GDIOLeftHand/DeviceVelocity", new Vector3(-0.2230976f, 0.242756f, 0.4390653f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(1.264637f, -0.5494473f, -3.653656f), 1);
            api.Wait(8);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(-0.04654316f, 0.1727217f, -0.05482137f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(-0.04654316f, 0.1727217f, -0.05482137f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(-0.04654316f, 0.1727217f, -0.05482137f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(-0.04654316f, 0.1727217f, -0.05482137f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(0.005256521f, 0.25912f, -0.05364605f), 1);
            api.Wait(135);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(-0.4714297f, 0.4927675f, -0.9021386f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(-0.4714297f, 0.4927675f, -0.9021386f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(-0.4714297f, 0.4927675f, -0.9021386f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(-0.4714297f, 0.4927675f, -0.9021386f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(0.09194484f, -0.3161818f, -0.3747293f, 0.866691f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(-0.158634f, -3.510109f, 0.5494373f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(-6.036532f, 3.937657f, 68.20962f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.2741594f, -0.3381252f, 0.004612095f, 0.9002704f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(-0.3450488f, 0.965173f, -0.1076634f), 1);
            api.Wait(14);
            api.Vector3InputEvent("GDIOLeftHand/DevicePosition", new Vector3(-0.4655357f, 1.280606f, 0.5210646f), 1);
            api.Wait(8);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.3216082f, 0.3235348f, -0.04247967f, -0.8888694f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.3216082f, 0.3235348f, -0.04247967f, -0.8888695f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.3216082f, 0.3235348f, -0.04247967f, -0.8888695f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.3216082f, 0.3235348f, -0.04247967f, -0.8888694f), 1);
            api.Wait(135);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(0.03597054f, -0.1911204f, -0.04883435f), 1);
            api.Wait(15);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(-0.1412631f, -0.1546135f, 0.1416467f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(-0.1412631f, -0.1546135f, 0.1416467f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(-0.1412631f, -0.1546135f, 0.1416467f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(-0.1412631f, -0.1546135f, 0.1416467f), 1);
            api.Wait(9);
            api.Vector3InputEvent("GDIOLeftHand/DeviceVelocity", new Vector3(-0.1396219f, -0.4373107f, 0.4308105f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(1.659189f, -0.122762f, -0.2438764f), 1);
            api.Wait(135);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(-0.01810804f, 0.2078722f, 0.04247447f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(-0.01810804f, 0.2078722f, 0.04247447f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(-0.01810804f, 0.2078722f, 0.04247447f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(-0.01810804f, 0.2078722f, 0.04247447f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(0.09243184f, 0.3863676f, 0.02608258f), 1);
            api.Wait(8);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(-0.3568733f, 0.5466061f, 0.007832956f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(-0.3568733f, 0.5466061f, 0.007832956f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(-0.3568733f, 0.5466061f, 0.007832956f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(-0.3568733f, 0.5466061f, 0.007832956f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(0.2962488f, -0.1507725f, -0.6080464f, 0.7209604f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(1.151759f, 0.3890475f, -0.7428561f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(3.850618f, -16.04309f, 39.49788f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.2810114f, -0.2819053f, -0.01308553f, 0.9172736f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(-0.7466778f, 0.4979466f, 2.354195f), 1);
            api.Wait(8);
            api.Vector3InputEvent("GDIOLeftHand/DevicePosition", new Vector3(-0.5151045f, 1.143335f, 0.6505563f), 1);
            api.Wait(151);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.329308f, 0.287424f, -0.03599669f, -0.8986924f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.329308f, 0.287424f, -0.03599669f, -0.8986924f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.329308f, 0.287424f, -0.03599669f, -0.8986924f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.329308f, 0.287424f, -0.03599669f, -0.8986924f), 1);
            api.Wait(14);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(0.2161479f, 0.052488f, 0.1126409f), 1);
            api.Wait(135);
            api.Vector3InputEvent("GDIOHMD/DeviceVelocity", new Vector3(-0.09260546f, -0.006969483f, 0.1035661f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(-0.03601006f, -0.02289729f, 0.118463f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeVelocity", new Vector3(-0.09260546f, -0.006969483f, 0.1035661f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(-0.03601006f, -0.02289729f, 0.118463f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeVelocity", new Vector3(-0.09260546f, -0.006969483f, 0.1035661f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(-0.03601006f, -0.02289729f, 0.118463f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeVelocity", new Vector3(-0.09260546f, -0.006969483f, 0.1035661f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(-0.03601006f, -0.02289729f, 0.118463f), 1);
            api.Wait(8);
            api.Vector3InputEvent("GDIOLeftHand/DeviceVelocity", new Vector3(-0.009422299f, -0.264926f, 0.08598308f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(0.4652482f, -0.4437089f, 1.01119f), 1);
            api.Wait(9);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(0.1104645f, 0.3035344f, 0.1454215f), 1);
            api.Wait(133);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(0.06137232f, 0.1186853f, 0.1194662f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(-0.4423527f, -2.076349f, -0.08701773f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(0.06137232f, 0.1186853f, 0.1194662f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(-0.4423527f, -2.076349f, -0.08701773f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(0.06137232f, 0.1186853f, 0.1194662f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(-0.4423527f, -2.076349f, -0.08701773f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(0.06137232f, 0.1186853f, 0.1194662f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(-0.4423527f, -2.076349f, -0.08701773f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(0.3493263f, -0.1621611f, -0.5837891f, 0.7147484f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(2.22272f, -0.325381f, 0.07852075f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(15.52983f, 10.82314f, -4.448155f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.3078214f, -0.2130348f, -0.01571745f, 0.9271544f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(-1.022848f, -1.973797f, -0.2526194f), 1);
            api.Wait(7);
            api.Vector3InputEvent("GDIOLeftHand/DevicePosition", new Vector3(-0.5405245f, 1.032751f, 0.7101545f), 1);
            api.Wait(8);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.3382939f, 0.2429178f, -0.03714421f, -0.9083878f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.3382939f, 0.2429178f, -0.03714421f, -0.9083878f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.3382939f, 0.2429178f, -0.03714421f, -0.9083878f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.3382939f, 0.2429178f, -0.03714421f, -0.9083878f), 1);
            api.Wait(8);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(-0.3824443f, -0.1491166f, 0.08986545f), 1);
            api.Wait(135);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(0.3266108f, -0.04020813f, -0.3697718f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(0.3266108f, -0.04020813f, -0.3697718f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(0.3266108f, -0.04020813f, -0.3697718f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(0.3266108f, -0.04020813f, -0.3697718f), 1);
            api.ButtonPress("GDIOLeftHand/Grip", (ulong)(api.GetLastFPS() * 6), 1f);
            api.Wait(8);
            api.Vector3InputEvent("GDIOLeftHand/DeviceVelocity", new Vector3(-0.01462357f, -0.05972945f, 0.05979298f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(-0.4689263f, 0.07198313f, 0.1593706f), 1);
            api.Wait(8);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(-0.000537206f, 0.005111416f, -0.01557036f), 1);
            api.Wait(150);
            api.Vector3InputEvent("GDIOHMD/DeviceVelocity", new Vector3(-0.02250703f, -0.008757936f, 0.01410448f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(0.02940677f, -0.02828942f, 0.02145617f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(-0.7846442f, -0.9364824f, -0.5999279f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeVelocity", new Vector3(-0.02250703f, -0.008757936f, 0.01410448f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(0.02940677f, -0.02828942f, 0.02145617f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(-0.7846442f, -0.9364824f, -0.5999279f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeVelocity", new Vector3(-0.02250703f, -0.008757936f, 0.01410448f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(0.02940677f, -0.02828942f, 0.02145617f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(-0.7846442f, -0.9364824f, -0.5999279f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeVelocity", new Vector3(-0.02250703f, -0.008757936f, 0.01410448f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(0.02940677f, -0.02828942f, 0.02145617f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(-0.7846442f, -0.9364824f, -0.5999279f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(0.3443417f, -0.1505457f, -0.5948082f, 0.710611f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(-0.3629303f, 0.09420069f, -0.02778818f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(3.748876f, 2.115628f, -2.803247f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.3145379f, -0.206632f, -0.01217377f, 0.9264022f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(-2.145332f, -2.996566f, 2.162595f), 1);
            api.Wait(150);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.348072f, 0.2410396f, -0.04106898f, -0.9050189f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.348072f, 0.2410396f, -0.04106898f, -0.9050189f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.348072f, 0.2410396f, -0.04106898f, -0.9050189f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.348072f, 0.2410396f, -0.04106898f, -0.9050189f), 1);
            api.Wait(8);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(-0.1014816f, -0.01374844f, -0.2208904f), 1);
            api.Wait(8);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(0.111371f, 0.0236059f, 0.03246558f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(0.111371f, 0.0236059f, 0.03246558f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(0.111371f, 0.0236059f, 0.03246558f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(0.111371f, 0.0236059f, 0.03246558f), 1);
            api.Wait(143);
            api.Vector3InputEvent("GDIOLeftHand/DeviceVelocity", new Vector3(-0.007705233f, 0.02266804f, -0.03004839f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(0.03818061f, -0.1171573f, 0.1589925f), 1);
            api.Wait(142);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(-0.05491143f, -0.12879f, -0.09860197f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(-0.5200314f, -0.5044972f, -0.3486654f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(-0.05491143f, -0.12879f, -0.09860197f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(-0.5200314f, -0.5044972f, -0.3486654f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(-0.05491143f, -0.12879f, -0.09860197f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(-0.5200314f, -0.5044972f, -0.3486654f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(-0.05491143f, -0.12879f, -0.09860197f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(-0.5200314f, -0.5044972f, -0.3486654f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(0.3528974f, -0.1450863f, -0.5908321f, 0.7108663f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(-0.2904592f, 1.280968f, -0.04521575f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(9.614406f, 23.39202f, -5.802799f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.3114933f, -0.2148342f, -0.01133739f, 0.9255754f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(-0.0685527f, -0.07255652f, -0.06433871f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(-1.081825f, -2.150676f, 2.420539f), 1);
            api.Wait(16);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.341185f, 0.256174f, -0.04027456f, -0.9035185f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.341185f, 0.256174f, -0.04027456f, -0.9035185f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.341185f, 0.256174f, -0.04027456f, -0.9035185f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.341185f, 0.256174f, -0.04027456f, -0.9035185f), 1);
            api.Wait(8);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(-0.2342265f, -0.1038844f, -0.1437102f), 1);
            api.Wait(152);
            api.Vector3InputEvent("GDIOHMD/DeviceVelocity", new Vector3(0.08730934f, 0.02541379f, -0.07989327f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(0.1033138f, 0.135486f, -0.2166573f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeVelocity", new Vector3(0.08730934f, 0.02541379f, -0.07989327f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(0.1033138f, 0.135486f, -0.2166573f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeVelocity", new Vector3(0.08730934f, 0.02541379f, -0.07989327f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(0.1033138f, 0.135486f, -0.2166573f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeVelocity", new Vector3(0.08730934f, 0.02541379f, -0.07989327f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(0.1033138f, 0.135486f, -0.2166573f), 1);
            api.Wait(8);
            api.Vector3InputEvent("GDIOLeftHand/DeviceVelocity", new Vector3(-0.02560778f, 0.3365349f, -0.1785119f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(1.104581f, 0.5727672f, 0.1864738f), 1);
            api.Wait(143);
            api.Vector3InputEvent("GDIOLeftHand/DevicePosition", new Vector3(-0.5516729f, 1.1206f, 0.6486133f), 1);
            api.Wait(14);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(-0.1685715f, -0.1932027f, -0.2254683f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(-0.2020404f, -0.7389982f, 0.03986691f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(-0.1685715f, -0.1932027f, -0.2254683f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(-0.2020404f, -0.7389982f, 0.03986691f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(-0.1685715f, -0.1932027f, -0.2254683f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(-0.2020404f, -0.7389982f, 0.03986691f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(-0.1685715f, -0.1932027f, -0.2254683f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(-0.2020404f, -0.7389982f, 0.03986691f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(0.4194094f, 0.02587841f, -0.597441f, 0.683001f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(0.8055069f, -0.2614119f, -0.6810479f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(2.450086f, 5.607271f, -0.4174495f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.2912581f, -0.2528129f, -0.02052988f, 0.922406f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(-0.1016641f, -0.1889768f, -0.1302084f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(-0.2990743f, -0.1411056f, 0.8301206f), 1);
            api.Wait(150);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.2995737f, 0.3162796f, -0.01681128f, -0.8999668f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.2995737f, 0.3162796f, -0.01681128f, -0.8999668f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.2995737f, 0.3162796f, -0.01681128f, -0.8999668f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.2995737f, 0.3162796f, -0.01681128f, -0.8999668f), 1);
            api.Wait(134);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(0.08227351f, -0.2383489f, -0.1247071f), 1);
            api.Wait(8);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(0.1036364f, 0.2461693f, 0.2635008f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(0.1036364f, 0.2461693f, 0.2635008f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(0.1036364f, 0.2461693f, 0.2635008f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(0.1036364f, 0.2461693f, 0.2635008f), 1);
            api.Wait(7);
            api.Vector3InputEvent("GDIOLeftHand/DeviceVelocity", new Vector3(0.07351203f, 0.3568022f, -0.2317444f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(-0.03507181f, 0.2585534f, -0.1478979f), 1);
            api.Wait(152);
            api.Vector3InputEvent("GDIOLeftHand/DevicePosition", new Vector3(-0.5329728f, 1.300356f, 0.5503762f), 1);
            api.Wait(8);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(-0.3140817f, 0.02430307f, -0.3025714f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(-0.2321451f, 2.045373f, -1.017164f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(-0.3140817f, 0.02430307f, -0.3025714f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(-0.2321451f, 2.045373f, -1.017164f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(-0.3140817f, 0.02430307f, -0.3025714f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(-0.2321451f, 2.045373f, -1.017164f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(-0.3140817f, 0.02430307f, -0.3025714f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(-0.2321451f, 2.045373f, -1.017164f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(0.3769753f, 0.02580545f, -0.6378701f, 0.6710779f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(-0.09406191f, 0.5116518f, -0.1476436f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(1.301152f, -3.797407f, 9.905154f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.2709213f, -0.2999608f, -0.0266688f, 0.9142833f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(0.01031961f, -0.1283786f, -0.03151703f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(0.6010898f, 0.9487888f, 1.334406f), 1);
            api.Wait(150);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.2244724f, 0.3406252f, 0.01081695f, -0.9129456f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.2244724f, 0.3406252f, 0.01081695f, -0.9129456f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.2244724f, 0.3406252f, 0.01081695f, -0.9129456f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.2244724f, 0.3406252f, 0.01081695f, -0.9129456f), 1);
            api.Wait(142);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(0.2376059f, 0.5089684f, 0.5288073f), 1);
            api.Wait(15);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(-0.2535228f, 0.06117646f, 0.1693975f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(-0.2535228f, 0.06117646f, 0.1693975f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(-0.2535228f, 0.06117646f, 0.1693975f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(-0.2535228f, 0.06117646f, 0.1693975f), 1);
            api.Wait(143);
            api.Vector3InputEvent("GDIOHMD/DeviceVelocity", new Vector3(0.01038914f, 0.0582981f, 0.0055339f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeVelocity", new Vector3(0.01038914f, 0.0582981f, 0.0055339f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeVelocity", new Vector3(0.01038914f, 0.0582981f, 0.0055339f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeVelocity", new Vector3(0.01038914f, 0.0582981f, 0.0055339f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceVelocity", new Vector3(-0.06239366f, 0.2051882f, 0.198617f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(-0.5964438f, -0.1621492f, -0.4122423f), 1);
            api.Wait(8);
            api.Vector3InputEvent("GDIOLeftHand/DevicePosition", new Vector3(-0.5735552f, 1.542221f, 0.5639678f), 1);
            api.Wait(159);
            api.Vector3InputEvent("GDIOHMD/DevicePosition", new Vector3(-0.06587493f, 1.655588f, 0.2979726f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(-0.3899404f, 0.2401893f, -0.1559439f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(2.119897f, 0.2988041f, 1.619961f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyePosition", new Vector3(-0.09283572f, 1.660267f, 0.277875f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(-0.3899404f, 0.2401893f, -0.1559439f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(2.119897f, 0.2988041f, 1.619961f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(-0.3899404f, 0.2401893f, -0.1559439f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(2.119897f, 0.2988041f, 1.619961f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyePosition", new Vector3(-0.06587493f, 1.655588f, 0.2979726f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(-0.3899404f, 0.2401893f, -0.1559439f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(2.119897f, 0.2988041f, 1.619961f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(0.1539627f, -0.3055779f, -0.6207598f, 0.7053899f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(1.031621f, -3.288181f, -1.00791f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(35.65444f, 14.36374f, 3.693683f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.2655975f, -0.2819744f, -0.02817395f, 0.9214959f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(0.004002061f, 0.3833083f, -0.009436172f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(1.830279f, 0.5843192f, -1.663876f), 1);
            api.Wait(149);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.1165534f, 0.2961935f, 0.02755634f, -0.9475892f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.1165534f, 0.2961935f, 0.02755634f, -0.9475893f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.1165534f, 0.2961935f, 0.02755634f, -0.9475893f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.1165534f, 0.2961935f, 0.02755634f, -0.9475892f), 1);
            api.Wait(143);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(-0.1478023f, 0.06760531f, 0.1970956f), 1);
            api.Wait(159);
            api.Vector3InputEvent("GDIOHMD/DeviceVelocity", new Vector3(-0.1831829f, -0.003822656f, 0.1675095f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(-0.1234285f, -0.04543915f, 0.06064411f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeVelocity", new Vector3(-0.1831829f, -0.003822656f, 0.1675095f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(-0.1234285f, -0.04543915f, 0.06064411f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeVelocity", new Vector3(-0.1831829f, -0.003822656f, 0.1675095f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(-0.1234285f, -0.04543915f, 0.06064411f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeVelocity", new Vector3(-0.1831829f, -0.003822656f, 0.1675095f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(-0.1234285f, -0.04543915f, 0.06064411f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceVelocity", new Vector3(-0.08081368f, -0.04485265f, 0.4085935f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(-0.4533933f, -0.01943612f, -0.300534f), 1);
            api.Wait(15);
            api.Vector3InputEvent("GDIOLeftHand/DevicePosition", new Vector3(-0.6179508f, 1.568828f, 0.8262979f), 1);
            api.Wait(160);
            api.Vector3InputEvent("GDIOHMD/DevicePosition", new Vector3(-0.1556142f, 1.661235f, 0.3785995f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(0.1535165f, 0.3538364f, 0.1042969f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(-0.6876212f, -1.083938f, -0.02570098f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyePosition", new Vector3(-0.185959f, 1.665044f, 0.363856f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(0.1535164f, 0.3538364f, 0.1042969f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(-0.687621f, -1.083938f, -0.02570101f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(0.1535164f, 0.3538364f, 0.1042969f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(-0.687621f, -1.083938f, -0.02570101f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyePosition", new Vector3(-0.1556142f, 1.661235f, 0.3785995f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(0.1535165f, 0.3538364f, 0.1042969f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(-0.6876212f, -1.083938f, -0.02570098f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(0.02313584f, -0.4653702f, -0.5733299f, 0.6739349f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(-0.3810357f, 0.2427133f, -0.6356596f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(-9.532889f, 2.208238f, 12.16672f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.2855514f, -0.1429662f, -0.06070937f, 0.9456931f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(0.1096392f, 0.3853329f, 0.06434786f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(0.9595963f, 1.417192f, -2.832793f), 1);
            api.Wait(150);
            api.Vector3InputEvent("GDIOHMD/RightEyePosition", new Vector3(-0.1542247f, 1.656135f, 0.4161342f), 1);
            api.Wait(8);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.1401107f, 0.1940929f, 0.02213677f, -0.9706734f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.1401107f, 0.1940929f, 0.02213677f, -0.9706734f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.1401107f, 0.1940929f, 0.02213677f, -0.9706734f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.1401107f, 0.1940929f, 0.02213677f, -0.9706734f), 1);
            api.Wait(143);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(0.03938249f, 0.09683417f, -0.2347906f), 1);
            api.Wait(149);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(0.3622059f, -0.02444632f, -0.2449336f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(0.3622059f, -0.02444632f, -0.2449336f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(0.3622059f, -0.02444632f, -0.2449336f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(0.3622059f, -0.02444632f, -0.2449336f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceVelocity", new Vector3(-0.06113169f, -0.07948342f, 0.2213228f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(0.1926378f, 0.1642708f, 0.2532037f), 1);
            api.Wait(7);
            api.Vector3InputEvent("GDIOLeftHand/DevicePosition", new Vector3(-0.6776549f, 1.503356f, 1.006706f), 1);
            api.Wait(8);
            api.Vector3InputEvent("GDIOHMD/DevicePosition", new Vector3(-0.2370996f, 1.662003f, 0.4587164f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(-0.05623188f, 0.2774747f, 0.07784584f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(0.1727426f, -0.0815175f, -1.912178f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyePosition", new Vector3(-0.2694615f, 1.664217f, 0.4486916f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(-0.05623187f, 0.2774747f, 0.07784583f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(0.1727426f, -0.08151744f, -1.912178f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(-0.05623187f, 0.2774747f, 0.07784583f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(0.1727426f, -0.08151744f, -1.912178f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyePosition", new Vector3(-0.2370996f, 1.662003f, 0.4587164f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(-0.05623188f, 0.2774747f, 0.07784584f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(0.1727426f, -0.0815175f, -1.912178f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(0.03780564f, -0.4648076f, -0.5527545f, 0.6906425f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(0.5249743f, 0.5776955f, -0.2880166f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(1.153706f, 0.405406f, -10.07478f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.3096626f, -0.06420754f, -0.05443954f, 0.9471129f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(0.1366783f, 0.1573581f, 0.1938662f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(0.8695077f, 0.3951609f, 2.379215f), 1);
            api.Wait(169);
            api.Vector3InputEvent("GDIOHMD/DeviceVelocity", new Vector3(-0.07303372f, -0.01601375f, 0.07406742f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeVelocity", new Vector3(-0.07303372f, -0.01601375f, 0.07406742f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeVelocity", new Vector3(-0.07303372f, -0.01601375f, 0.07406742f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeVelocity", new Vector3(-0.07303372f, -0.01601375f, 0.07406742f), 1);
            api.Wait(143);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.1465453f, 0.1434388f, 0.005236027f, -0.9787351f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.1465453f, 0.1434388f, 0.005236027f, -0.9787351f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.1465453f, 0.1434388f, 0.005236027f, -0.9787351f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.1465453f, 0.1434388f, 0.005236027f, -0.9787351f), 1);
            api.Wait(7);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(0.04234792f, -0.04836363f, 0.05794149f), 1);
            api.Wait(142);
            api.Vector3InputEvent("GDIOHMD/RightEyePosition", new Vector3(-0.2250878f, 1.656025f, 0.4870858f), 1);
            api.Wait(15);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(0.006685609f, 0.01410645f, 0.03473865f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(0.006685609f, 0.01410645f, 0.03473865f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(0.006685609f, 0.01410645f, 0.03473865f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(0.006685609f, 0.01410645f, 0.03473865f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceVelocity", new Vector3(0.02801037f, -0.02973406f, 0.03152834f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(-0.1676848f, 0.003492959f, 0.1980041f), 1);
            api.Wait(151);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(-0.03115263f, 0.003945217f, -0.0128371f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(-0.5564528f, -0.9190011f, 1.053654f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(-0.03115263f, 0.003945217f, -0.0128371f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(-0.5564528f, -0.9190011f, 1.053654f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(-0.03115263f, 0.003945217f, -0.0128371f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(-0.5564528f, -0.9190011f, 1.053654f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(-0.03115263f, 0.003945217f, -0.0128371f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(-0.5564528f, -0.9190011f, 1.053654f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(0.06061891f, -0.4443872f, -0.5596933f, 0.696842f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(0.2886552f, -0.7324978f, -0.1298182f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(3.842784f, 3.374004f, 7.23875f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.3297892f, -0.02338155f, -0.04809146f, 0.9425389f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(-0.01206153f, 0.01175923f, -0.01635762f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(-0.5415889f, 2.246253f, -2.79212f), 1);
            api.Wait(177);
            api.Vector3InputEvent("GDIOHMD/DeviceVelocity", new Vector3(-0.0172721f, -0.004995605f, -0.02765507f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeVelocity", new Vector3(-0.0172721f, -0.004995605f, -0.02765507f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeVelocity", new Vector3(-0.0172721f, -0.004995605f, -0.02765507f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeVelocity", new Vector3(-0.0172721f, -0.004995605f, -0.02765507f), 1);
            api.Wait(142);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.1423978f, 0.1511269f, 0.01018502f, -0.9781512f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.1423978f, 0.1511269f, 0.01018502f, -0.9781512f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.1423978f, 0.1511269f, 0.01018502f, -0.9781512f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.1423978f, 0.1511269f, 0.01018502f, -0.9781512f), 1);
            api.Wait(16);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(-0.1066474f, 0.03377653f, -0.02960017f), 1);
            api.Wait(156);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(0.1097445f, 0.005945403f, 0.1091629f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(0.1097445f, 0.005945403f, 0.1091629f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(0.1097445f, 0.005945403f, 0.1091629f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(0.1097445f, 0.005945403f, 0.1091629f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(0.1563257f, 0.02354161f, -0.005347247f), 1);
            api.Wait(153);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(-0.02015145f, 0.06911054f, -0.09850048f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(-0.02015145f, 0.06911051f, -0.09850045f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(-0.02015145f, 0.06911051f, -0.09850045f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(-0.02015145f, 0.06911054f, -0.09850048f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(0.06513689f, -0.4385197f, -0.5550979f, 0.7037926f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(0.213072f, 0.01072288f, -0.011919f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(-7.692737f, -2.059048f, 11.56211f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.3187743f, -0.02949309f, -0.04635517f, 0.946237f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(0.9964214f, 0.1788731f, 0.5377881f), 1);
            api.Wait(191);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.1516024f, 0.1535014f, 0.009060942f, -0.9764078f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.1516024f, 0.1535014f, 0.009060942f, -0.9764077f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.1516024f, 0.1535014f, 0.009060942f, -0.9764077f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.1516024f, 0.1535014f, 0.009060942f, -0.9764078f), 1);
            api.Wait(8);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(-0.1331291f, 0.2194458f, 0.07361387f), 1);
            api.Wait(19);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(0.001020575f, 0.001772903f, -0.2361895f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(0.001020575f, 0.001772903f, -0.2361895f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(0.001020575f, 0.001772903f, -0.2361895f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(0.001020575f, 0.001772903f, -0.2361895f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(-0.02246483f, 0.03682551f, 0.1026657f), 1);
            api.Wait(15);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(-0.3833051f, -0.9692007f, -0.2457855f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(-0.3833051f, -0.9692007f, -0.2457855f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(-0.3833051f, -0.9692007f, -0.2457855f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(-0.3833051f, -0.9692007f, -0.2457855f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(0.06382281f, -0.4341398f, -0.5579329f, 0.7043865f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(0.3175069f, -0.0810307f, -0.2230022f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(0.3445513f, 1.650623f, -7.13994f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.319532f, -0.02897314f, -0.04801195f, 0.9459147f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(0.3744481f, -0.232649f, 1.158435f), 1);
            api.Wait(17);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.1522203f, 0.1554596f, 0.009294845f, -0.9759995f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.1522203f, 0.1554596f, 0.009294845f, -0.9759995f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.1522203f, 0.1554596f, 0.009294845f, -0.9759995f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.1522203f, 0.1554596f, 0.009294845f, -0.9759995f), 1);
            api.Wait(8);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(0.06368478f, 0.0570382f, 0.1862363f), 1);
            api.Wait(10);
            api.Vector3InputEvent("GDIOLeftHand/DeviceVelocity", new Vector3(0.02596986f, 0.03831796f, -0.04550189f), 1);
            api.Wait(15);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(0.1127973f, 0.02553934f, -0.1786292f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(0.1127973f, 0.02553934f, -0.1786292f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(0.1127973f, 0.02553934f, -0.1786292f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(0.1127973f, 0.02553934f, -0.1786292f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(-0.1124164f, -0.004700385f, -0.1190112f), 1);
            api.Wait(16);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(0.3018993f, -0.5792215f, 0.5561209f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(0.3018993f, -0.5792215f, 0.5561209f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(0.3018993f, -0.5792215f, 0.5561209f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(0.3018993f, -0.5792215f, 0.5561209f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(0.05665912f, -0.4356643f, -0.5596969f, 0.7026562f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(0.4290077f, -0.5576049f, -0.366434f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(-1.798109f, 3.403244f, 2.341702f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.3185535f, -0.03020045f, -0.04914913f, 0.946148f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(-0.8179135f, -0.04875389f, -1.747446f), 1);
            api.Wait(161);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.1520948f, 0.1630574f, 0.00806827f, -0.9747894f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(-0.004091904f, -0.1496997f, -0.0160198f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.1520948f, 0.1630574f, 0.008068271f, -0.9747894f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(-0.004091902f, -0.1496997f, -0.01601979f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.1520948f, 0.1630574f, 0.008068271f, -0.9747894f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(-0.004091902f, -0.1496997f, -0.01601979f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.1520948f, 0.1630574f, 0.00806827f, -0.9747894f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(-0.004091904f, -0.1496997f, -0.0160198f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(-0.1046631f, -0.1049007f, -0.1297155f), 1);
            api.Wait(15);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(-0.002505612f, -0.4584638f, -0.0649729f), 1);
            api.Wait(150);
            api.Vector3InputEvent("GDIOHMD/DeviceVelocity", new Vector3(0.09570744f, -0.03418933f, -0.1534225f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeVelocity", new Vector3(0.09570744f, -0.03418933f, -0.1534225f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeVelocity", new Vector3(0.09570744f, -0.03418933f, -0.1534225f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeVelocity", new Vector3(0.09570744f, -0.03418933f, -0.1534225f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceVelocity", new Vector3(0.1323811f, 0.01652492f, -0.4283132f), 1);
            api.Wait(167);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(0.3024302f, -0.5008662f, -0.114304f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(0.3024302f, -0.5008662f, -0.114304f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(0.3024302f, -0.5008662f, -0.114304f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(0.3024302f, -0.5008662f, -0.114304f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DevicePosition", new Vector3(-0.6161705f, 1.491748f, 0.8796014f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(-0.3996308f, 0.5326279f, -0.06669662f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceVelocity", new Vector3(0.08622991f, -0.00045783f, 0.04646456f), 1);
            api.Wait(143);
            api.Vector3InputEvent("GDIOHMD/LeftEyePosition", new Vector3(-0.2277158f, 1.643967f, 0.355776f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyePosition", new Vector3(-0.1687897f, 1.63913f, 0.3891688f), 1);
            api.Wait(13);
            api.Vector3InputEvent("GDIOHMD/DevicePosition", new Vector3(-0.1877592f, 1.64063f, 0.3621152f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(0.1002081f, -0.07239307f, -3.475699f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(0.1002081f, -0.07239307f, -3.475699f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(0.1002081f, -0.07239307f, -3.475699f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyePosition", new Vector3(-0.1877592f, 1.64063f, 0.3621152f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(0.1002081f, -0.07239307f, -3.475699f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(-0.0792677f, -0.4099393f, -0.5153271f, 0.7484013f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(0.004147198f, 0.110678f, 0.07009631f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(-15.78087f, -13.34767f, -6.675869f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.2768254f, -0.1934082f, -0.01582654f, 0.9411219f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(0.5611153f, 0.8202328f, -3.959747f), 1);
            api.Wait(159);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.1942044f, 0.2973248f, -0.02684517f, -0.9344314f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(-0.005064374f, -0.3073437f, 0.0780911f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.1942044f, 0.2973248f, -0.02684517f, -0.9344314f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(-0.005064374f, -0.3073437f, 0.0780911f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.1942044f, 0.2973248f, -0.02684517f, -0.9344314f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(-0.005064374f, -0.3073437f, 0.0780911f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.1942044f, 0.2973248f, -0.02684517f, -0.9344314f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(-0.005064374f, -0.3073437f, 0.0780911f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(-0.1220658f, -0.725974f, 0.06664869f), 1);
            api.Wait(152);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(-0.1288893f, -0.3416994f, -0.2641128f), 1);
            api.Wait(159);
            api.Vector3InputEvent("GDIOLeftHand/DeviceVelocity", new Vector3(0.1875497f, -0.1920599f, -0.2413327f), 1);
            api.Wait(151);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(-0.4033139f, -0.1256335f, 0.08774973f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(-0.4033139f, -0.1256335f, 0.08774973f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(-0.4033139f, -0.1256335f, 0.08774973f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(-0.4033139f, -0.1256335f, 0.08774973f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DevicePosition", new Vector3(-0.4490308f, 1.363965f, 0.5286423f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(-0.04812211f, 0.2461477f, 0.5815909f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceVelocity", new Vector3(-0.03380219f, 0.00139959f, -0.01698018f), 1);
            api.Wait(18);
            api.Vector3InputEvent("GDIOHMD/LeftEyePosition", new Vector3(-0.1053001f, 1.644603f, 0.2725721f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyePosition", new Vector3(-0.0515648f, 1.640126f, 0.3138423f), 1);
            api.Wait(157);
            api.Vector3InputEvent("GDIOHMD/DevicePosition", new Vector3(-0.07022026f, 1.644566f, 0.2866114f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceVelocity", new Vector3(0.0558968f, 0.023118f, -0.04595526f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(2.001921f, 0.2929768f, 0.2748743f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeVelocity", new Vector3(0.0558968f, 0.023118f, -0.04595526f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(2.001921f, 0.2929768f, 0.2748743f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeVelocity", new Vector3(0.0558968f, 0.023118f, -0.04595526f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(2.001921f, 0.2929768f, 0.2748743f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyePosition", new Vector3(-0.07022026f, 1.644566f, 0.2866114f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeVelocity", new Vector3(0.0558968f, 0.023118f, -0.04595526f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(2.001921f, 0.2929768f, 0.2748743f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(-0.04380042f, -0.430984f, -0.3457479f, 0.8323417f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(1.343542f, -1.66698f, 0.3956408f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(4.005618f, 11.2058f, 7.682683f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.2563737f, -0.351742f, 8.274878E-05f, 0.9003056f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(1.521851f, 1.172666f, -2.12006f), 1);
            api.Wait(151);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.1600119f, 0.3039221f, -0.01813847f, -0.938988f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(-0.1416873f, 0.2151722f, -0.04848054f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.1600119f, 0.3039221f, -0.01813847f, -0.938988f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(-0.1416873f, 0.2151722f, -0.04848054f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.1600119f, 0.3039221f, -0.01813847f, -0.938988f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(-0.1416873f, 0.2151722f, -0.04848054f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.1600119f, 0.3039221f, -0.01813847f, -0.938988f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(-0.1416873f, 0.2151722f, -0.04848054f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(-0.1164297f, 0.0138357f, -0.05900865f), 1);
            api.Wait(167);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(-0.03447835f, 0.1298635f, 0.1135227f), 1);
            api.Wait(158);
            api.Vector3InputEvent("GDIOLeftHand/DeviceVelocity", new Vector3(-0.04171072f, 0.07335376f, 0.04982707f), 1);
            api.Wait(150);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(0.03362005f, -0.07322534f, 0.07056797f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(0.03362005f, -0.07322534f, 0.07056797f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(0.03362005f, -0.07322534f, 0.07056797f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(0.03362005f, -0.07322534f, 0.07056797f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DevicePosition", new Vector3(-0.3212401f, 1.215152f, 0.4716609f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(-0.03066094f, 0.04508647f, -0.001988941f), 1);
            api.Wait(175);
            api.Vector3InputEvent("GDIOHMD/DeviceVelocity", new Vector3(-0.0239371f, -0.002146327f, 0.009700791f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(-0.5337554f, -0.7137364f, -0.5320319f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeVelocity", new Vector3(-0.0239371f, -0.002146327f, 0.009700791f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(-0.5337554f, -0.7137364f, -0.5320319f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeVelocity", new Vector3(-0.0239371f, -0.002146327f, 0.009700791f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(-0.5337554f, -0.7137364f, -0.5320319f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeVelocity", new Vector3(-0.0239371f, -0.002146327f, 0.009700791f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(-0.5337554f, -0.7137364f, -0.5320319f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(0.01755996f, -0.3716201f, -0.2846734f, 0.8834882f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(-0.01222451f, 0.04179985f, -0.03336016f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(1.42552f, -1.623087f, -1.133391f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.2439662f, -0.3442334f, -0.002203027f, 0.9066306f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(0.6363098f, -0.3730942f, 0.7635759f), 1);
            api.Wait(18);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.1558585f, 0.2844729f, -0.02025418f, -0.945713f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(-0.007763519f, 0.007154053f, 0.009320757f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.1558585f, 0.2844729f, -0.02025418f, -0.945713f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(-0.007763519f, 0.007154053f, 0.009320757f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.1558585f, 0.2844729f, -0.02025418f, -0.945713f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(-0.007763519f, 0.007154053f, 0.009320757f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.1558585f, 0.2844729f, -0.02025418f, -0.945713f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(-0.007763519f, 0.007154053f, 0.009320757f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(0.001779018f, -0.01807264f, 0.0471862f), 1);
            api.Wait(8);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(0.1086533f, -0.1361309f, 0.0359282f), 1);
            api.Wait(7);
            api.Vector3InputEvent("GDIOLeftHand/DeviceVelocity", new Vector3(-0.01456279f, -0.0289204f, 0.001022038f), 1);
            api.Wait(9);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(-0.07777572f, 0.003678575f, 0.01110698f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(-0.07777572f, 0.003678575f, 0.01110698f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(-0.07777572f, 0.003678575f, 0.01110698f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(-0.07777572f, 0.003678575f, 0.01110698f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(0.103628f, 0.0604637f, 0.06740072f), 1);
            api.Wait(17);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(0.5321989f, -0.4114562f, 0.1240531f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(0.5321987f, -0.4114561f, 0.124053f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(0.5321987f, -0.4114561f, 0.124053f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(0.5321989f, -0.4114562f, 0.1240531f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(0.019742f, -0.3697915f, -0.2837438f, 0.8845078f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(-0.1320508f, 0.3663571f, -0.1315358f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(-2.04775f, -0.3553587f, -0.5097784f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.2451142f, -0.344146f, -0.0009415739f, 0.9063563f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(1.140213f, 0.3309129f, -0.0669404f), 1);
            api.Wait(17);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.1575818f, 0.2855433f, -0.02064638f, -0.9450961f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.1575818f, 0.2855433f, -0.02064638f, -0.9450961f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.1575818f, 0.2855433f, -0.02064638f, -0.9450961f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.1575818f, 0.2855433f, -0.02064638f, -0.9450961f), 1);
            api.Wait(8);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(-0.02451375f, -0.01334688f, -0.0557969f), 1);
            api.Wait(16);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(0.09786442f, 0.09439993f, 0.07339361f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(0.09786442f, 0.09439993f, 0.07339361f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(0.09786442f, 0.09439993f, 0.07339361f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(0.09786442f, 0.09439993f, 0.07339361f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(0.04175261f, -0.01672188f, 0.03310353f), 1);
            api.Wait(19);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(-1.231867f, 0.6986665f, 0.6495519f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(-1.231867f, 0.6986664f, 0.6495517f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(-1.231867f, 0.6986664f, 0.6495517f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(-1.231867f, 0.6986665f, 0.6495519f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(0.0212074f, -0.3702507f, -0.2836311f, 0.8843178f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(0.01227599f, 0.1463297f, 0.1416598f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(0.9007538f, 0.5898055f, 0.1547625f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.2465935f, -0.3440866f, 0.00115762f, 0.9059772f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(0.2988365f, 0.2772387f, -0.7353534f), 1);
            api.Wait(174);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.1579491f, 0.2854615f, -0.02280665f, -0.9450099f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.1579491f, 0.2854615f, -0.02280665f, -0.9450099f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.1579491f, 0.2854615f, -0.02280665f, -0.9450099f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.1579491f, 0.2854615f, -0.02280665f, -0.9450099f), 1);
            api.Wait(194);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(0.1041772f, -0.05034326f, 0.05583477f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(0.1041772f, -0.05034325f, 0.05583476f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(0.1041772f, -0.05034325f, 0.05583476f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(0.1041772f, -0.05034326f, 0.05583477f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(0.08740612f, -0.06483442f, -0.05876428f), 1);
            api.Wait(162);
            api.Vector3InputEvent("GDIOLeftHand/DeviceVelocity", new Vector3(-0.03685221f, -0.1197651f, -0.0424193f), 1);
            api.Wait(160);
            api.Vector3InputEvent("GDIOHMD/DeviceVelocity", new Vector3(-0.09541321f, -0.1780136f, 0.002652295f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(-0.1690879f, 0.4702611f, 0.03644286f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeVelocity", new Vector3(-0.09541321f, -0.1780136f, 0.002652295f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(-0.1690879f, 0.4702611f, 0.03644286f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeVelocity", new Vector3(-0.09541321f, -0.1780136f, 0.002652295f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(-0.1690879f, 0.4702611f, 0.03644286f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeVelocity", new Vector3(-0.09541321f, -0.1780136f, 0.002652295f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(-0.1690879f, 0.4702611f, 0.03644286f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(0.2633278f, -1.417171f, 2.565337f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(-0.06545041f, 0.03127243f, -0.08497983f), 1);
            api.Wait(176);
            api.Vector3InputEvent("GDIOLeftHand/DevicePosition", new Vector3(-0.3700265f, 1.069613f, 0.4085236f), 1);
            api.Wait(149);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(-1.328399f, 0.7235425f, -1.420699f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(-1.328399f, 0.7235425f, -1.420699f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(-1.328399f, 0.7235425f, -1.420699f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(-1.328399f, 0.7235425f, -1.420699f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(0.3836536f, -0.564427f, 0.235936f, 0.6917849f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(0.734064f, 1.780695f, 0.6880441f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(9.766026f, 1.794764f, -9.337404f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.2646579f, -0.3668556f, 0.01961937f, 0.8916211f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(-1.596098f, 2.149484f, -1.685107f), 1);
            api.Wait(160);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.3561231f, 0.3685992f, -0.09371334f, -0.853539f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.3561231f, 0.3685992f, -0.09371334f, -0.853539f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.3561231f, 0.3685992f, -0.09371334f, -0.853539f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.3561231f, 0.3685992f, -0.09371334f, -0.853539f), 1);
            api.Wait(14);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(-0.03380054f, -0.1077136f, -0.1367602f), 1);
            api.Wait(168);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(-0.03331989f, 0.07418624f, 0.05727616f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(-0.03331988f, 0.07418622f, 0.05727615f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(-0.03331988f, 0.07418622f, 0.05727615f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(-0.03331989f, 0.07418624f, 0.05727616f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceVelocity", new Vector3(-0.04415643f, -0.01330163f, 0.07551517f), 1);
            api.Wait(151);
            api.Vector3InputEvent("GDIOHMD/DeviceVelocity", new Vector3(-0.01395334f, -0.002375282f, 0.02382826f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(-0.02225852f, 0.08847357f, -0.01202675f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeVelocity", new Vector3(-0.01395334f, -0.002375282f, 0.02382826f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(-0.02225852f, 0.08847357f, -0.01202675f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeVelocity", new Vector3(-0.01395334f, -0.002375282f, 0.02382826f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(-0.02225852f, 0.08847357f, -0.01202675f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeVelocity", new Vector3(-0.01395334f, -0.002375282f, 0.02382826f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(-0.02225852f, 0.08847357f, -0.01202675f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(-0.3008344f, -0.1162668f, 0.5382364f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(0.03601217f, -0.01534055f, 0.01723139f), 1);
            api.Wait(8);
            api.Vector3InputEvent("GDIOHMD/DevicePosition", new Vector3(-0.1428806f, 1.580156f, 0.3124987f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyePosition", new Vector3(-0.1428806f, 1.580156f, 0.3124987f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DevicePosition", new Vector3(-0.438793f, 0.9714316f, 0.41061f), 1);
            api.Wait(159);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(-0.6793155f, 0.06304186f, 0.09959552f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(-0.6793155f, 0.06304186f, 0.09959552f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(-0.6793155f, 0.06304186f, 0.09959552f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(-0.6793155f, 0.06304186f, 0.09959552f), 1);
            api.ButtonPress("GDIOLeftHand/Grip", (ulong)(api.GetLastFPS() * 3), 1f);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(0.4087167f, -0.5561982f, 0.3221408f, 0.6479348f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(0.1385104f, 0.2458853f, 2.200679f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(-22.22303f, -24.71002f, 2.720088f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.2685687f, -0.3405389f, 0.01722834f, 0.9008925f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(-0.6731248f, -0.4512783f, 1.48336f), 1);
            api.Wait(209);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.3648507f, 0.3212965f, -0.08405496f, -0.8698203f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.3648507f, 0.3212965f, -0.08405496f, -0.8698203f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.3648507f, 0.3212965f, -0.08405496f, -0.8698203f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.3648507f, 0.3212965f, -0.08405496f, -0.8698203f), 1);
            api.Wait(14);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(0.2099842f, 0.1231412f, -0.009337486f), 1);
            api.Wait(9);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(-0.1617303f, 0.415318f, -0.03181019f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(-0.1617303f, 0.415318f, -0.03181019f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(-0.1617303f, 0.415318f, -0.03181019f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(-0.1617303f, 0.415318f, -0.03181019f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceVelocity", new Vector3(-0.09043202f, 0.04904068f, 0.3376172f), 1);
            api.Wait(8);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(-0.03813523f, 0.2606098f, 0.1580134f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(-0.03813523f, 0.2606098f, 0.1580134f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(-0.03813523f, 0.2606098f, 0.1580134f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(-0.03813523f, 0.2606098f, 0.1580134f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(-0.491182f, 0.2247081f, 0.1005263f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(0.01550482f, 0.4612293f, -0.01195843f), 1);
            api.Wait(17);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(-1.618903f, 1.178475f, -0.8216631f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(-1.618903f, 1.178475f, -0.821663f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(-1.618903f, 1.178475f, -0.821663f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(-1.618903f, 1.178475f, -0.8216631f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(0.3974458f, -0.5314971f, 0.3248059f, 0.6738314f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(-0.8437029f, 0.2593468f, -0.461268f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(5.355232f, -3.355132f, -8.450952f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.2695545f, -0.300616f, 0.009920562f, 0.9148071f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(-1.27332f, 0.6779731f, 1.331041f), 1);
            api.Wait(17);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.3573302f, 0.3045908f, -0.07751361f, -0.8795063f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.3573302f, 0.3045908f, -0.07751361f, -0.8795063f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.3573302f, 0.3045908f, -0.07751361f, -0.8795063f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.3573302f, 0.3045908f, -0.07751361f, -0.8795063f), 1);
            api.Wait(8);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(-0.103913f, -0.08833225f, -0.2462681f), 1);
            api.Wait(9);
            api.Vector3InputEvent("GDIOLeftHand/DevicePosition", new Vector3(-0.4721318f, 0.9619719f, 0.5074385f), 1);
            api.Wait(8);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(-0.08033483f, 0.04550367f, -0.04069948f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(-0.08033483f, 0.04550367f, -0.04069948f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(-0.08033483f, 0.04550367f, -0.04069948f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(-0.08033483f, 0.04550367f, -0.04069948f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(-0.03862414f, 0.2919074f, -0.3072855f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(-0.05579066f, 0.4318618f, 0.09442723f), 1);
            api.Wait(18);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(-0.1650206f, 0.4546945f, 0.057297f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(-0.1650206f, 0.4546945f, 0.057297f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(-0.1650206f, 0.4546945f, 0.057297f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(-0.1650206f, 0.4546945f, 0.057297f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(0.3950792f, -0.5272325f, 0.3153553f, 0.6830003f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(0.5761231f, 0.3269232f, 1.560962f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(-13.2213f, 2.319196f, 12.42122f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.2686763f, -0.2879049f, 0.01075669f, 0.9191345f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(-0.04957732f, 1.447162f, -0.4869556f), 1);
            api.Wait(159);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.3462996f, 0.2731564f, -0.06615175f, -0.8950341f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(-0.194444f, 0.5221074f, -0.01589863f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.3462996f, 0.2731564f, -0.06615175f, -0.8950341f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(-0.194444f, 0.5221074f, -0.01589863f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.3462996f, 0.2731564f, -0.06615175f, -0.8950341f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(-0.194444f, 0.5221074f, -0.01589863f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.3462996f, 0.2731564f, -0.06615175f, -0.8950341f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(-0.194444f, 0.5221074f, -0.01589863f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceVelocity", new Vector3(-0.1275733f, 0.06734616f, 0.497384f), 1);
            api.Wait(8);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(-0.04493985f, 0.0476575f, -0.3059227f), 1);
            api.Wait(158);
            api.Vector3InputEvent("GDIOHMD/LeftEyePosition", new Vector3(-0.185711f, 1.599561f, 0.3280821f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DevicePosition", new Vector3(-0.5048356f, 0.9915205f, 0.663065f), 1);
            api.Wait(176);
            api.Vector3InputEvent("GDIOHMD/DeviceVelocity", new Vector3(-0.06555354f, 0.02109512f, 0.1196009f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(0.126424f, -0.1813885f, 0.207445f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeVelocity", new Vector3(-0.06555354f, 0.02109512f, 0.1196009f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(0.126424f, -0.1813885f, 0.207445f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyePosition", new Vector3(-0.1352388f, 1.600425f, 0.3735521f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeVelocity", new Vector3(-0.06555354f, 0.02109512f, 0.1196009f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(0.126424f, -0.1813885f, 0.207445f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeVelocity", new Vector3(-0.06555354f, 0.02109512f, 0.1196009f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(0.126424f, -0.1813885f, 0.207445f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(-0.4908102f, 0.7650745f, -0.269978f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceVelocity", new Vector3(0.02774627f, -0.01438478f, -0.1066362f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(0.1851595f, 0.6764739f, 0.04366985f), 1);
            api.Wait(268);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(-1.5111f, -1.248614f, -0.4545341f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(-1.5111f, -1.248614f, -0.4545341f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(-1.5111f, -1.248614f, -0.4545341f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(-1.5111f, -1.248614f, -0.4545341f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(0.3405511f, -0.390101f, 0.2183345f, 0.8271495f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(0.3957826f, 0.6864411f, -0.1041642f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(-13.3452f, 6.685607f, 4.926086f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.3161136f, -0.09903485f, -0.03186835f, 0.9429999f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(-2.984732f, -0.600917f, -1.342638f), 1);
            api.Wait(21);
            api.Vector3InputEvent("GDIOHMD/DevicePosition", new Vector3(-0.1879753f, 1.599284f, 0.4016007f), 1);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.3235956f, 0.1176699f, -0.02163885f, -0.9386008f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(0.0193532f, 0.2458164f, 0.002957982f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.3235956f, 0.1176699f, -0.02163885f, -0.9386008f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(0.0193532f, 0.2458164f, 0.002957982f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.3235956f, 0.1176699f, -0.02163885f, -0.9386008f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(0.0193532f, 0.2458164f, 0.002957982f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyePosition", new Vector3(-0.1879753f, 1.599284f, 0.4016007f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.3235956f, 0.1176699f, -0.02163885f, -0.9386008f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(0.0193532f, 0.2458164f, 0.002957982f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceVelocity", new Vector3(0.02571185f, 0.08079567f, 0.224634f), 1);
            api.Wait(8);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(0.1295181f, 0.3405309f, 0.544711f), 1);
            api.Wait(9);
            api.Vector3InputEvent("GDIOLeftHand/DevicePosition", new Vector3(-0.5017471f, 1.049295f, 0.8643203f), 1);
            api.Wait(8);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(0.1617694f, -0.186686f, -0.3114135f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(0.1617694f, -0.186686f, -0.3114135f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(0.1617694f, -0.186686f, -0.3114135f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(0.1617694f, -0.186686f, -0.3114135f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(-0.1314875f, 0.7007467f, -0.8011548f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceVelocity", new Vector3(-0.05647709f, 0.000760565f, -0.04380479f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(0.08247422f, 0.2895809f, -0.05173067f), 1);
            api.Wait(168);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(-3.318635f, -2.409717f, -0.03316432f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(-3.318635f, -2.409717f, -0.03316432f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(-3.318635f, -2.409717f, -0.03316432f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(-3.318635f, -2.409717f, -0.03316432f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(0.3779336f, -0.4230447f, 0.1934161f, 0.8004933f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(2.373442f, 0.7257094f, -0.3973184f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(-3.543538f, -1.944839f, 56.60246f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.3218205f, -0.07962731f, -0.03902734f, 0.9426388f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(-2.495536f, -1.503203f, -0.4384514f), 1);
            api.Wait(169);
            api.Vector3InputEvent("GDIOHMD/DeviceVelocity", new Vector3(-0.01740461f, 0.01083358f, -0.05393669f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeVelocity", new Vector3(-0.01740461f, 0.01083358f, -0.05393669f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeVelocity", new Vector3(-0.01740461f, 0.01083358f, -0.05393669f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeVelocity", new Vector3(-0.01740461f, 0.01083358f, -0.05393669f), 1);
            api.Wait(174);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.3229375f, 0.130569f, -0.02165644f, -0.9371201f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(-0.1649526f, -0.2141261f, -0.04006309f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.3229375f, 0.130569f, -0.02165644f, -0.9371201f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(-0.1649526f, -0.2141261f, -0.04006309f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.3229375f, 0.130569f, -0.02165644f, -0.9371201f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(-0.1649526f, -0.2141261f, -0.04006309f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.3229375f, 0.130569f, -0.02165644f, -0.9371201f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(-0.1649526f, -0.2141261f, -0.04006309f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceVelocity", new Vector3(0.0826697f, 0.2200951f, -0.08065825f), 1);
            api.Wait(159);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(0.3592131f, -0.2769055f, -0.4010939f), 1);
            api.Wait(175);
            api.Vector3InputEvent("GDIOLeftHand/DevicePosition", new Vector3(-0.4401627f, 1.163698f, 0.7343711f), 1);
            api.Wait(158);
            api.Vector3InputEvent("GDIOHMD/DevicePosition", new Vector3(-0.09403454f, 1.614892f, 0.2909004f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(0.4692271f, -0.2174008f, 0.1596926f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(0.4692271f, -0.2174008f, 0.1596926f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(0.4692271f, -0.2174008f, 0.1596926f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyePosition", new Vector3(-0.09403454f, 1.614892f, 0.2909004f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(0.4692271f, -0.2174008f, 0.1596926f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(-0.6445197f, -0.3052908f, -1.183746f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceVelocity", new Vector3(0.2413791f, 0.05758142f, -0.05515161f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(-0.3137177f, -0.6967895f, 0.01199616f), 1);
            api.Wait(169);
            api.Vector3InputEvent("GDIOHMD/LeftEyePosition", new Vector3(-0.04666709f, 1.609074f, 0.2345161f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyePosition", new Vector3(0.01310513f, 1.604115f, 0.2663509f), 1);
            api.Vector3InputEvent("GDIORightHand/DevicePosition", new Vector3(0.07318456f, 1.033473f, 0.3781338f), 1);
            api.Wait(191);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(-3.15969f, -1.114785f, -0.8303964f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(-3.15969f, -1.114785f, -0.8303964f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(-3.15969f, -1.114785f, -0.8303964f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(-3.15969f, -1.114785f, -0.8303964f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(0.04986166f, -0.3643309f, 0.04359422f, 0.9289114f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(-2.17702f, 0.4773557f, 2.271028f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(0.6317058f, 11.79148f, 2.856952f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.174606f, -0.2515832f, -0.01062295f, 0.9518959f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(0.2487157f, -1.338447f, -1.388621f), 1);
            api.Wait(158);
            api.Vector3InputEvent("GDIOHMD/DeviceVelocity", new Vector3(0.07095197f, 0.01896069f, -0.1179778f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeVelocity", new Vector3(0.07095197f, 0.01896069f, -0.1179778f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeVelocity", new Vector3(0.07095197f, 0.01896069f, -0.1179778f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeVelocity", new Vector3(0.07095197f, 0.01896069f, -0.1179778f), 1);
            api.Wait(159);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.3196248f, 0.2135668f, -0.0213923f, -0.9229147f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(-0.1688858f, 0.5230179f, -0.02287913f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.3196248f, 0.2135668f, -0.0213923f, -0.9229147f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(-0.1688858f, 0.5230179f, -0.02287913f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.3196248f, 0.2135668f, -0.0213923f, -0.9229147f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(-0.1688858f, 0.5230179f, -0.02287913f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.3196248f, 0.2135668f, -0.0213923f, -0.9229147f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(-0.1688858f, 0.5230179f, -0.02287913f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceVelocity", new Vector3(-0.1190438f, 0.101161f, -0.01370329f), 1);
            api.Wait(185);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(-0.4765366f, 0.433266f, -0.06904699f), 1);
            api.Wait(160);
            api.Vector3InputEvent("GDIOLeftHand/DevicePosition", new Vector3(-0.2715819f, 1.185536f, 0.3100875f), 1);
            api.Wait(158);
            api.Vector3InputEvent("GDIOHMD/DevicePosition", new Vector3(0.02213492f, 1.642724f, 0.1533519f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(-0.08917786f, -0.5698847f, 0.3100255f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(-0.08917786f, -0.5698847f, 0.3100255f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(-0.08917786f, -0.5698847f, 0.3100255f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyePosition", new Vector3(0.02213492f, 1.642724f, 0.1533519f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(-0.08917786f, -0.5698847f, 0.3100255f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(-0.1825609f, 0.3627112f, 0.124231f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceVelocity", new Vector3(-0.1387115f, 0.1769518f, 0.02571137f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(-0.2872683f, -0.2078354f, -0.1733973f), 1);
            api.Wait(174);
            api.Vector3InputEvent("GDIOHMD/LeftEyePosition", new Vector3(-0.02756875f, 1.649325f, 0.1379202f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyePosition", new Vector3(0.03688536f, 1.647023f, 0.15916f), 1);
            api.Vector3InputEvent("GDIORightHand/DevicePosition", new Vector3(0.09268747f, 1.20151f, 0.401996f), 1);
            api.Wait(159);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(0.7259634f, -0.4176779f, -1.068304f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(0.7259634f, -0.4176779f, -1.068304f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(0.7259634f, -0.4176779f, -1.068304f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(0.7259634f, -0.4176779f, -1.068304f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(-0.008713524f, -0.356313f, 0.118415f, 0.9267918f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(0.4899716f, -0.1556563f, 0.06851008f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(0.312554f, -0.6954023f, 0.8398885f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(-0.004615379f, -0.1337577f, -0.05140885f, 0.989669f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(1.517817f, -0.4647565f, -0.2168878f), 1);
            api.Wait(159);
            api.Vector3InputEvent("GDIOHMD/DeviceVelocity", new Vector3(-0.03429356f, 0.034268f, 0.0102667f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeVelocity", new Vector3(-0.03429356f, 0.034268f, 0.0102667f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeVelocity", new Vector3(-0.03429356f, 0.034268f, 0.0102667f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeVelocity", new Vector3(-0.03429356f, 0.034268f, 0.0102667f), 1);
            api.Wait(176);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.138299f, 0.1739496f, -0.009854221f, -0.974945f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(-0.2663842f, -0.07504383f, -0.08408619f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.138299f, 0.1739496f, -0.009854222f, -0.9749451f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(-0.2663841f, -0.07504383f, -0.08408616f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.138299f, 0.1739496f, -0.009854222f, -0.9749451f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(-0.2663841f, -0.07504383f, -0.08408616f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.138299f, 0.1739496f, -0.009854221f, -0.974945f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(-0.2663842f, -0.07504383f, -0.08408619f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceVelocity", new Vector3(0.1456382f, 0.08996353f, 0.01879796f), 1);
            api.Wait(166);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(-0.3147754f, -0.9112515f, -0.2161995f), 1);
            api.Wait(191);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(-0.110403f, 0.4913446f, 0.05075498f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(-0.110403f, 0.4913446f, 0.05075498f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(-0.110403f, 0.4913446f, 0.05075498f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(-0.110403f, 0.4913446f, 0.05075498f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(-0.1000904f, 0.1905981f, -0.1355936f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceVelocity", new Vector3(-0.04335153f, -0.01325823f, -0.02881107f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(0.1836315f, -0.07079423f, -0.1932088f), 1);
            api.Wait(16);
            api.Vector3InputEvent("GDIORightHand/DevicePosition", new Vector3(-0.007327092f, 1.160609f, 0.3773759f), 1);
            api.Wait(9);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(5.904401f, -0.002467692f, 2.039744f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(5.904401f, -0.002467692f, 2.039744f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(5.904401f, -0.002467692f, 2.039744f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(5.904401f, -0.002467692f, 2.039744f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(-0.07820399f, -0.2327345f, 0.08292377f, 0.9658377f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(-0.1258586f, 0.2004754f, -0.08892962f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(-2.836558f, -5.552239f, -9.122788f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.09035933f, -0.1942987f, 0.01914814f, 0.9765841f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(-8.906413f, 1.710294f, 4.402236f), 1);
            api.Wait(16);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.1070229f, 0.189577f, 0.001168633f, -0.976015f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(0.08534206f, -0.03646092f, 0.01428619f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.1070229f, 0.189577f, 0.001168633f, -0.976015f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(0.08534206f, -0.03646092f, 0.01428619f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.1070229f, 0.189577f, 0.001168633f, -0.976015f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(0.08534206f, -0.03646092f, 0.01428619f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.1070229f, 0.189577f, 0.001168633f, -0.976015f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(0.08534206f, -0.03646092f, 0.01428619f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceVelocity", new Vector3(0.09306218f, 0.007026877f, -0.0170574f), 1);
            api.Wait(8);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(0.0933006f, 0.3522874f, 0.1367891f), 1);
            api.Wait(17);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(-0.1790223f, 0.2837872f, 0.02704745f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(-0.1790223f, 0.2837872f, 0.02704745f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(-0.1790223f, 0.2837872f, 0.02704745f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(-0.1790223f, 0.2837872f, 0.02704745f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(-0.1322708f, 0.1024211f, -0.2606374f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(-0.1304673f, -0.05216076f, -0.1035079f), 1);
            api.Wait(17);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(-2.878138f, -0.9391953f, -1.257879f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(-2.878138f, -0.9391953f, -1.257879f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(-2.878138f, -0.9391953f, -1.257879f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(-2.878138f, -0.9391953f, -1.257879f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(-0.07797335f, -0.2318709f, 0.08530437f, 0.9658567f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(-2.072914f, -0.2410269f, 0.5897527f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(3.725014f, -7.138798f, 10.80764f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.08469961f, -0.196193f, 0.01762586f, 0.9767414f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(0.9136759f, -0.2826131f, 0.4197173f), 1);
            api.Wait(16);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.1066044f, 0.1935475f, 0.001806623f, -0.9752803f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.1066044f, 0.1935475f, 0.001806623f, -0.9752803f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.1066044f, 0.1935475f, 0.001806623f, -0.9752803f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.1066044f, 0.1935475f, 0.001806623f, -0.9752803f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceVelocity", new Vector3(-0.007337969f, 0.004643733f, 0.009548967f), 1);
            api.Wait(8);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(0.01343401f, -0.1165416f, -0.02296248f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(0.01343401f, -0.1165416f, -0.02296248f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(0.01343401f, -0.1165416f, -0.02296248f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(0.01343401f, -0.1165416f, -0.02296248f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(0.2335276f, 0.2395842f, 0.3693057f), 1);
            api.Wait(17);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(0.03912549f, -0.04011257f, -0.1355419f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(0.03912549f, -0.04011257f, -0.1355419f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(0.03912549f, -0.04011257f, -0.1355419f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(0.03912549f, -0.04011257f, -0.1355419f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(0.1546905f, -0.2861545f, 0.5479028f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(-0.1380338f, -0.004940601f, -0.001694413f), 1);
            api.Wait(209);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(1.012051f, 0.703364f, 0.1504232f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(1.012051f, 0.703364f, 0.1504232f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(1.012051f, 0.703364f, 0.1504232f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(1.012051f, 0.703364f, 0.1504232f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(-0.07449428f, -0.2247292f, 0.1200949f, 0.9641186f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(0.3478963f, 0.43282f, -0.1403158f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(-0.9243854f, -7.519008f, -19.61266f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.0866242f, -0.1956415f, 0.02406932f, 0.9765456f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(-2.60493f, -2.284686f, -7.103681f), 1);
            api.Wait(16);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.1019541f, 0.1984444f, 0.001591958f, -0.9747936f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.1019541f, 0.1984444f, 0.001591958f, -0.9747936f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.1019541f, 0.1984444f, 0.001591958f, -0.9747936f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.1019541f, 0.1984444f, 0.001591958f, -0.9747936f), 1);
            api.Wait(8);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(-0.02301917f, 0.025154f, -0.02050561f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(-0.02301917f, 0.025154f, -0.02050561f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(-0.02301917f, 0.025154f, -0.02050561f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(-0.02301917f, 0.025154f, -0.02050561f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(0.2800345f, 0.6243951f, 0.07470622f), 1);
            api.Wait(25);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(0.01295833f, 0.08635423f, -0.05687164f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(0.01295833f, 0.08635423f, -0.05687164f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(0.01295833f, 0.08635423f, -0.05687164f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(0.01295833f, 0.08635423f, -0.05687164f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(-0.01339575f, 0.1734013f, 0.1395327f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(-0.002226666f, -0.1337733f, -0.1067625f), 1);
            api.Wait(18);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(-0.8652621f, 0.01645819f, 1.624861f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(-0.8652621f, 0.01645819f, 1.624861f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(-0.8652621f, 0.01645819f, 1.624861f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(-0.8652621f, 0.01645819f, 1.624861f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(-0.07308442f, -0.2197358f, 0.1330772f, 0.9636728f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(-0.6232451f, -0.05667093f, -0.1605603f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(0.613404f, -0.474458f, 9.329154f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.08536194f, -0.2007953f, 0.02146668f, 0.9756709f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(-1.877f, 3.246893f, 3.488596f), 1);
            api.Wait(15);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.1003062f, 0.1972488f, 0.000403926f, -0.9752084f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.1003062f, 0.1972488f, 0.000403926f, -0.9752084f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.1003062f, 0.1972488f, 0.000403926f, -0.9752084f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.1003062f, 0.1972488f, 0.000403926f, -0.9752084f), 1);
            api.Wait(9);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(0.2916003f, 0.4092615f, -0.1036275f), 1);
            api.Wait(9);
            api.Vector3InputEvent("GDIOLeftHand/DevicePosition", new Vector3(-0.1811609f, 1.225114f, 0.3270555f), 1);
            api.Wait(7);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(-0.1018074f, 0.1360647f, 0.1877176f), 1);
            api.Wait(7);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(-0.05710013f, 0.1223324f, 0.03324271f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(-0.05710013f, 0.1223324f, 0.03324271f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(-0.05710013f, 0.1223324f, 0.03324271f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(-0.05710013f, 0.1223324f, 0.03324271f), 1);
            api.Wait(8);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(-0.8239929f, -0.298541f, -0.4134645f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(-0.8239927f, -0.298541f, -0.4134643f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(-0.8239927f, -0.298541f, -0.4134643f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(-0.8239929f, -0.298541f, -0.4134645f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(-0.07618176f, -0.2160505f, 0.1332774f, 0.9642384f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(0.6469423f, -0.0868429f, -0.2150578f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(2.226326f, 0.8917819f, -11.86977f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.08288883f, -0.2026357f, 0.02029406f, 0.9755288f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(3.948753f, 5.060146f, 0.5787337f), 1);
            api.Wait(170);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(-0.1101702f, 0.005654506f, 0.03535051f), 1);
            api.Wait(157);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.09470701f, 0.1960961f, 0.0005584384f, -0.9760003f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(-0.1263979f, -0.006573431f, -0.06524065f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.09470701f, 0.1960961f, 0.0005584384f, -0.9760003f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(-0.1263979f, -0.006573431f, -0.06524065f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.09470701f, 0.1960961f, 0.0005584384f, -0.9760003f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(-0.1263979f, -0.006573431f, -0.06524065f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.09470701f, 0.1960961f, 0.0005584384f, -0.9760003f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(-0.1263979f, -0.006573431f, -0.06524065f), 1);
            api.Wait(191);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(-0.112333f, -0.03032853f, 0.06884578f), 1);
            api.Wait(285);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(0.03695138f, -0.1051095f, 0.0238845f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceVelocity", new Vector3(0.06487984f, 0.04831321f, 0.02681056f), 1);
            api.Wait(8);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(0.02463721f, -0.009255627f, 0.06356948f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(0.02463721f, -0.009255627f, 0.06356948f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(0.02463721f, -0.009255627f, 0.06356948f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(0.02463721f, -0.009255627f, 0.06356948f), 1);
            api.Wait(8);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(-0.003192826f, -0.1577946f, 0.3208387f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(-0.003192827f, -0.1577945f, 0.3208386f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(-0.003192827f, -0.1577945f, 0.3208386f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(-0.003192826f, -0.1577946f, 0.3208387f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(-0.06696115f, -0.2466687f, 0.1435142f, 0.9560724f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(-0.01274336f, 0.1100879f, 0.009570903f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(-0.672969f, -0.9362352f, -2.032445f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.05752158f, -0.2047527f, -0.04002391f, 0.9763021f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(-0.5001152f, -11.84479f, -6.033987f), 1);
            api.Wait(7);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(0.03268127f, -0.1574626f, -0.605516f), 1);
            api.Wait(169);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.09393205f, 0.1958866f, 0.001846166f, -0.9761157f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(0.04194363f, 0.02058785f, 0.01428509f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.09393205f, 0.1958866f, 0.001846166f, -0.9761157f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(0.04194363f, 0.02058785f, 0.01428509f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.09393205f, 0.1958866f, 0.001846166f, -0.9761157f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(0.04194363f, 0.02058785f, 0.01428509f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.09393205f, 0.1958866f, 0.001846166f, -0.9761157f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(0.04194363f, 0.02058785f, 0.01428509f), 1);
            api.Wait(192);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(-0.1435106f, -0.7408087f, 0.6432861f), 1);
            api.Wait(257);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(0.02531791f, 0.06998356f, 0.04592182f), 1);
            api.Wait(10);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(0.0003199973f, 0.07351733f, -0.06913894f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(0.0003199973f, 0.07351733f, -0.06913894f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(0.0003199973f, 0.07351733f, -0.06913894f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(0.0003199973f, 0.07351733f, -0.06913894f), 1);
            api.Wait(15);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(-0.5287204f, 0.1109905f, 0.09687286f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(-0.5287204f, 0.1109905f, 0.09687286f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(-0.5287204f, 0.1109905f, 0.09687286f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(-0.5287204f, 0.1109905f, 0.09687286f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(-0.06518546f, -0.2533567f, 0.1479107f, 0.9537734f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(-0.02355924f, -0.01677044f, 0.1004432f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(1.415864f, -1.698915f, -1.934482f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.02658426f, -0.1875257f, -0.07346392f, 0.9791478f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(-3.324841f, -5.421475f, 14.40894f), 1);
            api.Wait(8);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(-0.2046439f, -0.03392409f, -0.07785175f), 1);
            api.Wait(9);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.1022994f, 0.1894638f, -6.237382E-06f, -0.9765441f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.1022994f, 0.1894638f, -6.237382E-06f, -0.9765441f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.1022994f, 0.1894638f, -6.237382E-06f, -0.9765441f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.1022994f, 0.1894638f, -6.237382E-06f, -0.9765441f), 1);
            api.Wait(15);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(-0.3813305f, -0.1707026f, 0.05992189f), 1);
            api.Wait(194);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(-0.01213559f, -0.009083891f, -0.04363388f), 1);
            api.Wait(166);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(-0.06617989f, -0.01678663f, 0.04640542f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(-0.06617989f, -0.01678663f, 0.04640542f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(-0.06617989f, -0.01678663f, 0.04640542f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(-0.06617989f, -0.01678663f, 0.04640542f), 1);
            api.Wait(177);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(0.2214899f, -0.01035471f, 0.0937442f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(1.898542f, 0.1840446f, 1.247191f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(0.2214899f, -0.01035471f, 0.0937442f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(1.898542f, 0.1840446f, 1.247191f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(0.2214899f, -0.01035471f, 0.0937442f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(1.898542f, 0.1840446f, 1.247191f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(0.2214899f, -0.01035471f, 0.0937442f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(1.898542f, 0.1840446f, 1.247191f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(-0.05760261f, -0.2575996f, 0.1454752f, 0.9534996f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(0.07297342f, 0.2850982f, -0.254598f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(-4.553269f, -1.108546f, 1.134664f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(0.009478984f, -0.2004415f, -0.07769234f, 0.9765743f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(-1.273292f, 3.186533f, -0.579237f), 1);
            api.Wait(191);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(-0.1755064f, 0.4443168f, -0.1280955f), 1);
            api.Wait(175);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.1369581f, 0.1703255f, -0.005704905f, -0.975807f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.1369581f, 0.1703255f, -0.005704905f, -0.975807f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.1369581f, 0.1703255f, -0.005704905f, -0.975807f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.1369581f, 0.1703255f, -0.005704905f, -0.975807f), 1);
            api.Wait(173);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(-0.3157312f, 0.123391f, -0.6657349f), 1);
            api.Wait(192);
            api.Vector3InputEvent("GDIORightHand/DeviceVelocity", new Vector3(-0.06366464f, 0.01046805f, -0.03809593f), 1);
            api.Wait(207);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(0.01225535f, -0.05708557f, 0.00396139f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(-0.09548825f, -0.3889712f, 0.1341411f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(0.01225535f, -0.05708557f, 0.00396139f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(-0.09548825f, -0.3889712f, 0.1341411f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(0.01225535f, -0.05708557f, 0.00396139f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(-0.09548825f, -0.3889712f, 0.1341411f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(0.01225535f, -0.05708557f, 0.00396139f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(-0.09548825f, -0.3889712f, 0.1341411f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(-0.04572801f, -0.2575446f, 0.1354996f, 0.9556253f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(0.1406041f, -0.002317853f, 0.01062245f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(0.519012f, 1.199047f, -0.6309487f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(-0.02392005f, -0.1838817f, -0.08379075f, 0.9790784f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(-0.62534f, 8.804147f, 5.2908f), 1);
            api.Wait(8);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(0.006837568f, -0.1135425f, 0.06036742f), 1);
            api.Wait(16);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.1416674f, 0.1797477f, -0.005319287f, -0.9734438f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.1416674f, 0.1797477f, -0.005319287f, -0.9734438f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.1416674f, 0.1797477f, -0.005319287f, -0.9734438f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.1416674f, 0.1797477f, -0.005319287f, -0.9734438f), 1);
            api.Wait(17);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(-0.2358408f, -0.09639965f, -0.06336341f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(-0.2358408f, -0.09639965f, -0.06336341f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(-0.2358408f, -0.09639965f, -0.06336341f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(-0.2358408f, -0.09639965f, -0.06336341f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(-0.3369725f, -0.01156121f, -0.1752555f), 1);
            api.Wait(65);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(0.1178763f, -0.4972006f, 0.01949761f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(1.67446f, -7.607519f, 0.8373148f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(0.1178763f, -0.4972006f, 0.01949761f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(1.67446f, -7.607519f, 0.8373148f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(0.1178763f, -0.4972006f, 0.01949761f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(1.67446f, -7.607519f, 0.8373148f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(0.1178763f, -0.4972006f, 0.01949761f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(1.67446f, -7.607519f, 0.8373148f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(-0.04374646f, -0.2596225f, 0.1339495f, 0.9553742f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(0.07239874f, -0.0357424f, 0.005927511f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(0.04663742f, -0.2508479f, 0.2773609f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(2.423057f, 0.02778254f, 1.174723f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(-0.02190948f, -0.208438f, -0.08211691f, 0.9743359f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(1.092438f, 1.041733f, -0.04948584f), 1);
            api.Wait(17);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(0.0237047f, -0.4257626f, 0.09102664f), 1);
            api.Wait(185);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.1443938f, 0.2625244f, -0.0140911f, -0.9539564f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.1443938f, 0.2625244f, -0.0140911f, -0.9539564f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.1443938f, 0.2625244f, -0.0140911f, -0.9539564f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.1443938f, 0.2625244f, -0.0140911f, -0.9539564f), 1);
            api.Wait(200);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(0.2046988f, -0.1785343f, -0.1117673f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(0.2046988f, -0.1785343f, -0.1117673f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(0.2046988f, -0.1785343f, -0.1117673f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(0.2046988f, -0.1785343f, -0.1117673f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceVelocity", new Vector3(-0.1097721f, 0.2875026f, -0.1652182f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(-0.08850367f, 2.983947f, -1.895157f), 1);
            api.Wait(179);
            api.Vector3InputEvent("GDIORightHand/DevicePosition", new Vector3(-0.009713374f, 1.30535f, 0.3288944f), 1);
            api.Wait(219);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(-0.1786211f, 0.5482991f, -0.1595898f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(1.121561f, 2.049441f, 1.356922f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(-0.1786211f, 0.5482991f, -0.1595898f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(1.121561f, 2.049441f, 1.356922f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(-0.1786211f, 0.5482991f, -0.1595898f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(1.121561f, 2.049441f, 1.356922f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(-0.1786211f, 0.5482991f, -0.1595898f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(1.121561f, 2.049441f, 1.356922f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(-0.04532886f, -0.2806918f, 0.1309343f, 0.949744f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(-0.04449026f, -0.07671115f, 0.08179493f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(-0.02289588f, -0.5000789f, 0.073099f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(1.133895f, -1.177665f, 1.314734f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(-0.2588268f, -0.2788451f, -0.07533182f, 0.9217263f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(-13.57593f, 15.81324f, 5.617865f), 1);
            api.Wait(185);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(0.1202428f, 0.02272107f, 0.1557592f), 1);
            api.Wait(167);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(0.01730685f, 0.2419173f, 0.02014622f, -0.9699333f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(0.01730685f, 0.2419173f, 0.02014622f, -0.9699333f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(0.01730685f, 0.2419173f, 0.02014622f, -0.9699333f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(0.01730685f, 0.2419173f, 0.02014622f, -0.9699333f), 1);
            api.Wait(186);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(0.0391261f, 0.01774002f, -0.0502319f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(0.0391261f, 0.01774002f, -0.0502319f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(0.0391261f, 0.01774002f, -0.0502319f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(0.0391261f, 0.01774002f, -0.0502319f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceVelocity", new Vector3(-0.01037344f, 0.02699136f, -0.03940992f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(-0.2552648f, -0.2108706f, 0.4032521f), 1);
            api.Wait(264);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularVelocity", new Vector3(-0.0001138952f, -0.02552699f, 0.006058287f), 1);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(0.0637622f, 0.2494703f, 0.8467392f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularVelocity", new Vector3(-0.0001138953f, -0.02552698f, 0.006058286f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(0.06376215f, 0.2494702f, 0.8467391f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularVelocity", new Vector3(-0.0001138953f, -0.02552698f, 0.006058286f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(0.06376215f, 0.2494702f, 0.8467391f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularVelocity", new Vector3(-0.0001138952f, -0.02552699f, 0.006058287f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(0.0637622f, 0.2494703f, 0.8467392f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(-0.04157975f, -0.2697639f, 0.1221175f, 0.9542462f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(0.08736958f, 0.04847656f, 0.03394383f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(-0.6391116f, -0.6047775f, 1.037823f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(-0.2386268f, -0.2822146f, -0.08842818f, 0.9249825f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(7.430505f, -5.804894f, 5.785377f), 1);
            api.Wait(17);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(0.1876891f, -0.1837405f, 0.09627835f), 1);
            api.Wait(17);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(0.0098667f, 0.2457599f, 0.01988904f, -0.9690765f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(0.0098667f, 0.2457599f, 0.01988904f, -0.9690765f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(0.0098667f, 0.2457599f, 0.01988904f, -0.9690765f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(0.0098667f, 0.2457599f, 0.01988904f, -0.9690765f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(-0.01695753f, -0.00161426f, 0.01196593f), 1);
            api.Wait(17);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(-0.02615989f, -0.04647493f, 0.0026491f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(-0.02615989f, -0.04647493f, 0.0026491f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(-0.02615989f, -0.04647493f, 0.0026491f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(-0.02615989f, -0.04647493f, 0.0026491f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(0.2399481f, 0.2144905f, -0.3413635f), 1);
            api.Wait(249);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(0.2841467f, 0.6335175f, 0.03434288f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(0.2841466f, 0.6335173f, 0.03434287f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(0.2841466f, 0.6335173f, 0.03434287f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(0.2841467f, 0.6335175f, 0.03434288f), 1);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(-0.04303651f, -0.2707795f, 0.1227436f, 0.9538136f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(-0.1853338f, -0.1470902f, 0.1271435f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(1.403077f, -0.8346341f, 1.111112f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(-0.2360153f, -0.2760465f, -0.0814665f, 0.9281478f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(-3.295204f, 0.7663846f, 7.763777f), 1);
            api.Wait(16);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(-0.0745852f, 0.06111014f, 0.2436049f), 1);
            api.Wait(17);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(0.005874587f, 0.2453051f, 0.01874104f, -0.9692469f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(0.005874588f, 0.2453052f, 0.01874104f, -0.969247f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(0.005874588f, 0.2453052f, 0.01874104f, -0.969247f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(0.005874587f, 0.2453051f, 0.01874104f, -0.9692469f), 1);
            api.Wait(17);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(0.2130897f, -0.05554949f, 0.6762528f), 1);
            api.Wait(33);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(-0.0141524f, 0.07930375f, -0.02502476f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(-0.0141524f, 0.07930375f, -0.02502476f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(-0.0141524f, 0.07930375f, -0.02502476f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(-0.0141524f, 0.07930375f, -0.02502476f), 1);
            api.Wait(34);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(-0.3452276f, -0.6695636f, -0.5348973f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(-0.3452276f, -0.6695636f, -0.5348973f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(-0.3452276f, -0.6695636f, -0.5348973f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(-0.3452276f, -0.6695636f, -0.5348973f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(0.1671883f, 0.08937575f, 0.007410293f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(0.1984334f, 1.664087f, -1.167815f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(-0.2263922f, -0.2718545f, -0.08122537f, 0.9317962f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(4.72206f, 2.103724f, 6.247224f), 1);
            api.Wait(186);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(0.0716764f, -0.07327189f, -0.1074934f), 1);
            api.Wait(232);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.0002238553f, 0.243095f, 0.01739785f, -0.9698464f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.0002238553f, 0.243095f, 0.01739785f, -0.9698464f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.0002238553f, 0.243095f, 0.01739785f, -0.9698464f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.0002238553f, 0.243095f, 0.01739785f, -0.9698464f), 1);
            api.Wait(168);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(-0.04552923f, -0.271426f, 0.1185183f, 0.9540485f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(0.02603111f, 0.07897946f, -0.1475152f), 1);
            api.Vector3InputEvent("GDIORightHand/DevicePosition", new Vector3(0.03825666f, 1.434782f, 0.325341f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceVelocity", new Vector3(0.1626453f, 0.395045f, 0.03801556f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(-0.9710984f, 0.335621f, 1.533024f), 1);
            api.Wait(215);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(-0.07964309f, -0.055457f, -0.04108191f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(-0.07964309f, -0.055457f, -0.04108191f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(-0.07964309f, -0.055457f, -0.04108191f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(-0.07964309f, -0.055457f, -0.04108191f), 1);
            api.Wait(34);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(0.5018496f, -0.09960384f, 0.08852131f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(0.5018496f, -0.09960384f, 0.08852131f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(0.5018496f, -0.09960384f, 0.08852131f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(0.5018496f, -0.09960384f, 0.08852131f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(-0.4579368f, -0.2861727f, -0.0002851693f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(1.064885f, -1.825775f, 2.137451f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(-0.1931642f, -0.2808264f, 0.009537877f, 0.9400709f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(-1.542652f, -1.374401f, 3.120036f), 1);
            api.Wait(17);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(-0.05037135f, 0.1004553f, 0.5264633f), 1);
            api.Wait(18);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.0003949096f, 0.2413847f, 0.02329114f, -0.9701499f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.0003949096f, 0.2413847f, 0.02329114f, -0.9701499f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.0003949096f, 0.2413847f, 0.02329114f, -0.9701499f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.0003949096f, 0.2413847f, 0.02329114f, -0.9701499f), 1);
            api.Wait(16);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(-0.04292627f, -0.2511017f, 0.1230114f, 0.9591525f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(0.01336727f, 0.1030234f, 0.1225508f), 1);
            api.Vector3InputEvent("GDIORightHand/DevicePosition", new Vector3(0.07310624f, 1.543565f, 0.3460022f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceVelocity", new Vector3(0.03252109f, 0.1930276f, -0.01019036f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(-0.5244998f, -0.3386557f, -0.8495641f), 1);
            api.Wait(34);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(0.0513163f, -0.02856443f, 0.02620081f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(0.0513163f, -0.02856443f, 0.02620081f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(0.0513163f, -0.02856443f, 0.02620081f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(0.0513163f, -0.02856443f, 0.02620081f), 1);
            api.Wait(301);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(0.0517429f, 0.1525283f, -1.737222f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(0.0517429f, 0.1525283f, -1.737222f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(0.0517429f, 0.1525283f, -1.737222f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(0.0517429f, 0.1525283f, -1.737222f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(0.2894529f, 0.004225142f, -0.03219712f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(1.010882f, 1.301209f, 0.3999404f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(-0.1927764f, -0.2751831f, 0.04320177f, 0.9408747f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(-14.61549f, 8.848f, 10.11199f), 1);
            api.Wait(17);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(-0.2838186f, 0.1877679f, 0.07943566f), 1);
            api.Wait(17);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(0.002985916f, 0.2384955f, 0.02534245f, -0.9708083f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(0.002985916f, 0.2384955f, 0.02534245f, -0.9708083f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(0.002985916f, 0.2384955f, 0.02534245f, -0.9708083f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(0.002985916f, 0.2384955f, 0.02534245f, -0.9708083f), 1);
            api.Wait(186);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(-0.04428042f, -0.2492163f, 0.1202561f, 0.9599317f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularVelocity", new Vector3(0.006823454f, -0.006521734f, -0.002244247f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceVelocity", new Vector3(0.01641526f, -0.002581195f, -0.01539606f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(-0.2539484f, -0.1584807f, -0.0153764f), 1);
            api.Wait(215);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(0.07366116f, 0.09888122f, -0.004699572f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(0.07366116f, 0.09888122f, -0.004699572f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(0.07366116f, 0.09888122f, -0.004699572f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(0.07366116f, 0.09888122f, -0.004699572f), 1);
            api.Wait(34);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(-0.07136679f, 0.1849172f, 0.1787792f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(-0.07136678f, 0.1849172f, 0.1787791f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(-0.07136678f, 0.1849172f, 0.1787791f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(-0.07136679f, 0.1849172f, 0.1787792f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(0.08982705f, -0.1063848f, 0.1058938f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(0.8712164f, -0.781351f, -0.497506f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(-0.1849878f, -0.2944426f, 0.01961898f, 0.937389f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(2.624056f, -4.836356f, 2.325599f), 1);
            api.Wait(16);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(0.147466f, -0.1594809f, 0.05889017f), 1);
            api.Wait(17);
            api.QuaternionInputEvent("GDIOHMD/DeviceRotation", new Quaternion(-0.0006609866f, 0.2390903f, 0.02482945f, -0.9706796f), 1);
            api.QuaternionInputEvent("GDIOHMD/LeftEyeRotation", new Quaternion(-0.0006609866f, 0.2390903f, 0.02482945f, -0.9706796f), 1);
            api.QuaternionInputEvent("GDIOHMD/RightEyeRotation", new Quaternion(-0.0006609866f, 0.2390903f, 0.02482945f, -0.9706796f), 1);
            api.QuaternionInputEvent("GDIOHMD/CenterEyeRotation", new Quaternion(-0.0006609866f, 0.2390903f, 0.02482945f, -0.9706796f), 1);
            api.Wait(17);
            api.QuaternionInputEvent("GDIOLeftHand/DeviceRotation", new Quaternion(-0.04312119f, -0.2515334f, 0.1164232f, 0.9598526f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAcceleration", new Vector3(0.2722425f, 0.2810789f, -0.48768f), 1);
            api.Wait(18);
            api.Vector3InputEvent("GDIOHMD/DeviceAcceleration", new Vector3(-0.03584523f, 0.008959202f, 0.005280108f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAcceleration", new Vector3(-0.03584523f, 0.008959202f, 0.005280108f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAcceleration", new Vector3(-0.03584523f, 0.008959202f, 0.005280108f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAcceleration", new Vector3(-0.03584523f, 0.008959202f, 0.005280108f), 1);
            api.Wait(227);
            api.Vector3InputEvent("GDIOHMD/DeviceAngularAcceleration", new Vector3(-0.4330505f, -0.08570438f, -0.6235656f), 1);
            api.Vector3InputEvent("GDIOHMD/LeftEyeAngularAcceleration", new Vector3(-0.4330505f, -0.08570438f, -0.6235656f), 1);
            api.Vector3InputEvent("GDIOHMD/RightEyeAngularAcceleration", new Vector3(-0.4330505f, -0.08570438f, -0.6235656f), 1);
            api.Vector3InputEvent("GDIOHMD/CenterEyeAngularAcceleration", new Vector3(-0.4330505f, -0.08570438f, -0.6235656f), 1);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAngularAcceleration", new Vector3(0.5459849f, 1.306085f, 1.961594f), 1);
            api.QuaternionInputEvent("GDIORightHand/DeviceRotation", new Quaternion(-0.1927782f, -0.2861336f, 0.0227358f, 0.9383215f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularAcceleration", new Vector3(17.65818f, -13.63137f, -0.833443f), 1);
            api.Wait(182);
            api.Vector3InputEvent("GDIOLeftHand/DeviceAcceleration", new Vector3(-0.04265982f, 0.0666852f, -0.01894432f), 1);
            api.Vector3InputEvent("GDIORightHand/DeviceAngularVelocity", new Vector3(-0.08073673f, 0.110469f, 0.05350692f), 1);

        }
    }
}